"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.Operation
tf.Operation(node_def,g,inputs=None,output_types=None,control_inputs=None,input_types=None,original_op=None,op_def=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version is: ", tf.__version__)

# Task 2: Generate input data
input_data = np.random.randint(0,100,size=[10],dtype=np.int32)
print("Input data is: ", input_data)

# Task 3: Call the API tf.Operation
# The first argument is a NodeDef_pb2.NodeDef protocol buffer object
# The second argument is a reference to the Graph that contains the Operation.
# The third argument is a list of Tensor objects representing the data inputs of the Operation.
operation = tf.Operation(tf.NodeDef(),tf.Graph(),input_data)

# Get the op type
print("The op type is: ", operation.type)
# Get the op name
print("The op name is: ", operation.name)
# Get the op device
print("The op device is: ", operation.device)
# Get the op graph
print("The op graph is: ", operation.