"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.audio.decode_wav
tf.audio.decode_wav(contents,desired_channels=-1,desired_samples=-1,name=None)
"""
import tensorflow as tf
import numpy as np
import os
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
# Generate a random signal
time = np.linspace(0, 10, 10000)
signal = np.sin(2 * np.pi * time)

# Add some noise
noise = np.random.uniform(-1, 1, 10000)
signal += noise

# Normalize signal
signal /= np.max(np.abs(signal))

# Generate audio file
file_path = os.path.join(os.getcwd(), 'signal.wav')
with tf.audio.Audio(file_path, sample_rate=10000, num_channels=1) as f:
    f.encode_wav(signal)

# Task 3
# Read the audio file
audio_binary = tf.io.read_file(file_path)

# Decode the audio file
signal, sample_rate = tf.audio.decode_wav(