"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.audio.decode_wav
tf.audio.decode_wav(contents,desired_channels=-1,desired_samples=-1,name=None)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 2: Generate input data
# Generate a random audio signal
# Generate a random audio signal
num_samples = 16000
# Create a random signal
signal = np.random.uniform(-1, 1, size=num_samples)
# Create a 523 Hz sine wave
signal0 = np.sin(2 * np.pi * 523 * np.arange(num_samples) / 16000)
# Create a 784 Hz sine wave
signal1 = np.sin(2 * np.pi * 784 * np.arange(num_samples) / 16000)
# Create a 1108 Hz sine wave
signal2 = np.sin(2 * np.pi * 1108 * np.arange(num_samples) / 16000)
# Add the signals together
signal = signal0 + signal1 + signal2
# Normalize the signal
signal /= np.max(np.abs(signal))
# Convert the