"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = tf.constant(1.0)
w = tf.Variable(0.8)
y = tf.Variable(0.0)

# Task 3: Call the API tf.custom_gradient
@tf.custom_gradient
def my_fun(x):
    y = w * x
    def grad(dy):
        return [dy * w]
    return y, grad

y = my_fun(x)

# Task 4: Compute the gradient
with tf.GradientTape() as t:
    t.watch([w, y])
    y = my_fun(x)
[dy_dx, dy_dw] = t.gradient(y, [x, w])
print(dy_dx.numpy(), dy_dw.numpy())