"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
x = tf.constant([[1.0, 2.0, 3.0], [4.0, 5.0, 6.0]])

# Task 3: Call the API tf.custom_gradient
@tf.custom_gradient
def my_clip(x):
    y = tf.clip_by_value(x, -1.0, 1.0)

    def grad(dy):
        return dy * tf.cast(tf.logical_and(tf.greater_equal(x, -1.0), tf.less_equal(x, 1.0)), dtype=x.dtype)

    return y, grad

with tf.GradientTape() as t:
    z = my_clip(x)

print(z)
print(t.gradient(z, [x]))