"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant(np.array([1, 2, 3], dtype=np.float32))

# Task 3
@tf.custom_gradient
def my_func(x):
    def grad(dy):
        return dy * tf.constant(np.array([1, -1, 1], dtype=np.float32))
    return tf.reduce_sum(x), grad

# check the result
with tf.GradientTape() as tape:
    y = my_func(x)
print(tape.gradient(y, x))