"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("Task 1: import TensorFlow 2.10.0")
print("TensorFlow version: ", tf.__version__)

# Task 2
print("Task 2: Generate input data")
x = tf.constant(np.random.rand(32, 100))
y = tf.constant(np.random.rand(100, 1))

# Task 3
print("Task 3: Call the API tf.custom_gradient")
print("tf.custom_gradient(f=None)")

# Define a custom gradient function
@tf.custom_gradient
def matmul_with_custom_gradient(x, y):
    z = tf.matmul(x, y)
    def grad(dy):
        return dy * y, dy * x
    return z, grad

# Call the custom gradient function
z = matmul_with_custom_gradient(x, y)
print(z)