"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""
import tensorflow as tf
import numpy as np

def grad(x):
    return 3 * x ** 2

@tf.custom_gradient
def square(x):
    y = x ** 2
    def grad(dy):
        return dy * grad(x)
    return y, grad

x = tf.constant([[1.0, 2.0], [3.0, 4.0]])

with tf.GradientTape() as t:
    t.watch(x)
    y = square(x)

dy_dx = t.gradient(y, x)
print(dy_dx)

# Task 4: Call the API tf.custom_gradient
@tf.custom_gradient
def abs(x):
    y = tf.abs(x)
    def grad(dy):
        return dy * tf.sign(x)
    return y, grad

x = tf.constant([-1.0, 2.0, -3.0, 4.0])
with tf.GradientTape() as t:
    t.watch(x