"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant([-1.0, 2.0, 3.0, 4.0])
y = tf.constant([1.0, 2.0, 3.0, 4.0])

# Task 3
@tf.custom_gradient
def my_square(x):
    def backward(dy):
        return dy * tf.constant(2.0)
    return tf.square(x), backward

with tf.GradientTape(persistent=True) as tape:
    z = my_square(x)
    z = my_square(z)

dz_dx = tape.gradient(z, x)
print(dz_dx)

del tape