"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

print(tf.__version__)

# Task 2: Generate input data
x = tf.constant(1.0)

# Task 3: Call the API tf.custom_gradient
@tf.custom_gradient
def my_identity(x):
    def custom_grad(dy):
        return dy * 2
    return x, custom_grad

with tf.GradientTape() as tape:
    tape.watch(x)
    y = my_identity(x)

print(tape.gradient(y, x))