"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

def my_func(x):
    return tf.math.sin(x*x)

def my_grad(x, dy):
    return 2*x*dy*tf.math.cos(x*x)

x = tf.Variable(tf.constant(0.5, shape=[1]))
with tf.GradientTape() as t:
    t.watch(x)
    y = my_func(x)
dy_dx = t.gradient(y, x)
print(dy_dx)

x = tf.Variable(tf.constant(0.5, shape=[1]))
with tf.GradientTape() as t:
    t.watch(x)
    with tf.custom_gradient(my_grad):
        y = my_func(x)
dy_dx = t.gradient(y, x)
print(dy_dx)