"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

def log1pexp(x):
    return tf.math.log(1 + tf.exp(x))

def grad(dy):
    return dy * (1 - 1 / (1 + tf.exp(-x)))

x = tf.constant([[1., 2., 3.]])

with tf.GradientTape() as g:
    g.watch(x)
    y = log1pexp(x)

dy_dx = g.gradient(y, x, grad_fn=grad)

print(dy_dx)