"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant([[3.0, 4.0]])

# Task 3
@tf.custom_gradient
def my_square(x):
    # Task 3.1
    def my_grad(dy):
        return dy * tf.constant([[2.0, 3.0]])

    # Task 3.2
    return tf.square(x), my_grad

with tf.GradientTape(persistent=True) as tape:
    y = my_square(x)

print(y)
print(tape.gradient(y, x))