"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

print(tf.__version__)

# Task 2: Generate input data
# x_train = np.random.random((1000, 1))
# y_train = x_train * 2 + np.random.random((1000, 1)) / 3.0
x_train = np.linspace(0, 10, 100)
y_train = x_train * 2 + np.random.randn(100) * 3.0

# Task 3: Call the API tf.custom_gradient
@tf.custom_gradient
def my_func(x):
    y = x * 2
    def grad(dy):
        return dy * 3
    return y, grad

model = tf.keras.Sequential([
    tf.keras.layers.Dense(units=1, input_shape=[1]),
    my_func,
])

model.compile(optimizer='sgd', loss='mse')
model.fit(x_train, y_train,