"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

# Task 1
import tensorflow as tf
print(tf.__version__)

# Task 2
input_data = tf.constant([[1, 2, 3], [4, 5, 6]])

# Task 3
@tf.custom_gradient
def custom_gradient(x):
    def grad(dy):
        return dy * tf.constant([[1, 1, 1], [1, 1, 1]])
    return tf.reduce_sum(x), grad

output = custom_gradient(input_data)
print(output)

# Task 4
with tf.GradientTape() as tape:
    tape.watch(input_data)
    output = custom_gradient(input_data)

grad = tape.gradient(output, input_data)
print(grad)