"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))
print("Eager execution: {}".format(tf.executing_eagerly()))

# Task 2: Generate input data
x = tf.constant(3.0)
with tf.GradientTape() as g:
    g.watch(x)
    y = x * x
dy_dx = g.gradient(y, x)
print("dy_dx: {}".format(dy_dx))

# Task 3: Call the API tf.custom_gradient
@tf.custom_gradient
def square_with_grad(x):
    value = x * x
    def grad(dy):
        return 2 * x * dy
    return value, grad

x = tf.constant(3.0)
with tf.GradientTape() as g:
    g.watch(x)
    y = square_with_grad(x)
dy_dx = g.