"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print('TensorFlow version: {}'.format(tf.__version__))

# Task 2
x = tf.constant(2.0)

# Task 3
@tf.custom_gradient
def my_func(x):
    eps = 1e-5

    def grad(dy):
        return tf.where(tf.math.is_finite(dy), dy * (1.0 / (x + eps)), tf.zeros_like(dy))

    return tf.math.log(x + eps), grad

y = my_func(x)
print(y)

x = tf.constant(np.array([2.0, float('nan'), float('inf')]))
y = my_func(x)
print(y)