"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
# tf.__version__

# Task 2
# Generate input data
x = tf.random.normal([2, 2])

# Task 3
# Call the API tf.custom_gradient
@tf.custom_gradient
def my_function(x):
    y = tf.reduce_sum(x)
    def grad(dy):
        return dy * tf.ones_like(x)
    return y, grad

# Compute gradients
with tf.GradientTape() as t:
    z = my_function(x)

# Get the gradients of z with respect to the input tensor x
dz_dx = t.gradient(z, x)
for i in [0, 1]:
    for j in [0, 1]:
        assert dz_dx[i][j].numpy() == 1.0