"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""
import tensorflow as tf
import numpy as np

# task 1
print(tf.__version__)

# task 2
x = tf.constant([[1, 2, 3], [4, 5, 6]])
print(x)

# task 3
@tf.custom_gradient
def my_relu(x):
    cond = tf.less(x, tf.zeros(tf.shape(x), dtype=x.dtype))
    out = tf.where(cond, tf.zeros(tf.shape(x)), x)

    def grad(dy):
        return tf.where(cond, tf.zeros(tf.shape(x)), dy)

    return out, grad

y = my_relu(x)
print(y)

# task 4
print(tf.autograph.to_code(my_relu.python_function))