"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant([[1.0, 2.0, 3.0], [4.0, 5.0, 6.0]])

# Task 3
@tf.custom_gradient
def my_clip(x):
    y = tf.clip_by_value(x, 2.5, 4.5)

    def grad(dy):
        return [dy]

    return y, grad

with tf.GradientTape() as tape:
    z = my_clip(x)

dz_dx = tape.gradient(z, x)

print(z.numpy())
print(dz_dx.numpy())