"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.custom_gradient
tf.custom_gradient(f=None)
"""
# Task 1
import tensorflow as tf

# Task 2
x = tf.constant([2.0, 3.0, 4.0, 5.0, 6.0, 7.0], shape=[2, 3])

# Task 3
@tf.custom_gradient
def my_square(x):
    value = x ** 2
    def grad(dy):
        return 2 * x * dy
    return value, grad

with tf.GradientTape(persistent=True) as t:
    z = my_square(x)

dz_dx = t.gradient(z, x)
for i in [0, 1]:
    for j in [0, 1, 2]:
        assert dz_dx[i][j].numpy() == x[i][j] * 2.0

del t

print("\nTask 3: Call the API tf.custom_gradient")
print("x:", x)
print("z:", z)
print("dz_dx:", dz_dx)