"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)
"""

import tensorflow as tf

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__ >= "2.0"

# Task 2
input_data = tf.random.uniform(shape=[10, 10], dtype=tf.float32)


# Task 3
def model_fn():
    x = tf.keras.layers.Input(shape=[10])
    y = tf.keras.layers.Dense(1)(x)
    return tf.keras.Model(x, y)


def input_fn():
    return input_data


estimator = tf.keras.estimator.model_to_estimator(model_fn)

hook = tf.data.experimental.CheckpointInputPipelineHook(estimator, external_state_policy=None)

estimator.train(input_fn, hooks=[hook])