"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)
"""

from __future__ import absolute_import, division, print_function, unicode_literals

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__ >= "2.0"

# Task 2
x_train = np.random.rand(100).astype(np.float32)
y_train = x_train * 0.1 + 0.3

# Task 3
train_dataset = tf.data.Dataset.from_tensor_slices((x_train, y_train))
train_dataset = train_dataset.shuffle(buffer_size=100).batch(10)

model = tf.keras.Sequential([
    tf.keras.layers.Dense(1)
])

model.compile(optimizer=tf.keras.optimizers.SGD(0.1), loss="mse")

checkpoint_path = "training_2/cp.ckpt"
checkpoint