"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)
"""

import tensorflow as tf
import os
import numpy as np

def get_input_data():
    # Generate input data
    x = np.random.rand(100, 2)
    y = np.array([x1 + x2 for (x1, x2) in x])
    return x, y

def model_fn(features, labels, mode, params):
    # Define the model
    net = tf.keras.layers.Dense(1, activation='linear')(features)
    predictions = tf.squeeze(net, 1)
    loss = tf.losses.mean_squared_error(labels, predictions)

    optimizer = tf.compat.v1.train.GradientDescentOptimizer(learning_rate=params['learning_rate'])
    train_op = optimizer.minimize(loss=loss, global_step=tf.compat.v1.train.get_global_step())

    # EstimatorSpec
    return tf.estimator.EstimatorSpec(mode=mode,
                                     