"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)
"""
import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
x_train = np.random.rand(100).astype(np.float32)
y_train = x_train * 0.1 + 0.3

# Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)

# Create a checkpoint directory
checkpoint_dir = './checkpoints'
if not tf.io.gfile.exists(checkpoint_dir):
    tf.io.gfile.makedirs(checkpoint_dir)

# Define the model
model = tf.keras.Sequential([
    tf.keras.layers.Dense(10, input_shape=(1,), activation='relu'),
    tf.keras.layers.Dense(1