"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.CheckpointInputPipelineHook
tf.data.experimental.CheckpointInputPipelineHook(estimator,external_state_policy=None)
"""

import tensorflow as tf
import numpy as np
import os

# Task 1
print(tf.__version__)

# Task 2
input_data = np.random.rand(100, 2)

# Task 3
input_fn = tf.compat.v1.estimator.inputs.numpy_input_fn(
    x={"x": input_data},
    y=np.random.randint(2, size=100),
    batch_size=10,
    num_epochs=2,
    shuffle=False)

# define the estimator
estimator = tf.compat.v1.estimator.DNNClassifier(
    feature_columns=[tf.feature_column.numeric_column("x", shape=[2])],
    hidden_units=[10, 10],
    n_classes=3)

# define the hook
hook = tf.data.experimental.CheckpointInputPipelineHook(
    estimator,
    external_state_policy=tf.data.experimental.ExternalStatePolicy.