"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.data.experimental.group_by_window
tf.data.experimental.group_by_window(key_func,reduce_func,window_size=None,window_size_func=None)
"""

import tensorflow as tf
import numpy as np

print(tf.__version__)

# Task 2: Generate input data
input_data = np.array([[1, 2, 3, 4], [5, 6, 7, 8], [9, 10, 11, 12], [13, 14, 15, 16]])

# Task 3: Call the API tf.data.experimental.group_by_window
dataset = tf.data.Dataset.from_tensor_slices(input_data)
dataset = dataset.window(2, shift=1, drop_remainder=True)
dataset = dataset.flat_map(lambda window: window.batch(2))
dataset = dataset.map(lambda window: (window[0], window[1]))
dataset = dataset.shuffle(buffer_size=10)
dataset = dataset.batch(2).prefetch(1)
for x, y in dataset:
    print("x = ", x.numpy())
    print("y = ", y.numpy