"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.debugging.disable_check_numerics
tf.debugging.disable_check_numerics()
"""

# Task 1
import tensorflow as tf
print(tf.__version__)

# Task 2
x = tf.constant([[1, 2, 3], [4, 5, 6], [7, 8, 9]])
y = tf.constant([[1, 2, 3], [4, 5, 6], [7, 8, 9]])

# Task 3
tf.debugging.disable_check_numerics()

with tf.GradientTape() as tape:
    tape.watch(x)
    y = tf.math.log(x)
    z = tf.math.reduce_sum(y)

# Derivative of z with respect to the original input tensor x
dz_dx = tape.gradient(z, x)
for i in [0, 1, 2]:
    for j in [0, 1, 2]:
        assert dz_dx[i][j].numpy() == 1.0 / x[i][j]

print(dz_dx)