"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.debugging.set_log_device_placement
tf.debugging.set_log_device_placement(enabled)
"""

import tensorflow as tf

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
input_data = tf.random.uniform([3,3], minval=0, maxval=10, dtype=tf.int32)
print("Input data: ", input_data)

# Task 3
tf.debugging.set_log_device_placement(True)

# Create a simple model.
def simple_model(input_data):
  # Construct and return a tf.keras.Model.
  x = tf.keras.layers.Dense(units=1, use_bias=True)(input_data)
  return x

# Create a distribution strategy.
strategy = tf.distribute.MirroredStrategy()

# Open a strategy scope.
with strategy.scope():
  # Everything that creates variables should be under the strategy scope.
  # In general this is only model construction & `compile()`.
  model = tf.keras.Sequential()
  model.add(tf.keras.l