"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.debugging.set_log_device_placement
tf.debugging.set_log_device_placement(enabled)
"""

import tensorflow as tf

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
input_data = tf.random.uniform([10, 10], dtype=tf.float32)
print("Input data: ", input_data)

# Task 3
tf.debugging.set_log_device_placement(True)

# Create a TensorFlow device
with tf.device("/device:CPU:0"):
    cpu_data = tf.random.uniform([10, 10], dtype=tf.float32)
    print("CPU data: ", cpu_data)

# Create a TensorFlow device
with tf.device("/device:GPU:0"):
    gpu_data = tf.random.uniform([10, 10], dtype=tf.float32)
    print("GPU data: ", gpu_data)