"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.experimental.numpy.random.seed
tf.experimental.numpy.random.seed(s)
"""
import tensorflow as tf
import numpy as np

tf.random.set_seed(1)

# Task 2: Generate input data
x = np.random.randn(1000, 1)
y = 2*x + np.random.randn(1000, 1)

# Task 3: Call the API tf.experimental.numpy.random.seed
tf.experimental.numpy.random.seed(1)

# Task 4: Build model
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(1, input_shape=(1,))
])

# Task 5: Compile model
model.compile(optimizer='sgd', loss='mse')

# Task 6: Train model
model.fit(x, y, epochs=100)

# Task 7: Evaluate model
model.evaluate(x, y)

# Task 8: Make prediction
model.predict(x)