"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.experimental.numpy.random.seed
tf.experimental.numpy.random.seed(s)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = np.random.random([100, 1])
y = np.random.random([100, 1])

# Task 3
tf.experimental.numpy.random.seed(0)

# Create a model
model = tf.keras.Sequential()
model.add(tf.keras.layers.Dense(units=1, input_dim=1))

# Compile the model
model.compile(optimizer='sgd', loss='mse')

# Train the model
for step in range(201):
    cost = model.train_on_batch(x, y)
    if step % 20 == 0:
        print('train cost: ', cost)

# Test the model
print('\nTesting ------------')
cost = model.evaluate(x, y, batch_size=40)
print('test cost:', cost)

# Save the model
model.save('model.h5')