"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.function
tf.function(func=None,input_signature=None,autograph=True,jit_compile=None,experimental_implements=None,experimental_autograph_options=None,experimental_relax_shapes=False,experimental_compile=None,experimental_follow_type_hints=None)->tf.types.experimental.GenericFunctiontf.types.experimental.GenericFunction
"""
import tensorflow as tf
import numpy as np
import time

def benchmark(func):
    def wrapper(*args, **kwargs):
        start = time.time()
        func(*args, **kwargs)
        end = time.time()
        print(func.__name__, end-start)
    return wrapper

@benchmark
def for_loop(n, x):
    result = 0
    for i in range(n):
        result += np.sum(x ** (i + 1))
    return result

@benchmark
def tensorflow(n, x):
    tf_x = tf.constant(x)
    result = 0
    for i in range(n):
        result += tf.reduce_sum(tf.pow(tf_x, i+1))
    return result

@benchmark
def tensorflow_function(n, x):
    tf_x = tf.constant(x)
    result = 0
    for i in range(n):
        result += tf.reduce_sum(tf.pow(