"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.decode_jpeg
tf.image.decode_jpeg(contents,channels=0,ratio=1,fancy_upscaling=True,try_recover_truncated=False,acceptable_fraction=1,dct_method='',name=None)
"""

import tensorflow as tf
import matplotlib.pyplot as plt
import numpy as np

# Task 2
img = tf.io.read_file('./data/cat.jpg')
img = tf.image.decode_jpeg(img)
img = tf.image.resize(img, [300, 300])

# Task 3
img = tf.image.random_flip_left_right(img)
img = tf.image.random_flip_up_down(img)
img = tf.image.random_brightness(img, max_delta=0.5)
img = tf.image.random_contrast(img, lower=0.2, upper=2.0)
img = tf.image.random_hue(img, max_delta=0.5)
img = tf.image.random_saturation(img, lower=0.2, upper=2.0)

img = tf.image.per_image_standardization(img)

img = img.numpy()
plt.imshow(img)
