"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.ssim_multiscale
tf.image.ssim_multiscale(img1,img2,max_val,power_factors=_MSSSIM_WEIGHTS,filter_size=11,filter_sigma=1.5,k1=0.01,k2=0.03)
"""

import tensorflow as tf
import numpy as np

def ssim_multiscale(img1, img2):
    """
    Compute Multi-Scale Structural Similarity Index between two images.
    """

    # Note: default weights don't sum to 1.0 but do match the paper / matlab code.
    weights = np.array([0.0448, 0.2856, 0.3001, 0.2363, 0.1333])
    levels = np.arange(0, 5)
    downsample_filter = np.ones((2, 2)) / 4.0
    im1, im2 = [x.astype(np.float64) for x in [img1, img2]]
    mssim = np.array([])
    mcs = np.array([])
    for _ in levels:
        ssim_map, cs_map = _ssim_multiscale(
            im1, im2, max_val=255, filter_size=11, filter_sigma=1.5, k1=0.01, k2=