"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.ssim_multiscale
tf.image.ssim_multiscale(img1,img2,max_val,power_factors=_MSSSIM_WEIGHTS,filter_size=11,filter_sigma=1.5,k1=0.01,k2=0.03)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

def ssim_multiscale(img1,img2,max_val,power_factors=None,filter_size=11,filter_sigma=1.5,k1=0.01,k2=0.03):
    """
    Tensorflow implementation of MS-SSIM.
    From https://github.com/tensorflow/tensorflow/blob/master/tensorflow/python/ops/image_ops_impl.py
    """
    if power_factors is None:
        power_factors = [0.0448, 0.2856, 0.3001, 0.2363, 0.1333]
    weights = tf.constant(np.array(power_factors).reshape(1, 1, 5, 1),dtype=tf.float32)
    msssim = []
    mcs = []
    for scale in range(5):
        ssim_map, cs = _ssim_per_channel(img1