"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.ssim_multiscale
tf.image.ssim_multiscale(img1,img2,max_val,power_factors=_MSSSIM_WEIGHTS,filter_size=11,filter_sigma=1.5,k1=0.01,k2=0.03)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os
import cv2
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__.startswith('2')

# Task 2
img1 = cv2.imread("/home/ai/Downloads/lena512color.tiff", 0)
img2 = cv2.imread("/home/ai/Downloads/lena512_modified.tiff", 0)

# Task 3
ssim = tf.image.ssim_multiscale(img1, img2, max_val=255)

# Visualize the results
fig = plt.figure('SSIM')
plt.imshow(ssim, cmap=plt.cm.gray)
plt.title('SSIM')
plt.axis('off')
plt.show()