"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.stateless_sample_distorted_bounding_box
tf.image.stateless_sample_distorted_bounding_box(image_size,bounding_boxes,seed,min_object_covered=0.1,aspect_ratio_range=None,area_range=None,max_attempts=None,use_image_if_no_bounding_boxes=None,name=None)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_image = np.random.randint(0, 256, [1, 5, 5, 3])

# Task 3: Call the API tf.image.stateless_sample_distorted_bounding_box
bounding_boxes = np.array([[0.0, 0.0, 1.0, 1.0]])
begin, size, bbox_for_draw = tf.image.sample_distorted_bounding_box(
    tf.shape(input_image), bounding_boxes, seed=0)

cropped_image = tf.slice(input_image, begin, size)

# Display the cropped image
plt.imshow(cropped_image[0].numpy().astype(np.uint8))
plt.show()