"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.image.stateless_sample_distorted_bounding_box
tf.image.stateless_sample_distorted_bounding_box(image_size,bounding_boxes,seed,min_object_covered=0.1,aspect_ratio_range=None,area_range=None,max_attempts=None,use_image_if_no_bounding_boxes=None,name=None)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.image as mpimg
import os
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1
print('TensorFlow version: %s' % tf.__version__)

# Task 2
image_size = tf.constant([[300, 300, 3]], dtype=tf.int32)
bounding_boxes = tf.constant([[[0.1, 0.1, 0.9, 0.9]]], dtype=tf.float32)
seed = tf.constant([1], dtype=tf.int64)

# Task 3
distorted_bounding_box = tf.image.stateless_sample_distorted_bounding_box(
    image_size=image_size,
    bounding_boxes=bounding_boxes,
    seed=seed,
    min_object_covered=0.1,
    aspect_ratio_range=[0.75, 1.33],