"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.initializers.constant
tf.initializers.constant(value=0)
"""

import tensorflow as tf
import numpy as np

# Task 2: Generate input data
x = np.random.randint(100, size=100).astype(np.float32)
y = 0.1 * x + 0.3

# Task 3: Call the API tf.initializers.constant
# tf.initializers.constant(value=0)
w = tf.Variable(tf.initializers.constant(value=0))
b = tf.Variable(tf.initializers.constant(value=0))
for i in range(100):
    with tf.GradientTape() as tape:
        y_pred = w * x + b
        loss = 0.5 * tf.reduce_sum(tf.square(y_pred - y))
    grads = tape.gradient(loss, [w, b])
    w.assign_sub(0.1 * grads[0])
    b.assign_sub(0.1 * grads[1])
    print("After %s iteration: w=%f, b=%f,