"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Input
tf.keras.Input(shape=None,batch_size=None,name=None,dtype=None,sparse=None,tensor=None,ragged=None,type_spec=None,**kwargs)
"""
import tensorflow as tf
from tensorflow import keras
from tensorflow.keras import layers
import numpy as np

inputs = keras.Input(shape=(784,), name="digits")

# Define a layer that takes this input and computes 32-dim "encodings"
# using sigmoid activation
dense = layers.Dense(32, activation="sigmoid")(inputs)

# A layer that takes the 32-dim encodings and computes a 10-dim encoding
# using softmax. This layer should be named "digits_probabilities"
probabilities = layers.Dense(10, activation="softmax", name="digits_probabilities")(dense)

# Instantiate the model given inputs/outputs.
model = keras.Model(inputs=inputs, outputs=probabilities)

# The compile step specifies the training configuration.
model.compile(
    optimizer=keras.optimizers.RMSprop(learning_rate=1e-3),
    loss=keras.losses.