"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Model
tf.keras.Model(*args,**kwargs)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf
print(tf.__version__)

# Task 2: Generate input data
x = tf.random.normal([4, 10])
y = tf.random.normal([4, 1])

# Task 3: Call the API tf.keras.Model
class Linear(tf.keras.Model):
    def __init__(self):
        super().__init__()
        self.dense = tf.keras.layers.Dense(1)
    def call(self, x):
        return self.dense(x)

model = Linear()
model.build(input_shape=(4, 10))
print(model.summary())

for p in model.trainable_variables:
    print(p.name, p.shape)

model.compile(optimizer=tf.keras.optimizers.SGD(learning_rate=0.01),
              loss=tf.keras.losses.MeanSquaredError())

model.fit(x, y