"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Model
tf.keras.Model(*args,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = np.random.random((1000, 32))
labels = np.random.random((1000, 10))

# Task 3: Call the API tf.keras.Model
inputs = tf.keras.Input(shape=(32,))
x = tf.keras.layers.Dense(64, activation='relu')(inputs)
x = tf.keras.layers.Dense(64, activation='relu')(x)
predictions = tf.keras.layers.Dense(10, activation='softmax')(x)

# Instantiate the model given inputs and outputs.
model = tf.keras.Model(inputs=inputs, outputs=predictions)

# The compile step specifies the training configuration.
model.compile(optimizer=tf.keras.optimizers.RMSprop(0.001),
              loss=tf