"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Model
tf.keras.Model(*args,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow Version: ", tf.__version__)

# Task 2
# Generate input data
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Task 3
# Call the API tf.keras.Model
model = tf.keras.Sequential()
model.add(tf.keras.layers.Dense(units=1, input_dim=1))

# Optimizer
optimizer = tf.keras.optimizers.SGD(learning_rate=0.5)

# Compile
model.compile(optimizer=optimizer, loss='mse')

# Training
for step in range(100):
    with tf.GradientTape() as tape:
        y_pred = model(x_data)
        loss = tf.reduce_mean(tf.square(y_pred - y_data))
    grads = tape.gradient(loss,