"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Model
tf.keras.Model(*args,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = np.random.rand(100).astype(np.float32)
y = x * 0.1 + 0.3

# Task 3
class LinearModel(tf.keras.Model):
    def __init__(self):
        super().__init__()
        self.w = tf.Variable(tf.random.normal([1]), name='w')
        self.b = tf.Variable(tf.zeros([1]), name='b')

    def call(self, inputs):
        y_pred = self.w * inputs + self.b
        return y_pred

model = LinearModel()

def loss(y_true, y_pred):
    return tf.reduce_mean(tf.square(y_true - y_pred))

def train(model, inputs, outputs, learning_rate):
    with tf.GradientTape() as t:
        current_loss = loss(outputs, model(inputs