"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Model
tf.keras.Model(*args,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version: {}'.format(tf.__version__))

# Task 2: Generate input data
x = np.random.rand(100).astype(np.float32)
y = x * 0.1 + 0.3

# Task 3: Call the API tf.keras.Model
model = tf.keras.Sequential()
model.add(tf.keras.layers.Dense(units=1, input_dim=1))

model.compile(optimizer='sgd', loss='mse')

for step in range(300):
    cost = model.train_on_batch(x, y)
    if step % 20 == 0:
        print('step: {}, cost: {}'.format(step, cost))

print(model.predict(np.array([1.0])))