"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Sequential
tf.keras.Sequential(layers=None,name=None)
"""

import tensorflow as tf
import numpy as np

# Task 2
x_train = np.random.rand(100).astype(np.float32)
y_train = x_train * 0.1 + 0.3

# Task 3
Weights = tf.Variable(tf.random.uniform([1], -1.0, 1.0))
biases = tf.Variable(tf.zeros([1]))

for step in range(201):
    with tf.GradientTape() as tape:
        hypothesis = Weights * x_train + biases
        cost = tf.reduce_mean(tf.square(hypothesis - y_train))
    Weights_grad, biases_grad = tape.gradient(cost, [Weights, biases])
    Weights.assign_sub(Weights_grad * 0.5)
    biases.assign_sub(biases_grad * 0.5)
    if step % 20 == 0:
        print(step, Weights.numpy(), biases.numpy())