"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.Sequential
tf.keras.Sequential(layers=None,name=None)
"""

import tensorflow as tf
import numpy as np

# Generate input data
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data*0.1 + 0.3

# Call the API tf.keras.Sequential
model = tf.keras.Sequential()
# Add a layer
model.add(tf.keras.layers.Dense(units=1, input_dim=1))
# Setting optimizer
model.compile(optimizer='sgd', loss='mean_squared_error')
# Training
for step in range(301):
    cost = model.train_on_batch(x_data, y_data)
    if step % 20 == 0:
        print("Train cost: ", cost)

# Test
weights = model.get_weights()
print("Weights: ", weights)