"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB0
tf.keras.applications.EfficientNetB0(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
import numpy as np
import cv2
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
img = cv2.imread('images/dog.jpg')
img = cv2.cvtColor(img, cv2.COLOR_BGR2RGB)
img = cv2.resize(img, (224, 224))
img = np.expand_dims(img, axis=0)

# Task 3: Call the API tf.keras.applications.EfficientNetB0
model = tf.keras.applications.EfficientNetB0(weights='imagenet')

# Task 4: Use the model to predict
predictions = model.predict(img)

# Task 5: Print the top-5 predictions
print("Top-5 predictions:")
for i in range(5):
    print("{}: {:.2f}%".format(i+1, predictions[