"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB0
tf.keras.applications.EfficientNetB0(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print('TensorFlow version:', tf.__version__)

# Task 2
print('Generating image data...')
img_size = 224
batch_size = 64

# ImageNet dataset has 1000 classes
n_classes = 1000

# Use the ImageDataGenerator to generate image data
# The ImageDataGenerator will return a tuple of (x, y)
# x: image data
# y: one-hot encoded labels
train_datagen = tf.keras.preprocessing.image.ImageDataGenerator(
    rescale=1. / 255,
    shear_range=0.2,
    zoom_range=0.2,
    horizontal_flip=True,
    width_shift_range=0.2,
    height_shift_range=0.2)

train_generator = train_datagen.flow_from_directory(
    'data/train',
    target_size=(img_size, img_size),
