"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB0
tf.keras.applications.EfficientNetB0(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
from tensorflow.keras.applications.efficientnet import preprocess_input
import numpy as np
from PIL import Image
import time

# Task 1: import TensorFlow 2.10.0
tf.__version__

# Task 2: Generate input data
img = Image.open('cat.jpg')
img = img.resize((224, 224))
img = np.array(img)
img = preprocess_input(img)
img = np.expand_dims(img, axis=0)

# Task 3: Call the API tf.keras.applications.EfficientNetB0
model = tf.keras.applications.EfficientNetB0(weights='imagenet')

# Task 4: Run the model
start = time.time()
model.predict(img)
end = time.time()
print("Time cost: {}".format(end - start))