"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB1
tf.keras.applications.EfficientNetB1(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
input_data = np.random.random((1, 224, 224, 3))

# Task 3
model = tf.keras.applications.EfficientNetB1(include_top=True,
                                             weights='imagenet',
                                             input_tensor=None,
                                             input_shape=None,
                                             pooling=None,
                                             classes=1000,
                                             classifier_activation='softmax')

# Task 4
predictions = model.predict(input_data)
print(predictions.shape)

# Task 5
plt.figure()
plt.imshow(input_data[0])
plt.axis('off')
plt.show()

# Task 6
print('Predicted:', tf.keras.applications.efficientnet.decode_predictions(predictions, top=3)[0])