"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB1
tf.keras.applications.EfficientNetB1(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
import numpy as np
import matplotlib.pyplot as plt

# Make the input data
X = np.random.random((1, 224, 224, 3))
# Plot the input data
plt.imshow(X[0])
plt.show()

# Task 3: Call the API tf.keras.applications.EfficientNetB1
model = tf.keras.applications.EfficientNetB1(include_top=True, weights='imagenet', input_tensor=None, input_shape=None,
                                             pooling=None, classes=1000, classifier_activation='softmax', **kwargs)

# Print the model
model.summary()

# Make the prediction
predictions = model.predict(X)
print('Predicted:', tf.keras.applications.decode_predictions(predictions, top