"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB1
tf.keras.applications.EfficientNetB1(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import time

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
input_shape = (224, 224, 3)
input_tensor = tf.keras.layers.Input(shape=input_shape)

# Task 3
# Call the API tf.keras.applications.EfficientNetB1
model = tf.keras.applications.EfficientNetB1(include_top=True,
                                             weights='imagenet',
                                             input_tensor=input_tensor,
                                             input_shape=input_shape,
                                             pooling=None,
                                             classes=1000,
                                             classifier_activation='softmax',
                                             **kwargs)

# model.summary()

# Load an image and preprocess it
image_path = 'elephant.jpg'
img = tf.keras.preprocessing.image.load_img(image_path,