"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB1
tf.keras.applications.EfficientNetB1(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

print(tf.__version__)

# Task 2: Generate input data

# Generate random data
x = np.random.randn(10, 224, 224, 3)
print(x.shape)

# Plot the data
plt.imshow(x[0])
plt.show()

# Task 3: Call the API tf.keras.applications.EfficientNetB1

# Call the API
model = tf.keras.applications.EfficientNetB1(include_top=True, weights='imagenet', input_tensor=None, input_shape=None, pooling=None, classes=1000, classifier_activation='softmax', **kwargs)

# Print the model summary
model.summary()

# Predict the data
predictions = model.predict(x)

# Print the prediction result
print(predictions)