"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB1
tf.keras.applications.EfficientNetB1(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
input_shape = (224, 224, 3)
input_tensor = np.random.random(input_shape)
input_tensor = np.expand_dims(input_tensor, axis=0)

# Task 3
model = tf.keras.applications.EfficientNetB1(include_top=True, weights='imagenet', input_tensor=input_tensor, input_shape=input_shape, pooling=None, classes=1000, classifier_activation='softmax')

# Show the model architecture
model.summary()

# Show the model weights
model.layers[0].get_weights()

# Show the model output
model.predict(input_tensor)

# Show the model output
model.predict(input_tensor)