"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
import numpy as np
import time
import os
import sys
import json

# Task 1
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '3'
tf.compat.v1.logging.set_verbosity(tf.compat.v1.logging.ERROR)

# Task 2
input_shape = (224, 224, 3)
input_tensor = tf.random.normal([1] + list(input_shape))

# Task 3
start = time.time()
model = tf.keras.applications.EfficientNetB7(include_top=True, weights='imagenet', input_tensor=input_tensor, input_shape=input_shape, pooling=None, classes=1000, classifier_activation='softmax')
end = time.time()

# Print the total time
print("Total time:", end - start)

# Print the model summary
model.summary()