"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(10, 224, 224, 3)
print("input_data shape: ", input_data.shape)

# Task 3: Call the API tf.keras.applications.EfficientNetB7
model = tf.keras.applications.EfficientNetB7(include_top=True, weights='imagenet', input_tensor=None, input_shape=None, pooling=None, classes=1000, classifier_activation='softmax')
model.summary()

# Task 4: Predict output data
output_data = model.predict(input_data)
print("output_data shape: ", output_data.shape)
print(output_data)

# Task 5: Plot the first input image
plt.imshow(input_data[0])
