"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

# Task 1
import tensorflow as tf
from tensorflow import keras

# Task 2
# Generate input data
input_data = keras.Input(shape=(32, 32, 3), name='img')

# Task 3
# Call the API tf.keras.applications.EfficientNetB7
output = keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)(input_data)

model = keras.Model(inputs=[input_data], outputs=[output], name='my_model')

# Print model information
model.summary()

# Print input shape and output shape
print("input shape:", model.input_shape)
print("output shape:", model.output_shape)

# Print input name and output name
print("input name:", model.input_names)
print("output name:", model.output_names)