"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
input_shape = (224, 224, 3)
input_tensor = tf.random.uniform(input_shape)

# Task 3
# Call the API
model = tf.keras.applications.EfficientNetB7(include_top=True, weights='imagenet', input_tensor=input_tensor, input_shape=input_shape, pooling=None, classes=1000, classifier_activation='softmax')

# Print the model summary
model.summary()

# Print the model structure
print(model.layers)

# Print the model output shape
print(model.output_shape)

# Print the model output
print(model.output)

# Print the model input shape
print(model.input_shape)

# Print the model input
print(model.input)

# Print the model weights
print(model.weights