"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(1, 224, 224, 3)
input_data = input_data.astype(np.float32)

# Task 3: Call the API tf.keras.applications.EfficientNetB7
model = tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax')

# Task 4: Use the model to do inference
out = model.predict(input_data)

# Task 5: Print the output shape
print(out.shape)

# Task 6: Print the maximum value of output
print(np.max(out))

# Task 7: Print the top-5 prediction
print(np