"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.EfficientNetB7
tf.keras.applications.EfficientNetB7(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,classifier_activation='softmax',**kwargs)
"""
import tensorflow as tf
from tensorflow.keras.applications.efficientnet import preprocess_input
from tensorflow.keras.preprocessing.image import load_img, img_to_array
from tensorflow.keras.applications import EfficientNetB7
import numpy as np
from PIL import Image
import matplotlib.pyplot as plt
from tensorflow.keras.applications.efficientnet import decode_predictions

"""
Task 4: Create a model instance
"""
model = EfficientNetB7(weights='imagenet', include_top=True)

"""
Task 5: Load the image
"""
img_path = 'images/cat.jpg'
img = load_img(img_path, target_size=(224, 224))
plt.imshow(img)
plt.show()

"""
Task 6: Preprocess the image
"""
img = img_to_array(img)
img = np.expand_dims(img, axis=0)
img = preprocess_input(img)

