"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.ResNet101
tf.keras.applications.ResNet101(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""
import tensorflow as tf
import numpy as np
import time

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(1, 224, 224, 3).astype(np.float32)

# Task 3: Call the API tf.keras.applications.ResNet101
model = tf.keras.applications.ResNet101(weights='imagenet')

# Warm up
model(input_data)

# Inference
start_time = time.time()
for _ in range(100):
    model(input_data)
end_time = time.time()
print("Average inference time: ", (end_time - start_time) / 100)