"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.ResNet101
tf.keras.applications.ResNet101(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
num_samples = 100
num_classes = 2
input_shape = (224, 224, 3)
input_tensor = tf.random.normal([num_samples] + list(input_shape))

# Task 3
model = tf.keras.applications.ResNet101(include_top=True,
                                        weights='imagenet',
                                        input_tensor=input_tensor,
                                        input_shape=input_shape,
                                        pooling=None,
                                        classes=num_classes)

model.summary()

# Task 4
# Generate random labels
labels = np.random.randint(0, num_classes, size=num_samples)

# Task 5
# Compile the model
model.compile(optimizer='adam',
              loss='sparse_categorical_crossentropy',
