"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.ResNet101
tf.keras.applications.ResNet101(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1
print('TensorFlow version: {}'.format(tf.__version__))

# Task 2
# Generate input data
# Create a random input of size (1, 224, 224, 3)
input_data = np.random.rand(1, 224, 224, 3)

# Task 3
# Call the API tf.keras.applications.ResNet101
# tf.keras.applications.ResNet101(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
# include_top: whether to include the fully-connected layer at the top of the network
# weights: one of None (random initialization), 'imagenet' (pre-training on ImageNet), or the path to the weights file to be loaded.
# input_t