"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.ResNet101
tf.keras.applications.ResNet101(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__ >= "2.0"

# Task 2
# Generate input data
input_shape = (224, 224, 3)
input_data = np.random.random_sample(input_shape)
input_data = np.expand_dims(input_data, axis=0)

# Task 3
# Call the API tf.keras.applications.ResNet101
resnet101_model = tf.keras.applications.ResNet101(
    include_top=True, weights="imagenet", input_tensor=None, input_shape=None, pooling=None, classes=1000, **kwargs
)

# Print the model summary
resnet101_model.summary()

# Task 4
# Get the output of the model
output = resnet101_model.predict(input_data)
print(output)

# Task 5
# Get the model's weight