"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
input_data = np.random.random((1, 224, 224, 3))

# Task 3
model = tf.keras.applications.densenet.DenseNet201(include_top=True, weights='imagenet', input_tensor=None,
                                                   input_shape=None, pooling=None, classes=1000)
model.summary()

# Task 4: Call the API model.predict
prediction = model.predict(input_data)
print("Prediction shape: ", prediction.shape)

# Task 5: Call the API model.save
model.save('densenet201.h5')

# Task 6: Call the API tf.keras.models.load_model
model_new = tf.keras.models.load_model('densenet201.h5')
print("Model new summary: ", model_new.summary())

# Task 7: Call the API