"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""
import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__.startswith('2')

# Task 2
image_size = 224
input_shape = (image_size, image_size, 3)

# Task 3
model = tf.keras.applications.densenet.DenseNet201(include_top=True,
                                                   weights='imagenet',
                                                   input_tensor=None,
                                                   input_shape=input_shape,
                                                   pooling=None,
                                                   classes=1000)

# Generate random input data
input_data = np.random.random_sample(input_shape)
input_data = input_data.astype(np.float32)
input_data = np.expand_dims(input_data, 0)

# Run inference
output_data = model.predict(input_data)
print(output_data)