"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
print("Eager execution: {}".format(tf.executing_eagerly()))

# Task 2
x = np.random.rand(10, 224, 224, 3)
y = np.random.rand(10, 1000)

# Task 3
model = tf.keras.applications.densenet.DenseNet201(include_top=True, weights='imagenet', input_tensor=None,
                                                   input_shape=None, pooling=None, classes=1000)

# Task 4
model.compile(optimizer=tf.keras.optimizers.Adam(0.001), loss='categorical_crossentropy', metrics=['accuracy'])

# Task 5
model.fit(x, y, batch_size=10, epochs=10, verbose=1)

# Task 6
model.summary()