"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 2: Generate input data
input_data = np.random.rand(1, 224, 224, 3)
print(input_data.shape)
plt.imshow(input_data[0])
plt.show()

# Task 3: Call the API tf.keras.applications.densenet.DenseNet201
model = tf.keras.applications.densenet.DenseNet201(include_top=True, weights='imagenet', input_tensor=None, input_shape=None, pooling=None, classes=1000)

# Print the model summary
model.summary()

# Get the output of the model
output = model.predict(input_data)
print(output.shape)
print(output)

# Print the output
print(np.argmax(output))