"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""

import tensorflow as tf
import tensorflow_datasets as tfds

# Task 1
try:
    print("TensorFlow version: " + tf.__version__)
    assert tf.__version__ == "2.10.0"
    print("Congratulations! You have imported TensorFlow 2.10.0 successfully.")
except:
    print("Please install TensorFlow 2.10.0 first.")

# Task 2
(ds_train, ds_test), ds_info = tfds.load(
    'stanford_dogs',
    split=['train', 'test'],
    shuffle_files=True,
    with_info=True,
)

# Task 3
densenet = tf.keras.applications.densenet.DenseNet201(include_top=True, weights='imagenet', input_tensor=None,
                                                      input_shape=None, pooling=None, classes=1000)

densenet.summary()