"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.densenet.DenseNet201
tf.keras.applications.densenet.DenseNet201(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000)
"""

import tensorflow as tf
from tensorflow.keras.applications import densenet
from tensorflow.keras.preprocessing import image
from tensorflow.keras.applications.densenet import preprocess_input, decode_predictions

# Task 2
img_path = '../../../../../../../../../../../datasets/elephants.jpg'
img = image.load_img(img_path, target_size=(224, 224))
x = image.img_to_array(img)
x = np.expand_dims(x, axis=0)
x = preprocess_input(x)

# Task 3
model = densenet.DenseNet201(weights='imagenet')
preds = model.predict(x)
print('Predicted:', decode_predictions(preds, top=3)[0])

# Predicted: [('n02504458', 'African_elephant', 0.9231389), ('n01871265', 'tusker', 0.0655084),