"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.mobilenet_v2.preprocess_input
tf.keras.applications.mobilenet_v2.preprocess_input(x,data_format=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.random.uniform(shape=(1, 224, 224, 3))

# Task 3
preprocessed_input = tf.keras.applications.mobilenet_v2.preprocess_input(input_data)
print(preprocessed_input.shape)

# Task 4
# Create a MobileNetV2 model pre-loaded with weights trained on ImageNet
model = tf.keras.applications.MobileNetV2(weights="imagenet")

# Task 5
# Extract the 1000 imagenet classes
labels_path = tf.keras.utils.get_file(
    "ImageNetLabels.txt",
    "https://storage.googleapis.com/download.tensorflow.org/data/ImageNetLabels.txt",
)
imagenet_labels = np.array(open(labels_path).read().splitlines())

# Task 6
# Pass a batch of images to the model