"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet.ResNet152
tf.keras.applications.resnet.ResNet152(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""
import tensorflow as tf
import numpy as np

# Task 2: Generate input data
input_data = np.random.rand(1, 224, 224, 3)

# Task 3: Call the API tf.keras.applications.resnet.ResNet152
model = tf.keras.applications.resnet.ResNet152(include_top=True, weights='imagenet', input_shape=input_data.shape[1:])

# Task 4: Build the model
model.build(input_data.shape)

# Task 5: Print the model summary
model.summary()

# Task 6: Get the model's input and output tensors
input_tensor = model.input
output_tensor = model.output

# Task 7: Print the input tensor's name and shape
print("Input tensor's name: ", input_tensor.name)
print("Input tensor's shape: ", input_tensor.shape)

# Task 8: Print the output tensor's name and shape
print("Output tensor's name: ", output_tensor