"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet.ResNet152
tf.keras.applications.resnet.ResNet152(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 2: Generate input data
input_data = np.random.rand(1, 224, 224, 3)
input_data = tf.convert_to_tensor(input_data, dtype=tf.float32)

# Task 3: Call the API tf.keras.applications.resnet.ResNet152
model = tf.keras.applications.resnet.ResNet152(include_top=True, weights='imagenet', input_tensor=input_data)

# Task 4: Print the model summary
model.summary()

# Task 5: Print the model output
print(model.output)