"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet.ResNet152
tf.keras.applications.resnet.ResNet152(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import time
import os
from tensorflow.keras.applications.resnet import ResNet152
from tensorflow.keras.preprocessing import image
from tensorflow.keras.applications.resnet import preprocess_input, decode_predictions

def load_image(image_path):
    img = image.load_img(image_path, target_size=(224, 224))
    x = image.img_to_array(img)
    x = np.expand_dims(x, axis=0)
    x = preprocess_input(x)
    return x

def main():
    # Task 1
    print("TensorFlow version: {}".format(tf.__version__))
    assert tf.__version__ == "2.10.0"

    # Task 2
    image_path = os.path.join(os.getcwd(), "images/elephant.jpg")
    img = image.load_img(image_path