"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet.ResNet152
tf.keras.applications.resnet.ResNet152(include_top=True,weights='imagenet',input_tensor=None,input_shape=None,pooling=None,classes=1000,**kwargs)
"""

import tensorflow as tf
import numpy as np
import tensorflow_datasets as tfds

# Task 1
print(tf.__version__)

# Task 2
dataset, info = tfds.load('imagenet2012', with_info=True)
train_dataset, val_dataset = dataset['train'], dataset['validation']

# Task 3
model = tf.keras.applications.resnet.ResNet152(include_top=True, weights='imagenet', input_tensor=None, input_shape=None, pooling=None, classes=1000)
model.summary()

# Task 4
for image_batch, label_batch in train_dataset.take(1):
    print(image_batch.shape)
    print(label_batch.shape)
    images = image_batch
    labels = label_batch

# Task 5
predictions = model(images)

# Task 6
print(predictions.shape)

# Task 7
predictions = model.predict(images)
