"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet_v2.preprocess_input
tf.keras.applications.resnet_v2.preprocess_input(x,data_format=None)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
x = np.random.randint(0, 256, size=(224, 224, 3), dtype=np.uint8)
x = np.expand_dims(x, axis=0)

# Task 3
preprocessed_input = tf.keras.applications.resnet_v2.preprocess_input(x)
print(preprocessed_input.shape)

# Plot the input and the preprocessed input
plt.subplot(1, 2, 1)
plt.imshow(x[0])
plt.title('Input')
plt.subplot(1, 2, 2)
plt.imshow(preprocessed_input[0])
plt.title('Preprocessed input')
plt.show()