"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.applications.resnet_v2.preprocess_input
tf.keras.applications.resnet_v2.preprocess_input(x,data_format=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print('TensorFlow version: %s' % tf.__version__)

# Task 2
input_data = np.random.random((10, 224, 224, 3))
print('Input data shape: ', input_data.shape)

# Task 3
preprocessed_input_data = tf.keras.applications.resnet_v2.preprocess_input(input_data)
print('Preprocessed input data shape: ', preprocessed_input_data.shape)

# Task 4
model = tf.keras.applications.ResNet50V2(weights='imagenet')
predictions = model.predict(preprocessed_input_data)
print('Predictions shape: ', predictions.shape)