"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.backend.epsilon
tf.keras.backend.epsilon()
"""

import tensorflow as tf
import numpy as np

input_data = np.random.random((1000, 32))
output_data = np.random.random((1000, 10))

model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(64, activation='relu'),
    tf.keras.layers.Dense(64, activation='relu'),
    tf.keras.layers.Dense(10, activation='softmax')
])

model.compile(optimizer=tf.keras.optimizers.Adam(0.001),
              loss=tf.keras.losses.categorical_crossentropy,
              metrics=['accuracy'])

model.fit(input_data, output_data, epochs=10, batch_size=32)

model.summary()

print(tf.keras.backend.epsilon())