"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf

# Task 2: Generate input data
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

# generate data
x_data = np.linspace(0, 10, 10000)
noise = np.random.randn(len(x_data))

# y = mx + b + noise_levels
y_true = (0.5 * x_data) + 5 + noise

# Create a dataframe
x_df = pd.DataFrame(data=x_data, columns=['X Data'])
y_df = pd.DataFrame(data=y_true, columns=['Y'])

# concatenate x_df and y_df
my_data = pd.concat([x_df, y_df], axis=1)

# plot the data
my_data.sample(n=250).plot(kind='scatter', x='X Data', y='Y')
plt.show()

