"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf

# Task 2: Generate input data
x = tf.random.normal([4, 10])
y = tf.range(4)
dataset = tf.data.Dataset.from_tensor_slices((x, y))
dataset = dataset.batch(2)

# Task 3: Call the API tf.keras.callbacks.LambdaCallback
def print_epoch_end(epoch, logs):
    print(epoch, logs)

callback = tf.keras.callbacks.LambdaCallback(on_epoch_end=print_epoch_end)

model = tf.keras.Sequential([tf.keras.layers.Dense(10),
                             tf.keras.layers.Dense(1)])
model.compile(optimizer=tf.keras.optimizers.SGD(learning_rate=0.01),
              loss=tf.keras.losses.MeanSquaredError())
model