"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x_train = np.arange(10)
y_train = x_train * 2 + 1

# Task 3: Call the API tf.keras.callbacks.LambdaCallback
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(units=1, input_shape=[1])
])
model.compile(optimizer='sgd', loss='mse')

print_weights = tf.keras.callbacks.LambdaCallback(on_epoch_end=lambda batch, logs: print(model.layers[0].get_weights()))
model.fit(x_train, y_train, epochs=5, callbacks=[print_weights])