"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

# import tensorflow 2.10.0
import tensorflow as tf

# generate input data
data = tf.random.normal([4, 10])

# Call the API tf.keras.callbacks.LambdaCallback
callback = tf.keras.callbacks.LambdaCallback(
    on_epoch_begin=lambda epoch, logs: print(epoch, logs),
    on_epoch_end=lambda epoch, logs: print(epoch, logs),
    on_batch_begin=lambda batch, logs: print(batch, logs),
    on_batch_end=lambda batch, logs: print(batch, logs),
    on_train_begin=lambda logs: print(logs),
    on_train_end=lambda logs: print(logs))

# build a model
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(10, activation='relu', input_shape=(10,)),
    tf.keras.layers.Dense(1)])
model.compile(optimizer=tf