"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

# Task 1
import tensorflow as tf
print(tf.__version__)

# Task 2
import numpy as np
import matplotlib.pyplot as plt

N = 50
x = np.linspace(0,10,N)
y = np.sin(x)

plt.plot(x,y)
plt.show()

# Task 3
def on_epoch_end(epoch, logs):
    if epoch % 10 == 0:
        print('Epoch: {}\tLoss: {:.3f}'.format(epoch, logs['loss']))

# create a callback
callback = tf.keras.callbacks.LambdaCallback(on_epoch_end=on_epoch_end)

# create a model
model = tf.keras.Sequential([
    tf.keras.layers.Dense(16, activation='relu'),
    tf.keras.layers.Dense(1)
])

# compile the model
model.compile(optimizer=tf.keras.optim