"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x_train = np.random.random((1000, 1))
y_train = x_train * 2 + np.random.random((1000, 1)) / 3.0
x_test = np.random.random((100, 1))
y_test = x_test * 2 + np.random.random((100, 1)) / 3.0

# Task 3: Call the API tf.keras.callbacks.LambdaCallback
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(16, input_shape=(1,)),
    tf.keras.layers.Dense(1),
])
model.compile(optimizer=tf.keras.optimizers.SGD(0.2), loss='mse')
model.summary()

print('\n# Fit model on training data')
history = model.fit(x