"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
x_train = np.linspace(0, 20, 500)
y_train = 3 * x_train + 4 * np.random.randn(x_train.shape[0])
plt.plot(x_train, y_train, 'o')
plt.show()

# Task 3
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(units=1, input_shape=[1])
])

model.compile(optimizer='sgd', loss='mse')

model.fit(x_train, y_train, epochs=50, verbose=False)

print("Current weights: ", model.layers[0].get_weights())

print("Finished task 3")