"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

import numpy as np
import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
x_train = np.random.random((1000, 1))
y_train = x_train * 2 + np.random.random((1000, 1)) / 3.0
x_val = np.random.random((100, 1))
y_val = x_val * 2 + np.random.random((100, 1)) / 3.0

# Task 3: Call the API tf.keras.callbacks.LambdaCallback
# Define the callback function
def schedule(epoch, lr):
    if epoch >= 50:
        return 0.0001
    return 0.001

# Callback function
callback = tf.keras.callbacks.LearningRateScheduler(schedule)

# Create a model
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(16, input_dim=1