"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.callbacks.LambdaCallback
tf.keras.callbacks.LambdaCallback(on_epoch_begin=None,on_epoch_end=None,on_batch_begin=None,on_batch_end=None,on_train_begin=None,on_train_end=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 2: Generate input data
x_data = np.linspace(0, 10, 10) + np.random.uniform(-1.5, 1.5, 10)
y_label = np.linspace(0, 10, 10) + np.random.uniform(-1.5, 1.5, 10)

# Task 3: Call the API tf.keras.callbacks.LambdaCallback
# Task 3.1: Define a lambda function for printing the loss
print_loss = tf.keras.callbacks.LambdaCallback(on_epoch_end=lambda batch, logs: print(logs))

# Task 3.2: Define a lambda function for stopping the training when the loss is below 0.4
stop_training = tf.keras.callbacks.LambdaCallback(on_epoch_end=lambda batch, logs: print(logs) if logs["loss"] < 0.4 else False)

model = tf.keras.models.Sequential([
    tf.keras