"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.datasets.boston_housing.load_data
tf.keras.datasets.boston_housing.load_data(path='boston_housing.npz',test_split=0.2,seed=113)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

#Task 1
print("TensorFlow version: ", tf.__version__)

#Task 2
np.random.seed(113)
x = np.linspace(-1, 1, 100)
y = 0.5 * x + 2 + np.random.normal(0, 0.05, (100,))

#Task 3
(train_data, train_label), (test_data, test_label) = tf.keras.datasets.boston_housing.load_data(path='boston_housing.npz',test_split=0.2,seed=113)

#Task 4
plt.scatter(x, y)
plt.show()

#Task 5
plt.plot(train_data[:,5], train_label, 'ro', label='Original data')
plt.legend()
plt.show()

#Task 6
plt.plot(test_data[:,5], test_label, 'bo', label='