"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.datasets.boston_housing.load_data
tf.keras.datasets.boston_housing.load_data(path='boston_housing.npz',test_split=0.2,seed=113)
"""
import tensorflow as tf
import numpy as np
from tensorflow.keras.datasets.boston_housing import load_data

(train_data, train_targets), (test_data, test_targets) = load_data()

print(train_data.shape)
print(test_data.shape)
print(train_targets)

"""
Task 4: Normalize the data
"""
mean = train_data.mean(axis=0)
train_data -= mean
std = train_data.std(axis=0)
train_data /= std

test_data -= mean
test_data /= std

"""
Task 5: Build the model
"""
def build_model():
    model = tf.keras.Sequential([
        tf.keras.layers.Dense(64, activation='relu', input_shape=(train_data.shape[1],)),
        tf.keras.layers.Dense(64, activation='relu'),
        tf.keras.layers.Dense(1)
