"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.datasets.boston_housing.load_data
tf.keras.datasets.boston_housing.load_data(path='boston_housing.npz',test_split=0.2,seed=113)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
x_train = np.linspace(0, 100, 101)
y_train = 2 * x_train + np.random.randn(*x_train.shape) * 20

# Task 3
(x_train, y_train), (x_test, y_test) = tf.keras.datasets.boston_housing.load_data(path='boston_housing.npz',
                                                                                   test_split=0.2, seed=113)

# Task 4
model = tf.keras.Sequential([
    tf.keras.layers.Dense(1, input_shape=[1])
])

# Task 5
model.compile(optimizer='sgd', loss='mse')

# Task 6
model.fit(x_train, y_train, epochs=100)

# Task 7
model.predict(x_test)
