"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.experimental.LinearModel
tf.keras.experimental.LinearModel(units=1,activation=None,use_bias=True,kernel_initializer='zeros',bias_initializer='zeros',kernel_regularizer=None,bias_regularizer=None,**kwargs)
"""
import tensorflow as tf
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x_data = np.linspace(0.0, 10.0, 1000000)
noise = np.random.randn(len(x_data))
y_true = (0.5 * x_data) + 5 + noise

# Task 3: Call the API tf.keras.experimental.LinearModel
x_df = pd.DataFrame(data=x_data, columns=['X Data'])
y_df = pd.DataFrame(data=y_true, columns=['Y'])
my_data = pd.concat([x_df, y_df], axis=1)

# Visualize the data
sns.scatterplot(x='X Data', y='Y', data=my_data)
plt.show()
