"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.initializers.TruncatedNormal
tf.keras.initializers.TruncatedNormal(mean=0.0,stddev=0.05,seed=None)
"""

import tensorflow as tf
import numpy as np

# Generate input data
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Call the API tf.keras.initializers.TruncatedNormal
weights = tf.Variable(tf.random.truncated_normal([1], mean=0.0, stddev=0.05, seed=None))
biases = tf.Variable(tf.zeros([1]))

for epoch in range(200):
    with tf.GradientTape() as tape:
        y = weights * x_data + biases
        loss = tf.reduce_mean(tf.square(y - y_data))
    grads = tape.gradient(loss, [weights, biases])
    weights.assign_sub(0.5 * grads[0])
    biases.assign_sub(0.5 * grads[1])
    if epoch % 20 == 0:
        print("epoch:", epoch, "loss