"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.initializers.TruncatedNormal
tf.keras.initializers.TruncatedNormal(mean=0.0,stddev=0.05,seed=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
np.random.seed(1234)
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Task 3
Weights = tf.Variable(tf.random.truncated_normal([1],mean=0.0,stddev=0.05,seed=None))
Biases = tf.Variable(tf.zeros([1]))

for step in range(300):
    with tf.GradientTape() as tape:
        y = Weights * x_data + Biases
        loss = tf.reduce_mean(tf.square(y_data - y))
    grads = tape.gradient(loss, [Weights, Biases])
    Weights.assign_sub(0.5 * grads[0])
    Biases.assign_sub(0.5 * grads[1])