"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.initializers.TruncatedNormal
tf.keras.initializers.TruncatedNormal(mean=0.0,stddev=0.05,seed=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))

# Task 2
data = np.random.random((1000, 32))
labels = np.random.random((1000, 10))

# Task 3
model = tf.keras.Sequential([
    tf.keras.layers.Dense(10, activation='softmax', kernel_initializer=tf.keras.initializers.TruncatedNormal(mean=0.0, stddev=0.05, seed=None)),
    tf.keras.layers.Dense(10, activation='softmax', kernel_initializer=tf.keras.initializers.TruncatedNormal(mean=0.0, stddev=0.05, seed=None))
])

model.compile(optimizer='adam',
              loss='categorical_crossentropy',
              metrics=['accuracy'])

model.fit(data, labels, epochs=10, batch_size=32)