"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.AvgPool1D
tf.keras.layers.AvgPool1D(pool_size=2,strides=None,padding='valid',data_format='channels_last',**kwargs)
"""
import tensorflow as tf
import numpy as np

input_data = np.array([[1,2,3,4,5,6,7,8,9,10],[11,12,13,14,15,16,17,18,19,20]])
input_data = input_data.reshape(2,10,1)

# Task 2: Generate input data
input_layer = tf.keras.layers.Input(shape=(10,1))

# Task 3: Call the API tf.keras.layers.AvgPool1D
avg_pooling = tf.keras.layers.AvgPool1D(pool_size=2,strides=None,padding='valid',data_format='channels_last')(input_layer)

model = tf.keras.models.Model(inputs=input_layer,outputs=avg_pooling)

model.compile(optimizer='sgd',loss='mse')

model.summary()

# Predict
print(model.predict(input_data))