"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Convolution1D
tf.keras.layers.Convolution1D(filters,kernel_size,strides=1,padding='valid',data_format='channels_last',dilation_rate=1,groups=1,activation=None,use_bias=True,kernel_initializer='glorot_uniform',bias_initializer='zeros',kernel_regularizer=None,bias_regularizer=None,activity_regularizer=None,kernel_constraint=None,bias_constraint=None,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
t = np.linspace(0,2*np.pi,100)
x = np.sin(t)
plt.plot(t,x)
plt.show()

# Task 3: Call the API tf.keras.layers.Convolution1D
x = np.expand_dims(x,axis=0)
x = np.expand_dims(x,axis=2)
print(x.shape)

conv = tf.keras.layers.Convolution1D(filters=3,kernel_size=5,strides=1,padding='same')
y = conv(x)
print(y.shape)

plt.plot(y[0,:,0])
