"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.MultiHeadAttention
tf.keras.layers.MultiHeadAttention(num_heads,key_dim,value_dim=None,dropout=0.0,use_bias=True,output_shape=None,attention_axes=None,kernel_initializer='glorot_uniform',bias_initializer='zeros',kernel_regularizer=None,bias_regularizer=None,activity_regularizer=None,kernel_constraint=None,bias_constraint=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

def multi_head_attention(num_heads, key_dim, value_dim, output_shape=None):
    """
    :param num_heads: Number of attention heads.
    :param key_dim: Size of each attention head for query and key.
    :param value_dim: Size of each attention head for values.
    :param output_shape: Shape of the output tensor.
    :return: An attention layer.
    """
    return tf.keras.layers.MultiHeadAttention(
        num_heads,
        key_dim,
        value_dim=value_dim,
        output_shape=output_shape
    )

if __name__ == '__main__':
    # Generate input data
    num_heads = 2
    key_dim = 3
    value_dim = 4
    output_shape = (2, 3, 4)
    input_data = np.random.random((1, 2, 3))

    # Call the API
    output = multi_head_attention