"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.RandomCrop
tf.keras.layers.RandomCrop(height,width,seed=None,**kwargs)
"""

import tensorflow as tf
from tensorflow.keras.layers import Layer
from tensorflow.keras import backend as K

class RandomCrop(Layer):
    def __init__(self,height,width,**kwargs):
        super(RandomCrop,self).__init__(**kwargs)
        self.height = height
        self.width = width

    def call(self,inputs):
        return tf.image.random_crop(inputs,size=[self.height,self.width,3])

inputs = tf.random.normal(shape=(1,256,256,3))
outputs = RandomCrop(224,224)(inputs)
print(outputs.shape)