"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.RandomZoom
tf.keras.layers.RandomZoom(height_factor,width_factor=None,fill_mode='reflect',interpolation='bilinear',seed=None,fill_value=0.0,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version: {}'.format(tf.__version__))

# Task 2: Generate input data
# Generate a random image with a random number of lines
def generate_image(height, width, channels):
    image = np.zeros((height, width, channels))
    for i in range(height):
        for j in range(width):
            for k in range(channels):
                image[i][j][k] = np.random.uniform(0, 1)
    return image

# Generate a random number of random lines
def generate_random_lines(height, width, channels):
    n = np.random.randint(1, 25)
    lines = []
    for i in range(n):
        # Line
        x0 = np.random.randint(0, width)
        y0 = np.random.randint(0, height)
        x1