"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.RandomZoom
tf.keras.layers.RandomZoom(height_factor,width_factor=None,fill_mode='reflect',interpolation='bilinear',seed=None,fill_value=0.0,**kwargs)
"""

import tensorflow as tf
import numpy as np

def random_zoom(input_img, height_factor, width_factor):
    """
    Randomly zoom image.
    :param input_img: A 3-D tensor of shape [height, width, channels].
    :param height_factor: A scalar multiplier for the height of the output.
    :param width_factor: A scalar multiplier for the width of the output.
    :return: A 3-D tensor of shape [height, width, channels].
    """
    return tf.keras.layers.RandomZoom(height_factor, width_factor)(input_img)


if __name__ == '__main__':
    input_img = tf.constant(np.random.randint(0, 256, size=(224, 224, 3)), dtype=tf.uint8)
    output_img = random_zoom(input_img, 1.5, 1.5)

    print(output_img.shape)