"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Rescaling
tf.keras.layers.Rescaling(scale,offset=0.0,**kwargs)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
input_data = np.random.random((1000, 32))
target_data = np.random.random((1000, 10))

# Task 3
# Call the API tf.keras.layers.Rescaling
model = tf.keras.Sequential([
    tf.keras.layers.Dense(10, activation='softmax'),
    tf.keras.layers.Rescaling(0.5, 0.5),
    tf.keras.layers.Dense(10, activation='softmax')
])
model.compile(optimizer=tf.keras.optimizers.Adam(0.001),
              loss=tf.keras.losses.categorical_crossentropy,
              metrics=['accuracy'])
model.fit(input_data, target_data, epochs=10, batch_size=32)
model.summary()