"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Rescaling
tf.keras.layers.Rescaling(scale,offset=0.0,**kwargs)
"""
import tensorflow as tf
from tensorflow import keras
from tensorflow.keras import layers
import numpy as np

input_data = np.random.random((100,100))

inputs = keras.Input(shape=(100,), name='digits')
x = layers.Rescaling(1.0/255)(inputs)
outputs = layers.Dense(10, activation='softmax')(x)
model = keras.Model(inputs=inputs, outputs=outputs)

model.compile(optimizer=keras.optimizers.RMSprop(),
              loss=keras.losses.SparseCategoricalCrossentropy(),
              metrics=[keras.metrics.SparseCategoricalAccuracy()])

model.fit(input_data, np.random.random((100,1)), batch_size=32, epochs=10)