"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.SimpleRNN
tf.keras.layers.SimpleRNN(units,activation='tanh',use_bias=True,kernel_initializer='glorot_uniform',recurrent_initializer='orthogonal',bias_initializer='zeros',kernel_regularizer=None,recurrent_regularizer=None,bias_regularizer=None,activity_regularizer=None,kernel_constraint=None,recurrent_constraint=None,bias_constraint=None,dropout=0.0,recurrent_dropout=0.0,return_sequences=False,return_state=False,go_backwards=False,stateful=False,unroll=False,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
# Generate time series data
time = np.arange(0, 10, 0.1)
series = np.sin(time) + np.random.randn(len(time)) * 0.1

# Plot the data
plt.plot(time, series)
plt.xlabel('Time')
plt.ylabel('Value')
plt.show()

# Split the data into training data and testing data
T = 10
X = []
Y = []
for t in range(len(time) - T):
    x = series[t:t + T]
    X.append(x)
    y = series[t + T]
    Y.append(y)

X = np.array(X).reshape(-1, T)  # Make it N x T
Y = np.array(Y)
N = len(X)
print("X.shape", X.shape