"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.SimpleRNN
tf.keras.layers.SimpleRNN(units,activation='tanh',use_bias=True,kernel_initializer='glorot_uniform',recurrent_initializer='orthogonal',bias_initializer='zeros',kernel_regularizer=None,recurrent_regularizer=None,bias_regularizer=None,activity_regularizer=None,kernel_constraint=None,recurrent_constraint=None,bias_constraint=None,dropout=0.0,recurrent_dropout=0.0,return_sequences=False,return_state=False,go_backwards=False,stateful=False,unroll=False,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

tf.random.set_seed(1)
np.random.seed(1)

# Task 2: Generate input data
# Hyper-parameters
TIME_STEPS = 10
BATCH_SIZE = 64
INPUT_SIZE = 1
OUTPUT_SIZE = 1
CELL_SIZE = 32
LR = 0.02

# Generate data
x = np.linspace(-1, 1, TIME_STEPS * BATCH_SIZE)
x = x.reshape((BATCH_SIZE, TIME_STEPS))
y = np.zeros_like(x)
for i in range(TIME_STEPS):
    y[:, i] = np.sin(x[:, i])

# Plot data
plt.figure(figsize=(10, 6))
plt.plot(x[0], y[0], 'r-', label='target')
plt.legend()
plt.show()

# Task 3: Call the API tf.keras