"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.SimpleRNN
tf.keras.layers.SimpleRNN(units,activation='tanh',use_bias=True,kernel_initializer='glorot_uniform',recurrent_initializer='orthogonal',bias_initializer='zeros',kernel_regularizer=None,recurrent_regularizer=None,bias_regularizer=None,activity_regularizer=None,kernel_constraint=None,recurrent_constraint=None,bias_constraint=None,dropout=0.0,recurrent_dropout=0.0,return_sequences=False,return_state=False,go_backwards=False,stateful=False,unroll=False,**kwargs)
"""

import tensorflow as tf

def main():
    # Task 1: import TensorFlow 2.10.0
    print(tf.__version__)

    # Task 2: Generate input data
    (x_train, y_train), (x_test, y_test) = tf.keras.datasets.mnist.load_data()
    x_train = x_train.astype('float32') / 255.
    x_test = x_test.astype('float32') / 255.
    x_train = x_train.reshape(x_train.shape + (1,))
    x_test = x_test.reshape(x_test.shape + (1,))

    # Task 3: Call the API tf.keras.layers.SimpleRNN
    model = tf.keras.models.Sequential()
    model.add(tf.keras.layers.SimpleRNN(units=64, input_shape=x_train.shape[1:]))
    model.add(tf.keras.layers.Dense(10