"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Wrapper
tf.keras.layers.Wrapper(layer,**kwargs)
"""

import tensorflow as tf

class MyDense(tf.keras.layers.Layer):
    def __init__(self, units=32):
        super(MyDense, self).__init__()
        self.units = units

    def build(self, input_shape):
        self.w = self.add_weight(shape=(input_shape[-1], self.units), initializer='random_normal', trainable=True)
        self.b = self.add_weight(shape=(self.units,), initializer='random_normal', trainable=True)

    def call(self, inputs):
        return tf.matmul(inputs, self.w) + self.b


class MyModel(tf.keras.Model):
    def __init__(self, num_classes=10):
        super(MyModel, self).__init__()
        self.num_classes = num_classes
        self.layer1 = MyDense(32)
        self.layer2 = MyDense(num_classes)

    def call(self, inputs):