"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Wrapper
tf.keras.layers.Wrapper(layer,**kwargs)
"""

import tensorflow as tf
print(tf.__version__)

# Task 2: Generate input data
inputs = tf.random.normal([32, 10, 8])

# Task 3: Call the API tf.keras.layers.Wrapper
class MyRNNCellWrapper(tf.keras.layers.RNNCell):
    def __init__(self, cell, **kwargs):
        super(MyRNNCellWrapper, self).__init__(**kwargs)
        self._cell = cell

    @property
    def state_size(self):
        return self._cell.state_size

    @property
    def output_size(self):
        return self._cell.output_size

    def call(self, inputs, states):
        outputs, new_states = self._cell(inputs, states)
        return outputs * 0.5, new_states

wrapped_cell = MyRNNCellWrapper(tf.keras.layers.SimpleRNNCell(32))
outputs = wrapped_cell(inputs, states=None)