"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Wrapper
tf.keras.layers.Wrapper(layer,**kwargs)
"""

import tensorflow as tf
print(tf.__version__)

inputs = tf.keras.Input(shape=(784,))
dense = tf.keras.layers.Dense(64, activation='relu')
outputs = dense(inputs)

model = tf.keras.Model(inputs=inputs, outputs=outputs)
print(model.summary())

# Task 4: Call the API tf.keras.layers.Wrapper
# tf.keras.layers.Wrapper(layer,**kwargs)

wrapper = tf.keras.layers.Wrapper(dense, output_shape=(None, 64), input_shape=(784,))
outputs = wrapper(inputs)

model = tf.keras.Model(inputs=inputs, outputs=outputs)
print(model.summary())