"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.Wrapper
tf.keras.layers.Wrapper(layer,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Generate data
x = np.random.random((100, 1))
y = np.random.random((100, 1))

# Define a wrapper layer
class MyDenseLayer(tf.keras.layers.Layer):
    def __init__(self, num_outputs):
        super(MyDenseLayer, self).__init__()
        self.num_outputs = num_outputs

    def build(self, input_shape):
        self.kernel = self.add_weight("kernel",
                                      shape=[int(input_shape[-1]),
                                             self.num_outputs])

    def call(self, input):
        return tf.matmul(input, self.kernel)


# Create a wrapper layer
layer = MyDenseLayer(10)

# Create a model
model = tf.keras.Sequential([
    tf.keras.layers.Input(shape=(1,)),
    layer
])

# Compile the model
model.compile(