"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.CategoryCrossing
tf.keras.layers.experimental.preprocessing.CategoryCrossing(depth=None,name=None,separator='_X_',**kwargs)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf
from tensorflow import keras
from tensorflow.keras import layers

# Task 2: Generate input data
inputs = {
    'color': ['R', 'G', 'B', 'A'],
    'size': ['S', 'M', 'L'],
    'shape': ['square', 'circle']
}

# Task 3: Call the API tf.keras.layers.experimental.preprocessing.CategoryCrossing
input_layers = dict([(name, layers.Input(shape=(1,), name=name)) for name in inputs])
crossed_layer = layers.experimental.preprocessing.CategoryCrossing(
    depth=2, name='crossed')(input_layers)

# Create and compile model
model = keras.Model(input_layers, crossed_layer)
model.compile(optimizer='adam', loss='mse')

# Print the model summary
model.summary()

# Print the model's weights
print('\