"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.CategoryCrossing
tf.keras.layers.experimental.preprocessing.CategoryCrossing(depth=None,name=None,separator='_X_',**kwargs)
"""

import tensorflow as tf
from tensorflow import keras
from tensorflow.keras import layers

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
input_data = tf.keras.Input(shape=(2,), dtype=tf.string)

# Task 3: Call the API tf.keras.layers.experimental.preprocessing.CategoryCrossing
output_data = layers.experimental.preprocessing.CategoryCrossing(separator='_X_')(input_data)

# Create a model
model = tf.keras.Model(inputs=input_data, outputs=output_data)

# Print the model summary
model.summary()

# Print the output shape of the model
print("Output shape: ", model.output_shape)

# Print the number of weight parameters of the model
print("Number of weights: ", len(model.weights))

# Print the values of the weights of the model
print("Weights: ")
