"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.CategoryCrossing
tf.keras.layers.experimental.preprocessing.CategoryCrossing(depth=None,name=None,separator='_X_',**kwargs)
"""
import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.keras.layers.Input(shape=(2,), dtype=tf.string)

# Task 3
output = tf.keras.layers.experimental.preprocessing.CategoryCrossing()(input_data)
model = tf.keras.models.Model(inputs=input_data, outputs=output)

# Let's call the model on a few examples to see what it does:
print(model(["a" * 2, "b" * 2]))
print(model(["a" * 2, "b" * 3]))
print(model(["a" * 3, "b" * 2]))

# The model will output a dense representation of the input data.
# In this case, the output has a depth of 6, because there are 6 possible pairs of input categories:
print(model.output_shape)

# The model can also be used with integer inputs.
# In this case, the output depth will be equal to the number of