"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.Normalization
tf.keras.layers.experimental.preprocessing.Normalization(axis=-1,mean=None,variance=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

#Task 1
print(tf.__version__)

#Task 2
# Create input data
x = np.arange(0,10,0.1)
y = np.sin(x)

#Task 3
# Create a layer that normalizes the data
normalization_layer = tf.keras.layers.experimental.preprocessing.Normalization(axis=-1,mean=None,variance=None)

# Prepare a dataset.
dataset = tf.data.Dataset.from_tensor_slices((x, y))
dataset = dataset.batch(32)

# Normalize the dataset using the normalization layer.
dataset = dataset.map(lambda x, y: (normalization_layer(x), y))

# Iterate over the normalized dataset.
for batch_x, batch_y in dataset:
  print(batch_x.numpy().mean(), batch_x.numpy().std())
  print(batch_