"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.Normalization
tf.keras.layers.experimental.preprocessing.Normalization(axis=-1,mean=None,variance=None,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

tf.random.set_seed(1)
np.random.seed(1)

# Task 2
x = np.random.rand(100,1)
y = 5*x + 3 + np.random.normal(0,1,size=(100,1))

# Task 3
model = tf.keras.Sequential()
model.add(tf.keras.layers.experimental.preprocessing.Normalization(axis=-1,mean=None,variance=None))
model.add(tf.keras.layers.Dense(1))
model.compile(optimizer='sgd',loss='mse')
model.fit(x,y,epochs=100,verbose=0)
print(model.get_weights())

# Plot
x_test = np.linspace(0,1,100).reshape(100,1)
y_test = model.predict(x_test)
plt.scatter(x,y,c