"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.PreprocessingLayer
tf.keras.layers.experimental.preprocessing.PreprocessingLayer(**kwargs)
"""

# Task 1
import tensorflow as tf
from tensorflow import keras

# Task 2
inputs = tf.range(10)[:, None]
targets = inputs * 3.0 + 2.0

# Task 3
preprocessing_layer = keras.layers.experimental.preprocessing.PreprocessingLayer(
    lambda x: x * 2.0 - 1.0, name="preprocessing"
)
preprocessed_inputs = preprocessing_layer(inputs)

# Define a model
model = keras.models.Sequential(
    [preprocessing_layer, keras.layers.Dense(1, kernel_initializer="zeros")]
)
model.compile(loss="mse", optimizer="sgd")
model.fit(inputs, targets, epochs=3)

print("\nSummary:")
model.summary()

print("\nConfig:")
print(model.get_config())

print("\nWeights:")
print(model.get_weights())