"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.PreprocessingLayer
tf.keras.layers.experimental.preprocessing.PreprocessingLayer(**kwargs)
"""

import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version:', tf.__version__)

# Task 2: Generate input data
input_data = tf.random.uniform(shape=(4, 4), minval=0, maxval=100, dtype=tf.int32)
print('Input data:', input_data)

# Task 3: Call the API tf.keras.layers.experimental.preprocessing.PreprocessingLayer
preprocessing_layer = tf.keras.layers.experimental.preprocessing.PreprocessingLayer(
    lambda x: tf.one_hot(x, depth=100),
    input_shape=(4, 4),
    dtype=tf.float32)
preprocessing_layer.adapt(input_data)
one_hot_data = preprocessing_layer(input_data)
print('One-hot data:', one_hot_data)