"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
tf.keras.layers.experimental.preprocessing.RandomWidth(factor,interpolation='bilinear',seed=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print(tf.__version__)

# Task 2
input_data = np.random.random((1, 32, 32, 3))

# Task 3
data_augmentation = tf.keras.Sequential([
    tf.keras.layers.experimental.preprocessing.RandomWidth(factor=0.5),
    tf.keras.layers.experimental.preprocessing.RandomWidth(factor=0.75),
    tf.keras.layers.experimental.preprocessing.RandomWidth(factor=1.25),
    tf.keras.layers.experimental.preprocessing.RandomWidth(factor=1.5)
])

# Visualize the results of data augmentation
plt.figure(figsize=(10, 10))
for images, _ in data_augmentation(input_data).unbatch().batch(1):
    for i, image in enumerate(images):
        ax = plt.subplot(1,