"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
tf.keras.layers.experimental.preprocessing.RandomWidth(factor,interpolation='bilinear',seed=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print("\nTask 1: import TensorFlow 2.10.0")
print("TensorFlow version: ", tf.__version__)

# Task 2
print("\nTask 2: Generate input data")
x = np.arange(0,100,1)
y = np.sin(x/10)
plt.plot(x,y)
plt.show()

# Task 3
print("\nTask 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth")
dataset = tf.data.Dataset.from_tensor_slices(y).batch(1)

def random_width(factor):
    return tf.keras.layers.experimental.preprocessing.RandomWidth(factor)

factor = tf.constant(5.0)

for batch in dataset:
    print(random_width(factor)(batch))