"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
tf.keras.layers.experimental.preprocessing.RandomWidth(factor,interpolation='bilinear',seed=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version:', tf.__version__)

# Task 2: Generate input data
input_shape = (1, 128, 128, 3)
x = np.random.rand(*input_shape)
x = x.astype('float32')

# Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
layer = tf.keras.layers.experimental.preprocessing.RandomWidth(factor=0.5)
layer.adapt(x)
y = layer(x)

# Plot the images
plt.figure(figsize=(10, 10))
plt.subplot(1, 2, 1)
plt.imshow(x[0])
plt.title('Input image')
plt.subplot(1, 2, 2)
plt.imshow(y[0])
plt.title('Output image')
plt