"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
tf.keras.layers.experimental.preprocessing.RandomWidth(factor,interpolation='bilinear',seed=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version:', tf.__version__)

# Task 2: Generate input data
x = np.linspace(-1, 1, 100)
y = x + np.random.rand(*x.shape) * 0.3

# Task 3: Call the API tf.keras.layers.experimental.preprocessing.RandomWidth
inputs = tf.keras.layers.Input(shape=(1,))
outputs = tf.keras.layers.experimental.preprocessing.RandomWidth(factor=0.5)(inputs)
model = tf.keras.models.Model(inputs, outputs)

plt.scatter(x, y, label='data')
plt.plot(x, model.predict(x), label='prediction')
plt.legend()
plt.show()