"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.metrics.Metric
tf.keras.metrics.Metric(name=None,dtype=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

class Metric(tf.keras.metrics.Metric):
    def __init__(self, name='metric', **kwargs):
        super(Metric, self).__init__(name=name, **kwargs)
        self.true_positives = self.add_weight(name='tp', initializer='zeros')
        self.false_positives = self.add_weight(name='fp', initializer='zeros')
        self.true_negatives = self.add_weight(name='tn', initializer='zeros')
        self.false_negatives = self.add_weight(name='fn', initializer='zeros')

    def update_state(self, y_true, y_pred, sample_weight=None):
        y_pred = tf.cast(tf.math.greater(tf.math.sigmoid(y_pred), .5), tf.float32)
        y_true = tf.cast(y_true, tf.float32)
        self.true_pos