"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.metrics.Metric
tf.keras.metrics.Metric(name=None,dtype=None,**kwargs)
"""
import tensorflow as tf
import numpy as np

class MeanSquaredError(tf.keras.metrics.Metric):
    def __init__(self, name='mean_squared_error', **kwargs):
        super(MeanSquaredError, self).__init__(name=name, **kwargs)
        self.mean = self.add_weight(name='mean', initializer='zeros')

    def update_state(self, y_true, y_pred, sample_weight=None):
        y_true = tf.cast(y_true, tf.float32)
        y_pred = tf.cast(y_pred, tf.float32)
        self.mean.assign_add(tf.reduce_sum(tf.square(y_true - y_pred)))

    def result(self):
        return self.mean

    def reset_states(self):
        self.mean.assign(0.0)

y_true = np.random.random((1000, 1))
y_pred = np.random.random((1000, 1