"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.metrics.SensitivityAtSpecificity
tf.keras.metrics.SensitivityAtSpecificity(specificity,num_thresholds=200,class_id=None,name=None,dtype=None)
"""

import tensorflow as tf

class SensitivityAtSpecificity(tf.keras.metrics.Metric):
    def __init__(self, specificity, num_thresholds=200, class_id=None, name=None, dtype=None):
        super(SensitivityAtSpecificity, self).__init__(name=name, dtype=dtype)
        self.specificity = specificity
        self.num_thresholds = num_thresholds
        self.class_id = class_id
        self.sensitivity = self.add_weight(name='sensitivity', initializer='zeros')

    def update_state(self, y_true, y_pred, sample_weight=None):
        y_true = tf.cast(y_true, tf.float32)
        y_pred = tf.cast(y_pred, tf.float32)
        y_pred = tf.reshape(y_pred, shape=(-1, 1))
        y_true = tf.reshape(y_true, shape=(-1, 1))
        y_true