"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.metrics.SensitivityAtSpecificity
tf.keras.metrics.SensitivityAtSpecificity(specificity,num_thresholds=200,class_id=None,name=None,dtype=None)
"""
import tensorflow as tf
from tensorflow.keras import layers
import numpy as np

# Task 1: import TensorFlow 2.10.0
# Task 2: Generate input data
# Task 3: Call the API tf.keras.metrics.SensitivityAtSpecificity
tf.keras.backend.set_floatx('float64')
# define the input data
y_true = np.array([[0, 1, 0], [0, 0, 1]])
y_pred = np.array([[0.05, 0.95, 0], [0.1, 0.8, 0.1]])
# define the model
inputs = layers.Input(shape=(3,))
outputs = layers.Softmax()(inputs)
model = tf.keras.Model(inputs, outputs)
# define the metric
metric = tf.keras.metrics.SensitivityAtSpecificity(0.5)
# train the model
model.compile(optimizer='adam', loss='categorical_crossentropy', metrics=[metric])
model