"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.metrics.mae
tf.keras.metrics.mae(y_true,y_pred)
"""

import tensorflow as tf

def mae(y_true, y_pred):
    """
    :param y_true: a tensor of shape [batch_size, 1]
    :param y_pred: a tensor of shape [batch_size, 1]
    :return: a scalar
    """
    return tf.reduce_mean(tf.abs(y_true - y_pred))

if __name__ == "__main__":
    y_true = tf.constant([[1.0], [2.0], [3.0]], dtype=tf.float32)
    y_pred = tf.constant([[0.5], [1.0], [1.5]], dtype=tf.float32)
    print(mae(y_true, y_pred).numpy())