"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.mixed_precision.LossScaleOptimizer
tf.keras.mixed_precision.LossScaleOptimizer(inner_optimizer,dynamic=True,initial_scale=None,dynamic_growth_steps=None)
"""

import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
# Task 2: Generate input data
input_data = tf.random.uniform(shape=[64, 32], dtype=tf.float32)
label_data = tf.random.uniform(shape=[64, 1], dtype=tf.float32)

# Task 3: Call the API tf.keras.mixed_precision.LossScaleOptimizer
opt = tf.keras.optimizers.SGD(learning_rate=1.0)
opt = tf.keras.mixed_precision.LossScaleOptimizer(opt, dynamic=True)

with tf.GradientTape() as tape:
    # forward
    pred = tf.layers.dense(input_data, 1)
    loss = tf.losses.mean_squared_error(label_data, pred)
    # backward
    grad = tape.gradient(loss, tf.trainable_variables())
    # update
    opt.apply_gradients(zip(grad, tf