"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.mixed_precision.LossScaleOptimizer
tf.keras.mixed_precision.LossScaleOptimizer(inner_optimizer,dynamic=True,initial_scale=None,dynamic_growth_steps=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = np.random.uniform(size=(1000, 100))
y = np.random.uniform(size=(1000, 10))

# Task 3
model = tf.keras.Sequential([
    tf.keras.layers.Dense(10, activation='softmax', dtype=tf.float16),
    tf.keras.layers.Dense(10, activation='softmax', dtype=tf.float16)
])

optimizer = tf.keras.optimizers.SGD(learning_rate=1e-3)
optimizer = tf.keras.mixed_precision.LossScaleOptimizer(optimizer, dynamic=True)
model.compile(optimizer=optimizer, loss='categorical_crossentropy', metrics=['accuracy'])
model.fit(x, y, epochs=3)