"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.Adamax
tf.keras.optimizers.Adamax(learning_rate=0.001,beta_1=0.9,beta_2=0.999,epsilon=1e-07,name='Adamax',**kwargs)
"""

import tensorflow as tf
import numpy as np

x = np.random.rand(100).astype(np.float32)
y = x * 0.1 + 0.3

w = tf.Variable(tf.random.uniform([1], -1.0, 1.0))
b = tf.Variable(tf.zeros([1]))

optimizer = tf.keras.optimizers.Adamax(learning_rate=0.1)

for step in range(201):
    with tf.GradientTape() as tape:
        hypothesis = w * x + b
        loss = tf.reduce_mean(tf.square(hypothesis - y))
    grads = tape.gradient(loss, [w, b])
    optimizer.apply_gradients(zip(grads, [w, b]))

    if step % 20 == 0:
        print(step, loss.numpy(), w.numpy(), b.numpy())