"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.Ftrl
tf.keras.optimizers.Ftrl(learning_rate=0.001,learning_rate_power=-0.5,initial_accumulator_value=0.1,l1_regularization_strength=0.0,l2_regularization_strength=0.0,name='Ftrl',l2_shrinkage_regularization_strength=0.0,beta=0.0,**kwargs)
"""
# Task 1
import tensorflow as tf

# Task 2
x = tf.random.normal([4, 10])
w = tf.random.normal([10, 1])
y = tf.matmul(x, w)

# Task 3
optimizer = tf.keras.optimizers.Ftrl(learning_rate=0.001, learning_rate_power=-0.5, initial_accumulator_value=0.1,
                                     l1_regularization_strength=0.0, l2_regularization_strength=0.0, name='Ftrl',
                                     l2_shrinkage_regularization_strength=0.0, beta=0.0)

for i in range(10):
    with tf.GradientTape() as tape:
        y_pred = tf.matmul(x, w)
        loss = tf.reduce_mean(tf.square(y_pred - y))
    grads = tape.gradient(loss, w)
    optimizer.apply_gradients(grads_and_vars=zip([grads