"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.Ftrl
tf.keras.optimizers.Ftrl(learning_rate=0.001,learning_rate_power=-0.5,initial_accumulator_value=0.1,l1_regularization_strength=0.0,l2_regularization_strength=0.0,name='Ftrl',l2_shrinkage_regularization_strength=0.0,beta=0.0,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Generate input data
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Build a model
Weights = tf.Variable(tf.random.uniform([1], -1.0, 1.0))
biases = tf.Variable(tf.zeros([1]))
y = Weights * x_data + biases

# Define loss function
loss = tf.reduce_mean(tf.square(y - y_data))

# Define optimizer
optimizer = tf.keras.optimizers.Ftrl(learning_rate=0.1)

# Train the model
for step in range(201):
    optimizer.minimize(loss, var_list=[Weights, biases])
    if step % 20 == 0:
        print(step, Weights.numpy(), biases.numpy())