"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.Ftrl
tf.keras.optimizers.Ftrl(learning_rate=0.001,learning_rate_power=-0.5,initial_accumulator_value=0.1,l1_regularization_strength=0.0,l2_regularization_strength=0.0,name='Ftrl',l2_shrinkage_regularization_strength=0.0,beta=0.0,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version:", tf.__version__)

# Task 2: Generate input data
X = np.linspace(-1, 1, 100)
np.random.shuffle(X)
Y = 0.5 * X + 2 + np.random.normal(0, 0.05, (100,))

# plot data
plt.scatter(X, Y)
plt.show()

# Task 3: Call the API tf.keras.optimizers.Ftrl
X_train, Y_train = X[:80], Y[:80]
X_test, Y_test = X[80:], Y[80:]

model = tf.keras.models.Sequential()
model.add(tf.keras.layers.Dense(1, input_dim=1))
model.compile(
    optimizer='Ftrl',
    loss='mse'
)

