"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.RMSprop
tf.keras.optimizers.RMSprop(learning_rate=0.001,rho=0.9,momentum=0.0,epsilon=1e-07,centered=False,name='RMSprop',**kwargs)
"""

import tensorflow as tf
import numpy as np

#Task 1
print(tf.__version__)

#Task 2
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data*0.1+0.3

#Task 3
Weights = tf.Variable(tf.random.uniform([1],-1.0,1.0))
biases = tf.Variable(tf.zeros([1]))

y = Weights*x_data+biases

loss = tf.reduce_mean(tf.square(y-y_data))

optimizer = tf.keras.optimizers.RMSprop(0.1)

for step in range(201):
    with tf.GradientTape() as tape:
        loss_value = loss
    grads = tape.gradient(loss_value,[Weights,biases])
    optimizer.apply_gradients(zip(grads,[Weights,biases]))
    if step%20 == 0:
        print(step