"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.RMSprop
tf.keras.optimizers.RMSprop(learning_rate=0.001,rho=0.9,momentum=0.0,epsilon=1e-07,centered=False,name='RMSprop',**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 2: Generate input data
x = np.random.random((1000, 1))
y = x * 0.1 + 0.3

# Task 3: Call the API tf.keras.optimizers.RMSprop
model = tf.keras.Sequential([
    tf.keras.layers.Dense(1, activation='linear', input_shape=(1,))
])

model.compile(optimizer=tf.keras.optimizers.RMSprop(learning_rate=0.001, rho=0.9, momentum=0.0, epsilon=1e-07,
                                                    centered=False, name='RMSprop'),
              loss='mse',
              metrics=['mae'])

model.fit(x, y, epochs=10, batch_size=32)