"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.RMSprop
tf.keras.optimizers.RMSprop(learning_rate=0.001,rho=0.9,momentum=0.0,epsilon=1e-07,centered=False,name='RMSprop',**kwargs)
"""
import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
data = np.random.random((1000, 32))
labels = np.random.random((1000, 10))

# Task 3: Call the API tf.keras.optimizers.RMSprop
opt = tf.keras.optimizers.RMSprop(learning_rate=0.001, rho=0.9)

# Create a simple model.
model = tf.keras.models.Sequential([
  tf.keras.layers.Dense(10, activation='softmax', input_shape=(32,)),
  tf.keras.layers.Dense(10, activation='softmax')
])
model.compile(optimizer=opt,
              loss='categorical_crossentropy',
              metrics=['accuracy'])

# Train the model.
model.fit(data, labels, batch_size=32, epochs=5)