"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.optimizers.schedules.deserialize
tf.keras.optimizers.schedules.deserialize(config,custom_objects=None)
"""
import tensorflow as tf
import numpy as np
import json

config = {
  "name": "ExponentialDecay",
  "config": {
    "decay_steps": 1000,
    "decay_rate": 0.96,
    "staircase": True
  }
}

def get_config():
    return json.dumps(config)

def my_custom_schedule(epoch):
    if epoch < 10:
        return 0.001
    else:
        return 0.001 * tf.math.exp(0.1 * (10 - epoch))

def get_lr_schedule():
    return my_custom_schedule

def get_optimizer():
    optimizer = tf.keras.optimizers.SGD(learning_rate=0.001, momentum=0.9)
    return optimizer

def get_model():
    model = tf.keras.models.Sequential([
        tf.keras.layers.Flatten(input_shape=(28, 28)),
        tf.keras.layers.