"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.image_dataset_from_directory
tf.keras.preprocessing.image_dataset_from_directory(directory,labels='inferred',label_mode='int',class_names=None,color_mode='rgb',batch_size=32,image_size=(256,256),shuffle=True,seed=None,validation_split=None,subset=None,interpolation='bilinear',follow_links=False,crop_to_aspect_ratio=False,**kwargs)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
# Create a dataset of images from a directory
data_dir = tf.keras.utils.get_file(origin='https://storage.googleapis.com/download.tensorflow.org/example_images/flower_photos.tgz',fname='flower_photos',untar=True)
# Get the list of all the images
image_count = len(list(data_dir.glob('*/*.jpg')))
print("Number of images: ", image_count)

# Task 3: Call the API tf.keras.preprocessing.image_dataset_from_directory
# Create the dataset using the API
dataset = tf.keras.preprocessing.image_dataset_from_directory(data_dir, labels='inferred', label_mode='int', class_names=None, color_