"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.image_dataset_from_directory
tf.keras.preprocessing.image_dataset_from_directory(directory,labels='inferred',label_mode='int',class_names=None,color_mode='rgb',batch_size=32,image_size=(256,256),shuffle=True,seed=None,validation_split=None,subset=None,interpolation='bilinear',follow_links=False,crop_to_aspect_ratio=False,**kwargs)
"""
import tensorflow as tf
import matplotlib.pyplot as plt
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
# Generate data
def generate_data(size, seed=0):
    np.random.seed(seed)
    x = np.random.rand(size)
    y = (x * 2 - 1) ** 2
    return x, y

# Generate training data
x_train, y_train = generate_data(10000)

# Generate validation data
x_valid, y_valid = generate_data(1000)

# Generate test data
x_test, y_test = generate_data(1000)

# Plot data
plt.plot(x_train, y_train, 'ro', label='Training data')
plt.plot(x_valid, y_valid, 'bo', label='Validation data')
plt.plot(x_test, y_test, 'go', label='Test data')
plt.legend()
plt.