"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.image_dataset_from_directory
tf.keras.preprocessing.image_dataset_from_directory(directory,labels='inferred',label_mode='int',class_names=None,color_mode='rgb',batch_size=32,image_size=(256,256),shuffle=True,seed=None,validation_split=None,subset=None,interpolation='bilinear',follow_links=False,crop_to_aspect_ratio=False,**kwargs)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
# Load the CIFAR-10 dataset
cifar10 = tf.keras.datasets.cifar10

# Split the data into training and testing
(x_train, y_train), (x_test, y_test) = cifar10.load_data()
x_train, x_test = x_train / 255.0, x_test / 255.0

# Task 3
# Call the API tf.keras.preprocessing.image_dataset_from_directory
# Create a dataset from the image data in a directory
# Create the dataset
dataset = tf.keras.preprocessing.image_dataset_from_directory(
    'data/train',
    labels='inferred',
    label_mode='int',
    class_names=None,
    color_mode='rgb',
    batch_size=32,
    image_size=(256, 256),
    shuffle=True,
