"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.sequence.skipgrams
tf.keras.preprocessing.sequence.skipgrams(sequence,vocabulary_size,window_size=4,negative_samples=1.0,shuffle=True,categorical=False,sampling_table=None,seed=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
text = "I am happy because I am learning"

# Create a set of unique words in the sentence
vocab = set(text.split())

# Create a word-to-index dictionary
word2int = {}
int2word = {}

for i, word in enumerate(vocab):
    word2int[word] = i
    int2word[i] = word

# Encode the text
encoded = np.array([word2int[word] for word in text.split()])

# Task 3
# Generate skip-gram pairs
skip_gram_pairs, labels = tf.keras.preprocessing.sequence.skipgrams(
    sequence=encoded, vocabulary_size=len(vocab), window_size=3
)

# Print out the data
for i in range(10):
    print(
        "({:s} ({:d}), {:s} ({:d})) -> {:d}".