"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.sequence.skipgrams
tf.keras.preprocessing.sequence.skipgrams(sequence,vocabulary_size,window_size=4,negative_samples=1.0,shuffle=True,categorical=False,sampling_table=None,seed=None)
"""

import tensorflow as tf
import numpy as np
import os

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1
print(tf.__version__)

# Task 2
text = 'I love my dog'
words = text.split(' ')
print(words)

vocab = set(words)
vocab_size = len(vocab)
print(vocab_size)

word_to_int = {word: i for i, word in enumerate(vocab)}
int_to_word = {i: word for word, i in word_to_int.items()}
print(word_to_int)
print(int_to_word)

# Task 3
skip_grams = tf.keras.preprocessing.sequence.skipgrams(words, vocab_size, window_size=1)
pairs, labels = skip_grams
print(pairs)
print(labels)

for i in range(10):
    print("({:s} ({:d