"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.sequence.skipgrams
tf.keras.preprocessing.sequence.skipgrams(sequence,vocabulary_size,window_size=4,negative_samples=1.0,shuffle=True,categorical=False,sampling_table=None,seed=None)
"""

import tensorflow as tf
tf.__version__

# Task 2: Generate input data
text = 'I love my dog'

# Create a set of unique words in the sentence
vocab = set(text.split())

# Create a mapping from unique words to indices
word2int = {}
int2word = {}

for i,word in enumerate(vocab):
    word2int[word] = i
    int2word[i] = word

# Encode the text
encoded = []
for word in text.split():
    encoded.append(word2int[word])

# Generate skip-grams
pairs, labels = tf.keras.preprocessing.sequence.skipgrams(sequence=encoded,vocabulary_size=len(vocab),window_size=2)

for i in range(10):
    print("({:s} ({:d}), {:s} ({:d})) -> {:d}".format(
        int2word[pairs[i][0]], pairs[i][0],
        int2word[