"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.timeseries_dataset_from_array
tf.keras.preprocessing.timeseries_dataset_from_array(data,targets,sequence_length,sequence_stride=1,sampling_rate=1,batch_size=128,shuffle=False,seed=None,start_index=None,end_index=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
# Generate a noisy sinusoidal signal
time = np.arange(0, 100, 0.1)
x = np.sin(0.01 * time) + np.random.normal(scale=0.1, size=time.shape)
# Generate a noisy quadratic signal
y = 0.1 * time ** 2 + np.random.normal(scale=0.1, size=time.shape)

# Task 3: Call the API tf.keras.preprocessing.timeseries_dataset_from_array
dataset = tf.keras.preprocessing.timeseries_dataset_from_array(
    data=x, targets=y, sequence_length=10, sampling_rate=2, batch_size=32)

# Iterate over the dataset
for batch in dataset:
    print(batch)