"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.timeseries_dataset_from_array
tf.keras.preprocessing.timeseries_dataset_from_array(data,targets,sequence_length,sequence_stride=1,sampling_rate=1,batch_size=128,shuffle=False,seed=None,start_index=None,end_index=None)
"""

import tensorflow as tf
import numpy as np

#Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))

#Task 2: Generate input data
series = np.array(range(1, 100001)) 
split_time = 70000
time_train = series[:split_time]
x_train = time_train
time_valid = series[split_time:]
x_valid = time_valid

window_size = 30
batch_size = 32
shuffle_buffer_size = 1000

#Task 3: Call the API tf.keras.preprocessing.timeseries_dataset_from_array
dataset = tf.data.Dataset.from_tensor_slices(x_train)
dataset = dataset.window(window_size, shift=1, drop_remainder=True)
dataset = dataset.flat_map(lambda window: window.batch(window_size))
dataset = dataset.shuffle(shuffle_buffer_size