"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.preprocessing.timeseries_dataset_from_array
tf.keras.preprocessing.timeseries_dataset_from_array(data,targets,sequence_length,sequence_stride=1,sampling_rate=1,batch_size=128,shuffle=False,seed=None,start_index=None,end_index=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
time = np.arange(4 * 365 + 1, dtype="float32")
baseline = 10
series = baseline + np.sin(0.01 * time) + 0.1 * np.cos(0.03 * time)

split_time = 1000
time_train = time[:split_time]
x_train = series[:split_time]
time_valid = time[split_time:]
x_valid = series[split_time:]

window_size = 20
batch_size = 32
shuffle_buffer_size = 1000

# Task 3
dataset = tf.data.Dataset.from_tensor_slices(x_train)
dataset = dataset.window(window_size + 1, shift=1, drop_remainder=True)
dataset = dataset.flat_map(lambda window: window.batch(window_size + 1))
dataset = dataset.shuffle(shuffle