"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

import tensorflow as tf
import numpy as np

with tf.keras.utils.CustomObjectScope({'GlorotUniform': tf.keras.initializers.glorot_uniform()}):
    layer = tf.keras.layers.Dense(3, kernel_initializer='glorot_uniform')


def custom_activation(x):
    return tf.nn.tanh(x)


with tf.keras.utils.CustomObjectScope({'custom_activation': custom_activation}):
    layer = tf.keras.layers.Dense(3, activation='custom_activation')

print('*** SUCCESS ***')