"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
input_data = np.array([[0, 0], [0, 1], [1, 0], [1, 1]])
output_data = np.array([[0], [1], [1], [0]])

# Task 3
with tf.keras.utils.CustomObjectScope({'GlorotUniform': tf.keras.initializers.glorot_uniform()}):
    model = tf.keras.models.Sequential()
    model.add(tf.keras.layers.Dense(2, input_dim=2, activation='tanh'))
    model.add(tf.keras.layers.Dense(1, activation='sigmoid'))
    model.compile(loss='binary_crossentropy', optimizer='sgd', metrics=['accuracy'])
    model.summary()
    model.fit(input_data, output_data, epochs=1000, verbose=0)