"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version:", tf.__version__)

# Task 2: Generate input data
x = np.random.random((1000, 32))
y = np.random.random((1000, 10))

# Task 3: Call the API tf.keras.utils.CustomObjectScope
with tf.keras.utils.CustomObjectScope({'GlorotUniform': tf.keras.initializers.glorot_uniform()}):
    model = tf.keras.Sequential([
        tf.keras.layers.Dense(10, input_shape=(32,), kernel_initializer='GlorotUniform'),
        tf.keras.layers.Activation('relu'),
        tf.keras.layers.Dense(10),
        tf.keras.layers.Activation('softmax')])
    model.compile(optimizer='rmsprop', loss='categorical_crossentropy')
    model