"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""
import tensorflow as tf
import numpy as np

def custom_activation(x):
    return (tf.nn.relu(x) + 1) / 2

with tf.keras.utils.CustomObjectScope({'custom_activation': custom_activation}):
    model = tf.keras.Sequential([
        tf.keras.layers.Dense(10, activation=custom_activation, input_shape=(10,)),
        tf.keras.layers.Dense(10, activation=custom_activation),
        tf.keras.layers.Dense(1, activation='sigmoid')
    ])

    model.compile(optimizer='adam',
                  loss='binary_crossentropy',
                  metrics=['accuracy'])

    data = np.random.random((1000, 10))
    labels = np.random.randint(2, size=(1000, 1))
    val_data = np.random.random((100, 10))
    val_labels = np.random.randint(2, size=(100, 1))

    model.