"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

from __future__ import absolute_import, division, print_function, unicode_literals
import tensorflow as tf
from tensorflow import keras
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
data = np.random.random((1000, 32))
labels = np.random.random((1000, 10))

# Task 3: Call the API tf.keras.utils.CustomObjectScope
with keras.utils.CustomObjectScope({'GlorotUniform': keras.initializers.glorot_uniform(seed=None)}):
    layer = keras.layers.Dense(10, kernel_initializer='glorot_uniform')
    model = keras.models.Sequential()
    model.add(layer)
    model.compile(optimizer=tf.keras.optimizers.RMSprop(0.001),
                  loss='categorical_crossentropy',
                  metrics=['accuracy'])
    model