"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

import tensorflow as tf
import numpy as np

# Task 2: Generate input data
x = np.random.rand(100).astype(np.float32)
y = 0.3 * x + 0.1

# Task 3: Call the API tf.keras.utils.CustomObjectScope
with tf.keras.utils.CustomObjectScope({'MyDense': tf.keras.layers.Dense}):
    model = tf.keras.Sequential([tf.keras.layers.Dense(units=1, input_shape=[1])])
    model.compile(loss='mse', optimizer=tf.keras.optimizers.SGD(0.5))
    model.fit(x, y, batch_size=10, epochs=100)
    print(model.predict([0.5]))