"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.CustomObjectScope
tf.keras.utils.CustomObjectScope(*args)
"""

import tensorflow as tf
import numpy as np

input_data = np.random.randint(1, 100, size=(2, 3))
print("input data:", input_data)

with tf.keras.utils.CustomObjectScope({'GlorotUniform': tf.keras.initializers.glorot_uniform()}):
    model = tf.keras.Sequential()
    model.add(tf.keras.layers.Dense(2, input_shape=(3,), kernel_initializer='GlorotUniform'))
    model.add(tf.keras.layers.Dense(2, kernel_initializer='GlorotUniform'))
    model.summary()

    model.compile(optimizer='adam', loss='mse')
    model.fit(input_data, np.array([[1, 1], [1, 1]]), epochs=1)
    print("output data:", model.predict(input_data))