"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.load_img
tf.keras.utils.load_img(path,grayscale=False,color_mode='rgb',target_size=None,interpolation='nearest')
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt
import os

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 2: Generate input data
# Generate a random image with a square in it
img_size = 512
square_size = 50

def generate_image(size, square_size):
    img = np.zeros([size,size])
    img[size//2-square_size//2:size//2+square_size//2,size//2-square_size//2:size//2+square_size//2] = 1
    return img

def generate_batch(batch_size, size, square_size):
    img_batch = np.zeros((batch_size,size,size))
    label_batch = np.zeros((batch_size,1))
    for i in range(batch_size):
        img_batch[i,:,:] = generate_image(size,square_size)
        if np.random.rand() > 0