"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.load_img
tf.keras.utils.load_img(path,grayscale=False,color_mode='rgb',target_size=None,interpolation='nearest')
"""

import tensorflow as tf
import matplotlib.pyplot as plt
import numpy as np

# Task 1: import TensorFlow 2.10.0
print('TensorFlow version:', tf.__version__)

# Task 2: Generate input data
def generate_input_data():
    # generate data
    x = np.linspace(-2, 2, 200)
    y = x * x + np.random.randn(*x.shape) * 0.3
    # plot data
    plt.scatter(x, y)
    plt.show()
    # save data
    np.savez('train', x=x, y=y)

# generate_input_data()

# Task 3: Call the API tf.keras.utils.load_img
def load_img():
    # load data
    data = np.load('train.npz')
    x_train, y_train = data['x'], data['y']
    # plot data
    plt.scatter(x_train, y_train)
   