"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.timeseries_dataset_from_array
tf.keras.utils.timeseries_dataset_from_array(data,targets,sequence_length,sequence_stride=1,sampling_rate=1,batch_size=128,shuffle=False,seed=None,start_index=None,end_index=None)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
# Create a toy dataset of 100 samples, each sample containing 2 features
# The first feature is a sinusoidal function of time
# The second feature is a cosinusoidal function of time
time = np.linspace(0, 10, 100)
sin = np.sin(time)
cos = np.cos(time)
data = np.array([sin, cos]).T

# Task 3: Call the API tf.keras.utils.timeseries_dataset_from_array
# Generate a dataset that contains sequences of 10 consecutive samples
# Each sample contains 2 features
# The targets are the next sample in the sequence
dataset = tf.keras.utils.timeseries_dataset_from_array(
    data=data,
    targets=data,
    sequence_length=10,
    sequence_stride=1,
    sampling_