"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.keras.utils.timeseries_dataset_from_array
tf.keras.utils.timeseries_dataset_from_array(data,targets,sequence_length,sequence_stride=1,sampling_rate=1,batch_size=128,shuffle=False,seed=None,start_index=None,end_index=None)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("Task 1: import TensorFlow 2.10.0")
print("TensorFlow version: {}".format(tf.__version__))

# Task 2: Generate input data
print("\nTask 2: Generate input data")

# Generate a univariate time series
def plot_series(time, series, format="-", start=0, end=None):
    plt.plot(time[start:end], series[start:end], format)
    plt.xlabel("Time")
    plt.ylabel("Value")
    plt.grid(True)

def trend(time, slope=0):
    return slope * time

def seasonal_pattern(season_time):
    """Just an arbitrary pattern, you can change it if you wish"""
    return np.where(season_time < 0.4,
                    np.cos(season_time * 2 * np.pi),
                    1