"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.linalg.LinearOperatorBlockLowerTriangular
tf.linalg.LinearOperatorBlockLowerTriangular(operators,is_non_singular=None,is_self_adjoint=None,is_positive_definite=None,is_square=None,name='LinearOperatorBlockLowerTriangular')
"""

import tensorflow as tf
import numpy as np

#Task 1: import TensorFlow 2.10.0
print(tf.__version__)

#Task 2: Generate input data
n = 3

# generate a random matrix
matrix = np.random.rand(n, n)

# make the matrix symmetric
matrix = (matrix + matrix.T) / 2

# make the matrix positive definite
matrix = np.dot(matrix, matrix)

# convert to tensor
matrix = tf.convert_to_tensor(matrix)

#Task 3: Call the API tf.linalg.LinearOperatorBlockLowerTriangular
operator = tf.linalg.LinearOperatorBlockLowerTriangular([matrix])

# check if the operator is positive definite
print(operator.is_positive_definite)