"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.linalg.LinearOperatorBlockLowerTriangular
tf.linalg.LinearOperatorBlockLowerTriangular(operators,is_non_singular=None,is_self_adjoint=None,is_positive_definite=None,is_square=None,name='LinearOperatorBlockLowerTriangular')
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.random.normal(shape=[5, 5], mean=0.0, stddev=1.0, dtype=tf.float32)

# Task 3
block_lower_triangular = tf.linalg.LinearOperatorBlockLowerTriangular(
    operators=[tf.linalg.LinearOperatorLowerTriangular([[1.0, 0.0], [1.0, 1.0]]),
               tf.linalg.LinearOperatorLowerTriangular([[1.0, 0.0], [1.0, 1.0]]),
               tf.linalg.LinearOperatorLowerTriangular([[1.0, 0.0], [1.0, 1.0]])]
)

print(block_lower_triangular.log_abs_determinant().numpy())
print(block_lower_triangular.solve(input_data).numpy())