"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lite.OpsSet
"""

# Task 1
import tensorflow as tf
import numpy as np

# Task 2
# Generate input data
input_data = np.array([[1, 2, 3, 4, 5, 6, 7, 8, 9, 10]], dtype=np.float32)

# Task 3
# Call the API tf.lite.OpsSet
converter = tf.lite.TFLiteConverter.from_concrete_functions([tf.lite.OpsSet.TFLITE_BUILTINS, tf.lite.OpsSet.SELECT_TF_OPS])

# Convert the model
converter.convert()

# Get the converted result
tflite_model = converter.convert()

# Save the model to file
with tf.io.gfile.GFile('model.tflite', 'wb') as f:
    f.write(tflite_model)

# Load TFLite model and allocate tensors.
interpreter = tf.lite.Interpreter(model_path="model.tflite")
interpreter.all