"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lite.OpsSet
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
# Generate data
num_instances = 1000
input_data = np.random.randint(low=0, high=100, size=(num_instances,))
input_data = input_data.astype(np.float32)

# Define the model
def model(input_data):
    """
    Model to predict y = 2x + 3
    """
    y = 2 * input_data + 3
    return y

# Generate labels
labels = model(input_data)

# Task 3: Call the API tf.lite.OpsSet
# Convert the model to a TFLite model
converter = tf.lite.TFLiteConverter.from_concrete_functions([model])
converter.target_spec.supported_ops = [tf.lite.OpsSet.TFLITE_BUILTINS_INT8]
conver