"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lite.OpsSet
"""
import tensorflow as tf
import numpy as np

# Task 2: Generate input data
# Generate random input data consisting of 100 floating-point values,
# uniformly distributed between 0 and 1.
input_data = np.random.random_sample((1, 100))

# Task 3: Call the API tf.lite.OpsSet
# Convert the model.
converter = tf.lite.TFLiteConverter.from_saved_model('./saved_model')
tflite_model = converter.convert()

# Save the model.
open("converted_model.tflite", "wb").write(tflite_model)

# Load TFLite model and allocate tensors.
interpreter = tf.lite.Interpreter(model_path="converted_model.tflite")
interpreter.allocate_tensors()

# Get input and output tensors.
input_details = interpreter.get_input_details()
output_details = interpreter.get_output_details()

# Test model on random input data.
input