"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lite.OpsSet
"""

import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = tf.random.uniform([1, 3, 3, 3])

# Task 3: Call the API tf.lite.OpsSet
converter = tf.lite.TFLiteConverter.from_concrete_functions([tf.function(lambda: tf.nn.max_pool(input_data, [1, 2, 2, 1], [1, 2, 2, 1], padding='SAME'))])
converter.experimental_new_converter = True
tflite_model = converter.convert()

# Save the model.
with open('converted_model.tflite', 'wb') as f:
    f.write(tflite_model)