"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lite.OpsSet
"""

import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = tf.random.uniform(shape=[1, 2], minval=-1, maxval=1, dtype=tf.float32)

# Task 3: Call the API tf.lite.OpsSet
converter = tf.lite.TFLiteConverter.from_concrete_functions([input_data])
converter.target_spec.supported_ops = [tf.lite.OpsSet.TFLITE_BUILTINS,
                                       tf.lite.OpsSet.SELECT_TF_OPS]
converter.experimental_new_converter = True
tflite_model = converter.convert()

# Save the TFLite model.
with open('model.tflite', 'wb') as f:
    f.write(tflite_model)