"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.load_op_library
tf.load_op_library(library_filename)
"""
import tensorflow as tf
import numpy as np
import os

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
input_data = np.random.randint(1, 10, size=(10, 2))

# Task 3
# Call the API tf.load_op_library
# tf.load_op_library(library_filename)
# This function searches the library_filename in the following order:
# 1. The directory containing the calling python file
# 2. The current working directory
# 3. The environment variable PYTHON_PATH
# 4. The directories listed in the environment variable LD_LIBRARY_PATH
# 5. The standard system search path for shared libraries

# The path of the C++ shared library
cur_path = os.path.dirname(os.path.abspath(__file__))
library_filename = os.path.join(cur_path, "libtf_add.so")

# Load the library
tf_add = tf.load_op_library(library_filename)

# Call the