"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lookup.TextFileIndex
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
# Task 2: Generate input data
# Task 3: Call the API tf.lookup.TextFileIndex

# Create the data
data = np.array([["hello", "world"], ["hello", "world"], ["hello", "world"]])

# Create the dataset
dataset = tf.data.Dataset.from_tensor_slices(data)

# Create the table
table = tf.lookup.StaticHashTable(
    initializer=tf.lookup.KeyValueTensorInitializer(
        keys=["hello", "world"],
        values=[1, 2],
        key_dtype=tf.string,
        value_dtype=tf.int64
    ),
    default_value=0
)

# Map the table to the dataset
dataset = dataset.map(lambda x: table.lookup(x))

# Print the dataset
for element in dataset:
    print(element.numpy())