"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.lookup.TextFileInitializer
tf.lookup.TextFileInitializer(filename,key_dtype,key_index,value_dtype,value_index,vocab_size=None,delimiter='\t',name=None,value_index_offset=0)
"""

import tensorflow as tf
import os

# Task 1: import TensorFlow 2.10.0
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'
assert tf.__version__.startswith('2.')

# Task 2: Generate input data
input_data = [
    [1, 'a'],
    [2, 'b'],
    [3, 'c'],
    [4, 'd'],
    [5, 'e'],
    [6, 'f'],
    [7, 'g'],
    [8, 'h'],
    [9, 'i'],
    [10, 'j'],
]

# Task 3: Call the API tf.lookup.TextFileInitializer
table = tf.lookup.StaticHashTable(
    tf.lookup.TextFileInitializer(
        './data/hash_table/data.txt',
        key_dtype=tf.int64,
        key_index=tf.lookup.TextFileIndex.LINE_