"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.losses.CategoricalHinge
tf.losses.CategoricalHinge(reduction=losses_utils.ReductionV2.AUTO,name='categorical_hinge')
"""

import tensorflow as tf
import tensorflow_datasets as tfds
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
batch_size = 64

dataset, info = tfds.load('mnist', with_info=True, as_supervised=True)
mnist_train, mnist_test = dataset['train'], dataset['test']

def scale(image, label):
  image = tf.cast(image, tf.float32)
  image /= 255
  return image, label

train_data = mnist_train.map(scale).shuffle(10000).batch(batch_size)
eval_data = mnist_test.map(scale).batch(batch_size)

# Task 3: Call the API tf.losses.CategoricalHinge
# tf.losses.CategoricalHinge(reduction=losses_utils.ReductionV2.AUTO,name='