"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.losses.CategoricalHinge
tf.losses.CategoricalHinge(reduction=losses_utils.ReductionV2.AUTO,name='categorical_hinge')
"""

import tensorflow as tf
import tensorflow.keras as keras
import numpy as np

# Task 1: import TensorFlow 2.10.0

# Task 2: Generate input data
input_data = np.random.rand(100, 5)
input_data = input_data / input_data.sum(axis=1, keepdims=True)
input_label = np.random.randint(0, 5, (100,))
input_label = keras.utils.to_categorical(input_label, num_classes=5)

# Task 3: Call the API tf.losses.CategoricalHinge
loss_fn = tf.losses.CategoricalHinge(reduction=tf.losses.Reduction.AUTO, name='categorical_hinge')
loss = loss_fn(input_label, input_data)
print(loss)