"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.losses.Poisson
tf.losses.Poisson(reduction=losses_utils.ReductionV2.AUTO,name='poisson')
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("TensorFlow Version: {}".format(tf.__version__))

# Task 2: Generate input data
x = np.linspace(0, 10, 100)
y = np.sin(x) + np.random.randn(100)

# Task 3: Call the API tf.losses.Poisson
plt.plot(x, y, '.')
plt.show()

model = tf.keras.Sequential([
    tf.keras.layers.Dense(16, activation='relu'),
    tf.keras.layers.Dense(1)
])

model.compile(optimizer='adam', loss='mse')

model.fit(x, y, epochs=10)

y_pred = model.predict(x)

plt.plot(x, y_pred, '.')
plt.plot(x, y