"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.losses.Poisson
tf.losses.Poisson(reduction=losses_utils.ReductionV2.AUTO,name='poisson')
"""

import tensorflow as tf

def poisson_loss(y_true, y_pred):
    """
    Poisson loss function
    :param y_true: Ground truth (correct) labels
    :param y_pred: Predicted labels, as returned by a regression model
    :return: Poisson loss
    """
    return tf.losses.Poisson(reduction=losses_utils.ReductionV2.AUTO,name='poisson')(y_true, y_pred)


if __name__ == '__main__':
    # Generate sample data
    y_true = tf.constant([[1, 0, 0], [0, 1, 0], [0, 0, 1]])
    y_pred = tf.constant([[1, 0, 0], [0, 1, 0], [0, 0, 1]])

    print("Poisson loss: ", poisson_loss(y_true, y_pred))