"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.metrics.squared_hinge
tf.metrics.squared_hinge(y_true,y_pred)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
print("Eager execution: {}".format(tf.executing_eagerly()))

# Task 2
y_true = np.array([[1., 1., 1.], [1., 0., 1.], [0., 0., 1.]])
y_pred = np.array([[1., 0., 1.], [0., 1., 1.], [0., 0., 1.]])

# Task 3
print("\nSquared hinge loss:")
print(tf.keras.losses.squared_hinge(y_true, y_pred))

print("\nSquared hinge loss with auto-casting:")
print(tf.keras.losses.squared_hinge(tf.cast(y_true, tf.float32), tf.cast(y_pred, tf.float32)))

print("\nSquared hinge loss with auto-casting and label smoothing:")
print(tf.keras