"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.metrics.top_k_categorical_accuracy
tf.metrics.top_k_categorical_accuracy(y_true,y_pred,k=5)
"""

# Task 1: import TensorFlow 2.10.0
import tensorflow as tf
from tensorflow.keras import layers
import tensorflow_datasets as tfds

# Task 2: Generate input data
(ds_train, ds_test), ds_info = tfds.load(
    'mnist',
    split=['train', 'test'],
    shuffle_files=True,
    as_supervised=True,
    with_info=True,
)

def normalize_img(image, label):
    """Normalizes images: `uint8` -> `float32`."""
    return tf.cast(image, tf.float32) / 255., label

ds_train = ds_train.map(
    normalize_img, num_parallel_calls=tf.data.experimental.AUTOTUNE)
ds_train = ds_train.cache()
ds_train = ds_train.shuffle(ds_info.splits['train'].num_examples)
ds_train = ds_train.