"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.nn.avg_pool1d
tf.nn.avg_pool1d(input,ksize,strides,padding,data_format='NWC',name=None)
"""
import tensorflow as tf
import numpy as np

def avg_pool1d(input,ksize,strides,padding,data_format='NWC',name=None):
    if data_format=='NWC':
        input = tf.transpose(input,perm=[0,2,1])
    output = tf.nn.avg_pool1d(input,ksize,strides,padding,data_format='NCW',name=name)
    if data_format=='NWC':
        output = tf.transpose(output,perm=[0,2,1])
    return output

input = np.arange(1,13,dtype=np.float32).reshape([1,2,6])
print('input:',input)
output = avg_pool1d(input,ksize=3,strides=3,padding='VALID')
print('output:',output)