"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.nn.collapse_repeated
tf.nn.collapse_repeated(labels,seq_length,name=None)
"""
import tensorflow as tf

def collapse_repeated(labels,seq_length,name=None):
    with tf.name_scope(name, "collapse_repeated", [labels, seq_length]):
        # Task 1: Check that labels has rank 2 and seq_length has rank 1
        if labels.shape.ndims != 2:
            raise ValueError("labels should have rank 2, but has rank %d" % labels.shape.ndims)
        if seq_length.shape.ndims != 1:
            raise ValueError("seq_length should have rank 1, but has rank %d" % seq_length.shape.ndims)
        # Task 2: Get the number of time steps from labels
        num_time_steps = tf.shape(labels)[1]
        # Task 3: Get the maximum sequence length
        max_seq_length = tf.reduce_max(seq_length)
        # Task 4: Create a mask of ones and zeros
        mask = tf.sequence_mask(seq_length, maxlen=num_time_steps, dtype=