"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.nn.conv_transpose
tf.nn.conv_transpose(input,filters,output_shape,strides,padding='SAME',data_format=None,dilations=None,name=None)
"""

import tensorflow as tf
import numpy as np

class Conv2DTranspose(tf.keras.Model):
    def __init__(self,filters,kernel_size,strides,padding):
        super(Conv2DTranspose,self).__init__()
        self.conv2d_transpose = tf.keras.layers.Conv2DTranspose(filters=filters,kernel_size=kernel_size,strides=strides,padding=padding)
    
    def call(self,inputs):
        output = self.conv2d_transpose(inputs)
        return output

input_data = tf.random.uniform(shape=(1,6,6,3),minval=0,maxval=255,dtype=tf.int32)

conv2d_transpose = Conv2DTranspose(filters=3,kernel_size=(3,3),strides=(2,2),padding='same')
output = conv2d_transpose(input_data)
print(output.shape)

"""
Task