"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.nn.gelu
tf.nn.gelu(features,approximate=False,name=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print("Task 1: import TensorFlow 2.10.0")
print("TF version: ", tf.__version__)
print("Eager mode: ", tf.executing_eagerly())
print("GPU is", "available" if tf.config.experimental.list_physical_devices("GPU") else "NOT AVAILABLE")

# Task 2
print("Task 2: Generate input data")

x = np.linspace(-2.0, 2.0, 100)
y = x * x + np.random.normal(0.0, 0.1, 100)

# Task 3
print("Task 3: Call the API tf.nn.gelu")

gelu_layer = tf.keras.layers.Lambda(tf.nn.gelu)
model = tf.keras.Sequential([
    tf.keras.layers.Dense(10, input_shape=(1,)),
    gelu_layer,
    tf.keras.layers.Dense(1