"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.nn.swish
tf.nn.swish(features)
"""

import tensorflow as tf
import numpy as np

def swish(x):
    return x * tf.nn.sigmoid(x)

def swish_grad(x):
    return tf.nn.sigmoid(x) + x * tf.nn.sigmoid(x) * (1 - tf.nn.sigmoid(x))

def main():

    # Task 1
    print(tf.__version__)

    # Task 2
    x = tf.random.uniform([2, 2])
    print(x)

    # Task 3
    y = swish(x)
    print(y)

    # Task 4
    x_grad = tf.gradients(y, x)
    print(x_grad)

    # Task 5
    y_grad = swish_grad(x)
    print(y_grad)

if __name__ == "__main__":
    main()