"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.optimizers.serialize
tf.optimizers.serialize(optimizer)
"""

# Task 1
import tensorflow as tf
from tensorflow import keras

# Task 2
x = tf.constant([[1], [2], [3], [4]], dtype=tf.float32)
y_true = tf.constant([[0], [-1], [-2], [-3]], dtype=tf.float32)

# Task 3
linear_model = tf.keras.Sequential([keras.layers.Dense(units=1, input_shape=[1])])
optimizer = tf.keras.optimizers.SGD(learning_rate=0.01)
linear_model.compile(optimizer=optimizer, loss='mean_squared_error')

print(linear_model.weights)

linear_model.fit(x, y_true, epochs=5, verbose=0)

print(linear_model.weights)

# serialize the model
serialized_model = tf.keras.experimental.export_saved_model(linear_model, './serialized_models')

# serial