"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.queue.FIFOQueue
tf.queue.FIFOQueue(capacity,dtypes,shapes=None,names=None,shared_name=None,name='fifo_queue')
"""
import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.random.uniform([4, 10], dtype=tf.int32)

# Task 3
q = tf.queue.FIFOQueue(capacity=10, dtype=tf.float32)

# enqueue
enqueue_op = q.enqueue_many(input_data)

# dequeue
qr = tf.train.QueueRunner(q, [enqueue_op] * 1)

with tf.Session() as sess:
    # create a coordinator, launch the queue runner threads
    coord = tf.train.Coordinator()
    enqueue_threads = qr.create_threads(sess, coord=coord, start=True)
    # run the training loop
    for step in range(100):
        if coord.should_stop():
            break
        data = q.dequeue()

coord.request_stop()
coord.join(enqueue_threads)