"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.queue.FIFOQueue
tf.queue.FIFOQueue(capacity,dtypes,shapes=None,names=None,shared_name=None,name='fifo_queue')
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
input_data = np.random.randint(0, 10, size=[10, 3, 3])
input_data = input_data.astype(np.float32)
print(input_data)

# Task 3
fifo_queue = tf.queue.FIFOQueue(capacity=10, dtypes=tf.float32, shapes=[3, 3], names=None, shared_name=None,
                                name='fifo_queue')

# enqueue_many:
# Enqueues zero or more tuples of one or more tensors in the given queue.
# This operation slices each component tensor along the 0th dimension to make multiple queue elements.
# All of the tuple components must have the same size in the 0th dimension.
# If the queue is full, this operation will block until the given elements have been enqueued (or 'timeout_ms' elapses,
# if specified).
# This operation has k outputs, where k is the number of components