"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.queue.FIFOQueue
tf.queue.FIFOQueue(capacity,dtypes,shapes=None,names=None,shared_name=None,name='fifo_queue')
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))
print("Eager execution: {}".format(tf.executing_eagerly()))

# Task 2: Generate input data
x = np.random.sample((100,2))
dataset = tf.data.Dataset.from_tensor_slices(x).repeat(10)

# Task 3: Call the API tf.queue.FIFOQueue
dataset = dataset.shuffle(buffer_size=100).batch(10)
iterator = iter(dataset)

# Create a FIFOQueue
q = tf.queue.FIFOQueue(capacity=100, dtypes=tf.float32, shapes=(10,2))

# Enqueue operation
enqueue_op = q.enqueue_many(iterator)

# Create a QueueRunner
qr = tf.compat.v1.train.QueueRunner(q, [enqueue_