"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.queue.FIFOQueue
tf.queue.FIFOQueue(capacity,dtypes,shapes=None,names=None,shared_name=None,name='fifo_queue')
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
input_data = np.random.rand(10, 2)
print("Input data: ", input_data)

# Task 3
q = tf.queue.FIFOQueue(capacity=10, dtypes=tf.float32)

enqueue_op = q.enqueue_many(input_data)

# Create a queue runner that will run 4 threads in parallel to enqueue
# data.
qr = tf.train.QueueRunner(q, [enqueue_op] * 4)

# Launch the graph.
with tf.Session() as sess:
    # Create a coordinator, launch the queue runner threads.
    coord = tf.train.Coordinator()
    enqueue_threads = qr.create_threads(sess, coord=coord, start=True)

    # Run the enqueue operation.
    data = sess.run(q.dequeue())
    print("Dequeued data: