"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.random.experimental.Generator
tf.random.experimental.Generator(copy_from=None,state=None,alg=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
input_data = np.array([[1, 2, 3], [4, 5, 6], [7, 8, 9]])
print("Input data: \n", input_data)

# Task 3
generator = tf.random.experimental.Generator.from_non_deterministic_state()
print("Generator: ", generator)

# Get a random sample from a normal distribution
print("Random sample: ", generator.normal(shape=[]))

# Get a random sample from a normal distribution with mean 2 and standard deviation 3
print("Random sample: ", generator.normal(mean=2, stddev=3, shape=[]))

# Get a random sample from a uniform distribution
print("Random sample: ", generator.uniform(shape=[]))

# Get a random sample from a uniform distribution with range [2, 4)
print("Random sample: ", generator.uniform(minval=2, maxval=4