"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.random.experimental.set_global_generator
tf.random.experimental.set_global_generator(generator)
"""

# Task 1
import tensorflow as tf

# Task 2
def make_input_data(batch_size=64, num_features=100, num_labels=1):
    """Generate an input function for the Estimator."""
    def input_fn():
        """The input function."""
        # Generate fake input data
        x = tf.random.normal([batch_size, num_features])
        # Generate fake class labels
        y = tf.random.uniform([batch_size, num_labels], minval=0, maxval=2, dtype=tf.int32)
        return x, y
    return input_fn

# Task 3
# Set the global random seed
tf.random.set_seed(42)
# Generate some input data
input_fn = make_input_data()
features, labels = input_fn()

# Create a new RandomGenerator
generator = tf.random.Generator.from_seed(seed=42)
# Set the global random generator
tf.random.experimental.set_global_gener