"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.random.experimental.set_global_generator
tf.random.experimental.set_global_generator(generator)
"""

import tensorflow as tf
import numpy as np

def generate_data(n_samples):
    x = np.random.rand(n_samples)
    y = np.sin(x * 2 * np.pi)
    return x, y

n_samples = 1000
x, y = generate_data(n_samples)

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
dataset = tf.data.Dataset.from_tensor_slices((x, y))
dataset = dataset.shuffle(n_samples)
dataset = dataset.batch(32)
dataset = dataset.repeat()

# Task 3: Call the API tf.random.experimental.set_global_generator
tf.random.experimental.set_global_generator(tf.random.Generator.from_seed(1))

# Create model
model = tf.keras.Sequential([
    tf.keras.layers.