"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.random.experimental.set_global_generator
tf.random.experimental.set_global_generator(generator)
"""
import tensorflow as tf
import numpy as np

def get_data(n_samples, n_features, n_classes):
    """
    Generate random data for a multinomial classification problem
    :param n_samples: the number of samples to generate
    :param n_features: the number of features per sample
    :param n_classes: the number of classes
    :return: tuple of (samples, labels)
    """
    # Create random normal data
    data = np.random.randn(n_samples, n_features)

    # Create random one-hot labels
    labels = np.random.randint(0, n_classes, size=(n_samples, 1))
    labels = tf.keras.utils.to_categorical(labels, num_classes=n_classes)

    return data, labels

def create_model(n_features, n_classes):
    """
    Create a simple multi-layer-perceptron model
    :param n_features: the number of features
    :param n_classes: the number of