"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ApplyAdaMax
tf.raw_ops.ApplyAdaMax(var,m,v,beta1_power,lr,beta1,beta2,epsilon,grad,use_locking=False,name=None)
"""

import tensorflow as tf
from tensorflow.python.framework import ops
from tensorflow.python.ops import math_ops
from tensorflow.python.ops import resource_variable_ops
from tensorflow.python.ops import state_ops
from tensorflow.python.ops import variable_scope
from tensorflow.python.training import training_ops
from tensorflow.python.util.tf_export import tf_export

@tf_export("raw_ops.ApplyAdaMax")
def raw_ops_ApplyAdaMax(var, m, v, beta1_power, lr, beta1, beta2, epsilon, grad, use_locking=False, name=None):
  r"""Update '*var' according to the AdaMax algorithm.

  m_t <- beta1 * m_{t-1} + (1 - beta1) * g
  v_t <- max(beta2 * v_{t-1}, abs(g))
  variable <- variable - learning_rate / (1 - beta1^t) * m_t / (v_t + e