"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ApplyAdaMax
tf.raw_ops.ApplyAdaMax(var,m,v,beta1_power,lr,beta1,beta2,epsilon,grad,use_locking=False,name=None)
"""

import tensorflow as tf
import numpy as np
import time

# Task 1: import TensorFlow 2.10.0

# Task 2: Generate input data
np.random.seed(1)
x = np.random.uniform(-1, 1, 100).astype(np.float32)
y = x * 0.1 + 0.3

# Task 3: Call the API tf.raw_ops.ApplyAdaMax
with tf.GradientTape() as g:
    g.watch([x])
    y_pred = x * 0.1 + 0.3
    loss = tf.reduce_mean(tf.square(y_pred - y))

start = time.time()
optimizer = tf.keras.optimizers.Adamax(0.1)
optimizer.apply_gradients(zip(g.gradient(loss, [x]), [x]))
print("ApplyAdaMax:", time.time() - start)