"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ApplyGradientDescent
tf.raw_ops.ApplyGradientDescent(var,alpha,delta,use_locking=False,name=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant(1.0)
w = tf.Variable(0.8)
b = tf.Variable(0.2)

y = w * x + b
y_ = tf.constant(0.0)

# Task 3
loss = (y - y_) ** 2
optimizer = tf.raw_ops.ApplyGradientDescent(var=w, alpha=0.25, delta=-1.0)

print("w = ", w.numpy())
print("b = ", b.numpy())
print("loss = ", loss.numpy())

with tf.GradientTape() as tape:
    loss = (y - y_) ** 2

grad = tape.gradient(loss, [w, b])
print("dloss/dw = ", grad[0])
print("dloss/db = ", grad[1])

optimizer.apply_gradients(zip([grad[0]], [w]))

print