"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ApplyGradientDescent
tf.raw_ops.ApplyGradientDescent(var,alpha,delta,use_locking=False,name=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print('TensorFlow version:', tf.__version__)

# Task 2
x_data = np.random.randn(100)
y_data = 0.1 * x_data + 0.3

# Task 3
W = tf.Variable(np.random.randn(), dtype=tf.float32)
b = tf.Variable(np.random.randn(), dtype=tf.float32)

optimizer = tf.keras.optimizers.SGD(0.5)

for i in range(100):
    with tf.GradientTape() as tape:
        hypothesis = W * x_data + b
        cost = tf.reduce_mean(tf.square(hypothesis - y_data))
    grads = tape.gradient(cost, [W, b])
    optimizer.apply_gradients(zip(grads, [W, b]))
    if i % 10 == 0:
        print(f'{i:5} cost: {cost.