"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.BandedTriangularSolve
tf.raw_ops.BandedTriangularSolve(matrix,rhs,lower=True,adjoint=False,name=None)
"""

import tensorflow as tf
import numpy as np

def banded_triangular_solve(matrix, rhs, lower=True, adjoint=False):
    """
    Solve a banded triangular system of equations.
    The input matrix is assumed to be either upper or lower triangular.
    Args:
        matrix: A Tensor. Must be one of the following types: float32, float64.
            A batch of banded triangular matrices.
        rhs: A Tensor. Must have the same type as matrix.
            A batch of right hand sides.
        lower: An optional bool. Defaults to True.
            Boolean indicating whether the input matrix is lower or upper
            triangular.
        adjoint: An optional bool. Defaults to False.
            Boolean indicating whether to solve with the transpose of the
            matrix.
    Returns:
        A Tensor. Has the same type as matrix. A batch of solutions to the
        triangular systems.
    """
    return tf.raw_ops.BandedTriangularSolve(matrix, rhs, lower=lower, adjoint=adj