"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.BatchMatrixSolveLs
tf.raw_ops.BatchMatrixSolveLs(matrix,rhs,l2_regularizer,fast=True,name=None)
"""

import tensorflow as tf
import numpy as np

def batch_matrix_solve_ls(matrix, rhs, l2_regularizer, fast=True, name=None):
    """
    Solves one or more linear least-squares problems.
    :param matrix: A tensor of shape `[..., M, M]` whose inner-most 2 dimensions
        form square matrices.
    :param rhs: A tensor of shape `[..., M, K]`.
    :param l2_regularizer: A scalar tensor.
    :param fast: boolean, whether to use the fast algorithm
    :param name: A name to give this `Op`. Defaults to `batch_matrix_solve_ls`.
    :return: A tensor of shape `[..., M, K]` with the same type as `matrix`.
    """
    with tf.compat.v1.name_scope(name, "batch_matrix_solve_ls",
                                 [matrix, rhs, l2_regularizer]):
        matrix =