"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.BatchMatrixSolveLs
tf.raw_ops.BatchMatrixSolveLs(matrix,rhs,l2_regularizer,fast=True,name=None)
"""
import tensorflow as tf
import numpy as np

def batch_matrix_solve_ls(matrix, rhs, l2_regularizer=0.0):
    """
    Solves a batch of linear least-squares problems.
    matrix: A tensor of shape [..., M, M] whose inner-most 2 dimensions
    form square matrices.
    rhs: A tensor of shape [..., M, K] whose inner-most 2 dimensions form
    matrices of compatible dimensions with matrix.
    l2_regularizer: A scalar Tensor.
    Returns:
    output: A tensor of shape [..., M, K] whose inner-most 2 dimensions
    form matrices of compatible dimensions with matrix.
    """
    matrix = tf.convert_to_tensor(matrix)
    rhs = tf.convert_to_tensor(rhs)
    # Get the matrix shape and rank
    matrix_shape = matrix.shape
    matrix_rank = matrix.shape.ndims
    # Get the rhs shape and rank
    rhs_