"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.CTCBeamSearchDecoder
tf.raw_ops.CTCBeamSearchDecoder(inputs,sequence_length,beam_width,top_paths,merge_repeated=True,name=None)
"""

import tensorflow as tf
import numpy as np
from tensorflow.python.ops import gen_ctc_ops

def generate_data(batch_size,seq_len,num_classes):
    """
    generate input data
    """
    # Generate input data
    inputs = np.random.randn(batch_size, seq_len, num_classes).astype(np.float32)
    # Generate sequence length
    sequence_length = np.random.randint(low=1, high=seq_len, size=batch_size, dtype=np.int32)
    return inputs,sequence_length

def ctc_beam_search_decoder(inputs,sequence_length,beam_width,top_paths):
    """
    Call the API tf.raw_ops.CTCBeamSearchDecoder
    tf.raw_ops.CTCBeamSearchDecoder(inputs,sequence_length,beam_width,top_paths,merge_repeated=True,name=None)
    """
    # inputs: 3-D float