"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.CTCBeamSearchDecoder
tf.raw_ops.CTCBeamSearchDecoder(inputs,sequence_length,beam_width,top_paths,merge_repeated=True,name=None)
"""
import tensorflow as tf
from tensorflow.python.ops.gen_ctc_ops import ctc_beam_search_decoder
from tensorflow.python.framework import dtypes
from tensorflow.python.framework import ops
from tensorflow.python.ops import array_ops
from tensorflow.python.ops import math_ops
from tensorflow.python.ops import sparse_ops


def ctc_beam_search_decoder_v2(
        inputs,
        sequence_length,
        beam_width,
        top_paths,
        merge_repeated=True,
        name=None):
    """Performs beam search decoding on the logits given in input.
    A note about the attribute merge_repeated: For the beam search decoder,
    this means that if consecutive entries in a beam are the same, only
    the first of these is emitted.  That is, when the top path is "A B B B B",
    "A B" is returned if merge_repeated = True but "A B B B B" is
    returned if merge_repe