"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.CholeskyGrad
tf.raw_ops.CholeskyGrad(l,grad,name=None)
"""

import tensorflow as tf

l = tf.constant([[4.0, 12.0, -16.0], [12.0, 37.0, -43.0], [-16.0, -43.0, 98.0]], name='l')
grad = tf.constant([[1.0, 2.0, 3.0], [4.0, 5.0, 6.0], [7.0, 8.0, 9.0]], name='grad')

with tf.GradientTape() as tape:
    tape.watch(l)
    cholesky = tf.linalg.cholesky(l)

grad_l = tape.gradient(cholesky, l)

print(grad_l)