"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.CholeskyGrad
tf.raw_ops.CholeskyGrad(l,grad,name=None)
"""

import tensorflow as tf
import numpy as np

def cholesky_grad_op(l, grad):
    """
    :param l: A Tensor. Must be one of the following types: float64, float32.
    :param grad: A Tensor. Must have the same type as l.
    :return: A Tensor. Has the same type as l.
    """
    return tf.raw_ops.CholeskyGrad(l, grad)

# Generate input data
l = np.array([[4, 12, -16], [12, 37, -43], [-16, -43, 98]], dtype=np.float32)
grad = np.array([[1, 2, 3], [2, 4, 5], [3, 5, 6]], dtype=np.float32)

# Call the API tf.raw_ops.CholeskyGrad
result = cholesky_grad_op(l, grad)

print("The result of tf.raw_ops.CholeskyGrad is: ", result)