"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ConfigureTPUEmbedding
tf.raw_ops.ConfigureTPUEmbedding(config,name=None)
"""

import tensorflow as tf
import os

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__ >= "2.10.0"

# Task 2
input_tensor = tf.random.uniform(shape=[10, 4], minval=0, maxval=10, dtype=tf.int32)

# Task 3
tf.raw_ops.ConfigureTPUEmbedding(config=["table_id:0", "num_shards:1", "shard_id:0"])

# Task 4
tf.raw_ops.TPUEmbeddingEnqueueSparseBatch(
    sp_ids=input_tensor,
    sp_weights=None,
    aggregation_weights=None,
    table_id=0,
    num_shards=1,
    shard_id=0)