"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.DatasetToGraph
tf.raw_ops.DatasetToGraph(input_dataset,stateful_whitelist=[],allow_stateful=False,strip_device_assignment=False,name=None)
"""

import tensorflow as tf
import os
import numpy as np

# Task 1
# tf.enable_eager_execution()
# print(tf.__version__)

# Task 2
# Generate input data
input_data = np.random.rand(10, 2)
dataset = tf.data.Dataset.from_tensor_slices(input_data)

# Task 3
# Call the API tf.raw_ops.DatasetToGraph
output_graph = tf.raw_ops.DatasetToGraph(input_dataset=dataset)
print(output_graph)

# Task 4
# Save the graph to a file
graph_def = output_graph.graph_def
graph_def_file = "./graph_def.pb"
with tf.io.gfile.GFile(graph_def_file, "wb") as f:
    f.write(graph_def.SerializeToString())

# Task 5
# Load the graph from file
graph_def_file = "./graph_def.pb