"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ExperimentalParseExampleDataset
tf.raw_ops.ExperimentalParseExampleDataset(input_dataset,num_parallel_calls,dense_defaults,sparse_keys,dense_keys,sparse_types,dense_shapes,output_types,output_shapes,sloppy=False,name=None)
"""

import tensorflow as tf

tf.enable_eager_execution()

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
dataset = tf.data.Dataset.from_tensor_slices(
    {
        "a": tf.random.uniform([4]),
        "b": tf.random.uniform([4, 100], maxval=100, dtype=tf.int32)
    })

# Task 3: Call the API tf.raw_ops.ExperimentalParseExampleDataset
dense_defaults = {"a": [0.5], "b": tf.zeros([100], dtype=tf.int32)}
dataset = dataset.map(
    tf.raw_ops.ExperimentalParseExampleDataset(
        num_parallel_calls=2,
        dense_defaults=dense_defaults,
        sparse_keys=["b"],
        dense_keys=["a"],
        dense_shapes