"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ExperimentalParseExampleDataset
tf.raw_ops.ExperimentalParseExampleDataset(input_dataset,num_parallel_calls,dense_defaults,sparse_keys,dense_keys,sparse_types,dense_shapes,output_types,output_shapes,sloppy=False,name=None)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))
print("Eager execution: {}".format(tf.executing_eagerly()))

# Task 2: Generate input data
def generate_input_data(num_examples):
    # Generate input data
    features = {
        'age': tf.random.uniform([num_examples], minval=0, maxval=120, dtype=tf.int32),
        'height': tf.random.uniform([num_examples], minval=150, maxval=200, dtype=tf.int32),
        'name': tf.cast(tf.random.uniform([num_examples], minval=0, maxval=10, dtype=tf.int32), tf.string),
        'favorite_animal': tf.cast(tf.random.uniform([num_examples], minval=0, max