"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ExperimentalParseExampleDataset
tf.raw_ops.ExperimentalParseExampleDataset(input_dataset,num_parallel_calls,dense_defaults,sparse_keys,dense_keys,sparse_types,dense_shapes,output_types,output_shapes,sloppy=False,name=None)
"""

import tensorflow as tf
import numpy as np

def generate_input_data(batch_size=32, num_epochs=1):
    """
    Generate input data
    Args:
        batch_size: batch size
        num_epochs: number of epochs
    Returns:
        input data
    """
    input_data = np.random.randint(1, 10, (batch_size, 2))
    return tf.data.Dataset.from_tensor_slices(input_data).repeat(num_epochs)


def parse_example_dataset(input_dataset, num_parallel_calls, dense_defaults,
                          sparse_keys, dense_keys, sparse_types, dense_shapes,
                          output_types, output_shapes, sloppy=False, name=None):
    """
    Call the API tf.raw_ops.ExperimentalParseExampleDataset
    Args:
        input_dataset: input dataset
        num_parallel_calls: number