"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.FusedBatchNormV2
tf.raw_ops.FusedBatchNormV2(x,scale,offset,mean,variance,epsilon=0.0001,exponential_avg_factor=1,data_format='NHWC',is_training=True,name=None)
"""
import tensorflow as tf
from tensorflow.python.framework import ops
import numpy as np

def fused_batch_norm_v2(x,scale,offset,mean,variance,epsilon=0.0001,exponential_avg_factor=1,data_format='NHWC',is_training=True,name=None):
    """
    x: A 4D Tensor for input data.
    scale: A 1D Tensor for scaling factor, to scale the normalized x.
    offset: A 1D Tensor for offset, to shift to the normalized x.
    mean: A 1D Tensor for population mean. Used for inference only;
    must be empty for training.
    variance: A 1D Tensor for population variance. Used for inference only;
    must be empty for training.
    epsilon: A small float number added to the variance of x.
    exponential_avg_factor: A float number to indicate the decay rate of moving average.
    data_format: A string from: "NHWC", "NCHW".
    is_training: A bool value to indicate