"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.FusedBatchNormV2
tf.raw_ops.FusedBatchNormV2(x,scale,offset,mean,variance,epsilon=0.0001,exponential_avg_factor=1,data_format='NHWC',is_training=True,name=None)
"""
import tensorflow as tf
import numpy as np
import os
os.environ['TF_CPP_MIN_LOG_LEVEL']='2'

def fused_batchnorm_v2(x, scale, offset, mean, variance, epsilon=0.0001, exponential_avg_factor=1, data_format='NHWC', is_training=True, name=None):
    """
    x: A 4-D Tensor of shape [batch, channels, height, width] or [batch, height, width, channels] depending on data_format.
    scale: A 1-D Tensor of shape [channels]. The factors by which to scale the input.
    offset: A 1-D Tensor of shape [channels]. The offset to add to the input.
    mean: A 1-D Tensor of shape [channels]. The mean of the input.
    variance: A 1-D Tensor of shape [channels]. The variance of the input.
    epsilon: A small float number to avoid dividing by 0.
    exponential_avg_factor: A float number.
   