"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.FusedBatchNormV2
tf.raw_ops.FusedBatchNormV2(x,scale,offset,mean,variance,epsilon=0.0001,exponential_avg_factor=1,data_format='NHWC',is_training=True,name=None)
"""

import tensorflow as tf
import numpy as np

def fused_batch_norm_v2(x, scale, offset, mean, variance, epsilon=0.0001, exponential_avg_factor=1, data_format='NHWC', is_training=True, name=None):
    """
    FusedBatchNormV2
    :param x: A 4D Tensor with shape [batch, height, width, channels] and type float32 or float64.
    :param scale: A 1D Tensor of shape [channels].
    :param offset: A 1D Tensor of shape [channels].
    :param mean: A 1D Tensor of shape [channels].
    :param variance: A 1D Tensor of shape [channels].
    :param epsilon: A small float number to avoid dividing by 0.
    :param exponential_avg_factor: A float number.
    :param data_format: A string from: "NHWC", "NCHW".
    :param is_training: A bool.
    :param name: A name for the operation