"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.FusedPadConv2D
tf.raw_ops.FusedPadConv2D(input,paddings,filter,mode,strides,padding,name=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(1, 2, 2, 2)
input_data = tf.convert_to_tensor(input_data, dtype=tf.float32)
print("Input data: ", input_data)

# Task 3: Call the API tf.raw_ops.FusedPadConv2D
output = tf.raw_ops.FusedPadConv2D(input=input_data,
                                   paddings=[[0, 0], [1, 1], [1, 1], [0, 0]],
                                   filter=tf.ones([2, 2, 2, 2]),
                                   mode="CONSTANT",
                                   strides=[1, 1, 1, 1],
                                   padding="VALID",
                                   name=None)

print("Output: ", output)