"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.FusedPadConv2D
tf.raw_ops.FusedPadConv2D(input,paddings,filter,mode,strides,padding,name=None)
"""

import tensorflow as tf
import os
import numpy as np

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = tf.random.uniform(shape=[1, 3, 3, 1], dtype=tf.float32)
filter_data = tf.random.uniform(shape=[2, 2, 1, 1], dtype=tf.float32)

# Task 3: Call the API tf.raw_ops.FusedPadConv2D
result = tf.raw_ops.FusedPadConv2D(input=input_data,
                                   paddings=[[0, 0], [1, 1], [1, 1], [0, 0]],
                                   filter=filter_data,
                                   mode='REFLECT',
                                   strides=[1, 1, 1, 1],
                                   padding='VALID')

print(result)