"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.GenerateBoundingBoxProposals
tf.raw_ops.GenerateBoundingBoxProposals(scores,bbox_deltas,image_info,anchors,nms_threshold,pre_nms_topn,min_size,post_nms_topn=300,name=None)
"""

import tensorflow as tf
import numpy as np

def generate_bounding_box_proposals(scores, bbox_deltas, image_info, anchors, nms_threshold, pre_nms_topn, min_size, post_nms_topn=300, name=None):
    """
    GenerateBoundingBoxProposals
    :param scores: A Tensor of type float32. A 4-D float tensor of shape [batch_size, height, width, num_anchors] containing the scores for the box predictions.
    :param bbox_deltas: A Tensor of type float32. A 4-D float tensor of shape [batch_size, height, width, num_anchors * 4] containing the bounding box deltas.
    :param image_info: A Tensor of type float32. A 2-D float tensor of shape [batch_size, 3] containing the input image height, width, and scale.
    :param anchors: A Tensor of type float32. A 2-D float tensor of shape [num_