"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.GenerateBoundingBoxProposals
tf.raw_ops.GenerateBoundingBoxProposals(scores,bbox_deltas,image_info,anchors,nms_threshold,pre_nms_topn,min_size,post_nms_topn=300,name=None)
"""
import tensorflow as tf
import numpy as np

def generate_bounding_box_proposals(scores, bbox_deltas, image_info, anchors, nms_threshold, pre_nms_topn, min_size, post_nms_topn=300, name=None):
    """
    :param scores: A 4-D float tensor of shape [batch_size, height, width, num_anchors] representing the score for each anchor.
    :param bbox_deltas: A 4-D float tensor of shape [batch_size, height, width, num_anchors * 4] representing the bounding box deltas for each anchor.
    :param image_info: A 2-D float tensor of shape [batch_size, 3] representing the input image height, width, and scale.
    :param anchors: A 2-D float tensor of shape [num_anchors, 4] representing the generated anchors.
    :param nms_threshold: A scalar float tensor representing the IOU threshold for NMS.
    :param pre_