"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.IgammaGradA
tf.raw_ops.IgammaGradA(a,x,name=None)
"""

import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

a = tf.constant(0.5, dtype=tf.float32)
x = tf.constant(np.linspace(0.01, 0.99, num=100), dtype=tf.float32)

with tf.GradientTape(persistent=True) as tape:
    tape.watch(x)
    y = tf.raw_ops.IgammaGradA(a, x)
    dy_dx = tape.gradient(y, x)

print(y)
print(dy_dx)

plt.plot(x, y, label="y")
plt.plot(x, dy_dx, label="dy/dx")
plt.legend()
plt.show()