"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ImportEvent
tf.raw_ops.ImportEvent(writer,event,name=None)
"""

import tensorflow as tf

def import_event(writer, event):
    """
    Import an event into the summary writer.
    """
    writer.import_event(event)
    return writer

def generate_data():
    """
    Generate data to be used in the test.
    """
    event = tf.compat.v1.Event(wall_time=12345, step=678)
    event.summary.value.add(tag='a', simple_value=1.0)
    event.summary.value.add(tag='b', simple_value=2.0)
    event.summary.value.add(tag='c', simple_value=3.0)
    writer = tf.compat.v2.summary.create_file_writer('logs')
    return event, writer

def test_import_event(event, writer):
    """
    Test the tensorflow API tf.raw_ops.ImportEvent
    """
    writer = import_event(writer, event)
    writer.flush()
    writer.close()
    return