"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ImportEvent
tf.raw_ops.ImportEvent(writer,event,name=None)
"""

import tensorflow as tf
import os

def generate_input(path):
    # generate input data
    with tf.io.TFRecordWriter(path) as writer:
        for i in range(10):
            example = tf.train.Example(features=tf.train.Features(
                feature={
                    "value": tf.train.Feature(
                        int64_list=tf.train.Int64List(value=[i])
                    )
                }
            ))
            writer.write(example.SerializeToString())

def import_event(writer,event):
    # Call the API tf.raw_ops.ImportEvent
    # tf.raw_ops.ImportEvent(writer,event,name=None)
    return tf.raw_ops.ImportEvent(writer,event)

def main():
    # Task 1: import TensorFlow 2.10.0
    assert tf.__version__.startswith('2')
    # Task 2: Generate input data
    print("Generating input data...")
    generate_input(os.path.join(os.get