"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.MapAndBatchDataset
tf.raw_ops.MapAndBatchDataset(input_dataset,other_arguments,batch_size,num_parallel_calls,drop_remainder,f,output_types,output_shapes,preserve_cardinality=False,metadata='',name=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
tf.__version__

# Task 2
input_data = np.random.rand(10, 2)

# Task 3
dataset = tf.data.Dataset.from_tensor_slices(input_data)
dataset = dataset.map(lambda x: x + 1)
dataset = dataset.batch(3)

for x in dataset:
    print(x)

# Using tf.raw_ops.MapAndBatchDataset
dataset = tf.data.Dataset.from_tensor_slices(input_data)
dataset = tf.raw_ops.MapAndBatchDataset(
    input_dataset=dataset,
    batch_size=3,
    num_parallel_calls=1,
    drop_remainder=False,
    f=lambda x: x + 1)

for x in dataset:
    print(x)