"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.MapDefun
tf.raw_ops.MapDefun(arguments,captured_inputs,output_types,output_shapes,f,max_intra_op_parallelism=1,name=None)
"""

import tensorflow as tf
import numpy as np
import time

print(tf.__version__)

# Task 2: Generate input data
def generate_data(num_samples, num_features, batch_size=32):
    """
    Generate random data for a multivariate regression problem
    :param num_samples: The number of samples to generate
    :param num_features: The number of features to generate
    :param batch_size: The batch size to generate
    :return:
    """
    # Generate random input and output data
    X = np.random.rand(num_samples, num_features)
    w = np.random.rand(num_features, 1)
    b = np.random.rand(1)
    y = X.dot(w) + b
    y += np.random.randn(*y.shape) * 0.01
    # Generate a dataset object
    data = tf.data.Dataset.from_tensor_slices((X, y))
    data = data.repeat().batch(batch_