"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.MaxPoolGradGrad
tf.raw_ops.MaxPoolGradGrad(orig_input,orig_output,grad,ksize,strides,padding,data_format='NHWC',name=None)
"""

# Task 1
import tensorflow as tf

# Task 2
input_data = tf.random.normal([4, 4, 4, 3])
output_data = tf.random.normal([4, 2, 2, 3])
grad_data = tf.random.normal([4, 2, 2, 3])

# Task 3
with tf.GradientTape() as tape:
    tape.watch(input_data)
    output = tf.nn.max_pool2d(input_data, [2, 2], [2, 2], padding="SAME")
grads = tape.gradient(output, input_data)

with tf.GradientTape() as tape:
    tape.watch(grads)
    grad_grads = tape.gradient(grads, input_data)

print(grad_grads)