"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.MultiDeviceIteratorGetNextFromShard
tf.raw_ops.MultiDeviceIteratorGetNextFromShard(multi_device_iterator,shard_num,incarnation_id,output_types,output_shapes,name=None)
"""

import tensorflow as tf

with tf.device('/cpu:0'):
    input_data = tf.random.uniform([4, 10], dtype=tf.float32)

multi_device_iterator = tf.data.Dataset.from_tensor_slices(input_data).shard(4, 0).make_one_shot_iterator()

with tf.device('/gpu:0'):
    result = tf.raw_ops.MultiDeviceIteratorGetNextFromShard(
        multi_device_iterator,
        shard_num=0,
        incarnation_id=0,
        output_types=tf.float32,
        output_shapes=[10])

with tf.Session() as sess:
    print(sess.run(result))