"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.NcclReduce
tf.raw_ops.NcclReduce(input,reduction,name=None)
"""

import os
import sys
import numpy as np
import tensorflow as tf

os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

if len(sys.argv) != 2:
    print("Usage: python tf_nccl_reduce.py [gpu|cpu]")
    sys.exit()

device_name = sys.argv[1]

if device_name == "gpu":
    device_name = "/gpu:0"
else:
    device_name = "/cpu:0"

with tf.device(device_name):
    input = tf.constant([[1.0, 2.0], [3.0, 4.0]], name="input")
    reduction = tf.constant("sum", name="reduction")
    output = tf.raw_ops.NcclReduce(input, reduction)

with tf.compat.v1.Session() as sess:
    print("input:")
    print(sess.run(input))
    print("output:")
   