"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.Neg
tf.raw_ops.Neg(x,name=None)
"""

import tensorflow as tf
import numpy as np
import os
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))

# Task 2: Generate input data
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Task 3: Call the API tf.raw_ops.Neg
with tf.GradientTape() as tape:
    tape.watch(x_data)
    y_pred = tf.raw_ops.Neg(x=x_data)

# Compute and print gradients
grad = tape.gradient(y_pred, x_data)
print("The gradient of y_pred is: {}".format(grad))