"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.NonMaxSuppressionV2
tf.raw_ops.NonMaxSuppressionV2(boxes,scores,max_output_size,iou_threshold,name=None)
"""
import tensorflow as tf
import numpy as np
import os
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'

def non_max_suppression_v2(boxes, scores, max_output_size, iou_threshold, name=None):
    """
    :param boxes: A float tensor of shape [num_boxes, 4] containing box corners.
    :param scores: A float tensor of shape [num_boxes] containing scores.
    :param max_output_size: A scalar integer tensor representing the maximum number of
    boxes to be selected by non max suppression.
    :param iou_threshold: A float representing the threshold for deciding whether boxes
    overlap too much with respect to IOU.
    :param name: A name for the operation (optional).
    :return: selected_indices: A tensor of type int32.
    """
    with tf.compat.v1.name_scope(name, "NonMaxSuppressionV2", [boxes, scores]):
        selected_indices = tf.raw_