"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.NonMaxSuppressionV2
tf.raw_ops.NonMaxSuppressionV2(boxes,scores,max_output_size,iou_threshold,name=None)
"""

import tensorflow as tf
import numpy as np

def non_max_suppression_v2(boxes, scores, max_output_size, iou_threshold):
    """
    :param boxes: A 2-D float Tensor of shape [num_boxes, 4].
    :param scores: A 1-D float Tensor of shape [num_boxes] representing a single score corresponding to each box (each row of boxes).
    :param max_output_size: A scalar integer Tensor representing the maximum number of boxes to be selected by non max suppression.
    :param iou_threshold: A 0-D float Tensor representing the threshold for deciding whether boxes overlap too much with respect to IOU.
    :return:
        selected_indices: A 1-D integer Tensor of shape [M] representing the selected indices from the boxes tensor, where M <= max_output_size.
    """
    return tf.raw_ops.NonMaxSuppressionV2(boxes, scores, max_output_size, iou_threshold)

if __name__ == '__main__':
