"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.OutfeedDequeue
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
data = np.random.rand(3, 3)
print("Input data: ", data)

# Task 3
with tf.device("/device:IPU:0"):
    outfeed_queue = tf.raw_ops.OutfeedDequeue(dtype=tf.float32, shape=[3, 3])
    outfeed_enqueue = tf.raw_ops.OutfeedEnqueueTuple(
        tuples=[tf.convert_to_tensor(data)],
        shapes=[tf.TensorShape([3, 3])],
        device_ordinal=0)

with tf.Session() as sess:
    sess.run(outfeed_enqueue)
    print("Output data: ", sess.run(outfeed_queue))