"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ParallelInterleaveDatasetV3
tf.raw_ops.ParallelInterleaveDatasetV3(input_dataset,other_arguments,cycle_length,block_length,num_parallel_calls,f,output_types,output_shapes,deterministic='default',metadata='',name=None)
"""

import tensorflow as tf
import numpy as np

input_dataset = tf.data.Dataset.from_tensor_slices(np.array([1.0, 2.0, 3.0, 4.0, 5.0]))

def map_fn(x):
  return tf.data.Dataset.from_tensor_slices(tf.range(x, x + 5))

dataset = tf.raw_ops.ParallelInterleaveDatasetV3(input_dataset, map_func=map_fn, cycle_length=2, block_length=2, num_parallel_calls=2)

iterator = dataset.make_one_shot_iterator()
next_element = iterator.get_next()

with tf.Session() as sess:
  try:
    while True:
      print(sess.run(next_element))
  except tf.errors.OutOfRangeError:
    print("End of dataset")