"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ParallelInterleaveDatasetV3
tf.raw_ops.ParallelInterleaveDatasetV3(input_dataset,other_arguments,cycle_length,block_length,num_parallel_calls,f,output_types,output_shapes,deterministic='default',metadata='',name=None)
"""

import tensorflow as tf
import numpy as np

input_dataset = tf.data.Dataset.from_tensor_slices(np.array([1.0, 2.0, 3.0, 4.0, 5.0]))

def map_func(x):
    return tf.data.Dataset.from_tensor_slices(tf.range(x, x + 4))

dataset = input_dataset.apply(tf.data.experimental.parallel_interleave(map_func, cycle_length=2))

iterator = iter(dataset)

print(next(iterator).numpy())  # ==> [1, 2, 3, 4]
print(next(iterator).numpy())  # ==> [2, 3, 4, 5]
print(next(iterator).numpy())  # ==> [3, 4, 5, 6]
print(next(iterator).numpy())  # ==> [4, 5, 6, 7]
print(next(iterator).numpy())  # ==