"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ParseSingleExample
tf.raw_ops.ParseSingleExample(serialized,dense_defaults,num_sparse,sparse_keys,dense_keys,sparse_types,dense_shapes,name=None)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: {}".format(tf.__version__))
assert tf.__version__ >= "2.0"

# Task 2
# Generate input data
num_samples = 100
num_features = 5
num_dense_features = 3
num_sparse_features = 2

# Generate random data
dense_features = np.random.rand(num_samples, num_dense_features)
sparse_features = np.random.randint(low=0, high=10, size=(num_samples, num_sparse_features))

# Create a dictionary that maps each column of the dataset to a feature
feature_columns = {
    str(k): tf.feature_column.numeric_column(str(k))
    for k in range(num_dense_features)
}
feature_columns.update({
    str(k): tf.feature_column.categorical_column_with_identity(
        str(k), num