"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.QuantizedConv2DWithBias
tf.raw_ops.QuantizedConv2DWithBias(input,filter,bias,min_input,max_input,min_filter,max_filter,strides,padding,out_type=tf.dtypes.qint32,dilations=[1,1,1,1],padding_list=[],name=None)
"""

import tensorflow as tf
import numpy as np

def QuantizedConv2DWithBias(input,filter,bias,min_input,max_input,min_filter,max_filter,strides,padding,out_type=tf.dtypes.qint32,dilations=[1,1,1,1],padding_list=[],name=None):
    '''
    Generate a QuantizedConv2DWithBias op
    :param input: A Tensor. Must be one of the following types: qint8, quint8, qint32.
        4-D with shape [batch, in_height, in_width, in_channels].
    :param filter: A Tensor. Must have the same type as input.
        4-D with shape [filter_height, filter_width, in_channels, out_channels].
    :param bias: A Tensor. Must have the same type as input.
        1-D with shape [out_channels].
    :param min_input: A Tensor. Must have the same type as input.
