"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.QuantizedConv2DWithBias
tf.raw_ops.QuantizedConv2DWithBias(input,filter,bias,min_input,max_input,min_filter,max_filter,strides,padding,out_type=tf.dtypes.qint32,dilations=[1,1,1,1],padding_list=[],name=None)
"""

import tensorflow as tf
import numpy as np

def quantized_conv2d_with_bias(input,filter,bias,min_input,max_input,min_filter,max_filter,strides,padding):
    """
    input: A Tensor. Must be one of the following types: qint8, quint8, qint32, qint16, quint16.
    filter: A Tensor. Must have the same type as input.
    bias: A Bias Tensor. Must have the same type as input.
    min_input: A Tensor. Must have the same type as input.
    max_input: A Tensor. Must have the same type as input.
    min_filter: A Tensor. Must have the same type as input.
    max_filter: A Tensor. Must have the same type as input.
    strides: A list of ints. 1-D of length 4. The stride of the sliding window for each dimension of input.
    padding: A string from: "SAME", "VALID". The type of padding algorithm to use.
    out