"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.QuantizedReluX
tf.raw_ops.QuantizedReluX(features,max_value,min_features,max_features,out_type=tf.dtypes.quint8,name=None)
"""
import tensorflow as tf

def quantized_relu_x(features, max_value, min_features, max_features):
    """
    :param features: A `Tensor`. Must be one of the following types: `qint8`, `quint8`, `qint16`, `quint16`, `qint32`, `quint32`.
    :param max_value: A `Tensor` of type `float32`.
    :param min_features: A `Tensor` of type `float32`.
    :param max_features: A `Tensor` of type `float32`.
    :return: A `Tensor` of type `quint8`.
    """
    return tf.raw_ops.QuantizedReluX(features, max_value, min_features, max_features)

def main():
    features = tf.constant([1, -3, -1, 0, 5, -2, 7, -4], dtype=tf.qint8)
    max_value = tf.constant(2.0, dtype=tf.float32)