"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.RaggedCross
tf.raw_ops.RaggedCross(ragged_values,ragged_row_splits,sparse_indices,sparse_values,sparse_shape,dense_inputs,input_order,hashed_output,num_buckets,hash_key,out_values_type,out_row_splits_type,name=None)
"""

import tensorflow as tf
import numpy as np

def generate_data(num_rows, num_cols, num_indices):
    """Generate data for testing RaggedCross.

    Args:
      num_rows: The number of rows in the ragged tensor.
      num_cols: The number of columns in the ragged tensor.
      num_indices: The number of indices in the sparse tensor.

    Returns:
      ragged_values: A 2-D `Tensor` with shape `[num_rows, num_cols]`.
      ragged_row_splits: A 1-D `Tensor` with shape `[num_rows+1]`.
      sparse_indices: A 2-D `Tensor` with shape `[num_indices, 2]`.
      sparse_values: A 1-D `Tensor` with shape `[num_indices]`.
      sparse_shape: A 1-D `Tensor` with shape `[2]`.
      dense_inputs: A 2-D `Tensor` with shape `