"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ReadFile
tf.raw_ops.ReadFile(filename,name=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.random.uniform([4, 10])

# Task 3
file_name = "tf_file_api.txt"

# Write data to file
with tf.io.TFRecordWriter(file_name) as f:
    for i in range(input_data.shape[0]):
        f.write(input_data[i].numpy())

# Read data from file
dataset = tf.data.TFRecordDataset(file_name)
for data in dataset:
    print(tf.io.parse_tensor(data, out_type=tf.float32))

# Read data from file with raw_ops
read_data = tf.raw_ops.ReadFile(file_name)
print(tf.io.parse_tensor(read_data, out_type=tf.float32))