"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.RebatchDatasetV2
tf.raw_ops.RebatchDatasetV2(input_dataset,batch_sizes,drop_remainder,output_types,output_shapes,name=None)
"""

import tensorflow as tf
from tensorflow.python.ops.raw_ops import RebatchDatasetV2

# Task 1: import TensorFlow 2.10.0
print('TensorFlow Version:', tf.__version__)

# Task 2: Generate input data
dataset = tf.data.Dataset.range(10)
dataset = dataset.shuffle(buffer_size=10)
dataset = dataset.batch(4)
print('Input data:')
for ele in dataset:
    print(ele.numpy())

# Task 3: Call the API tf.raw_ops.RebatchDatasetV2
batch_sizes = [3, 2, 2, 1]
dataset = RebatchDatasetV2(dataset, batch_sizes, drop_remainder=True, output_types=dataset.output_types, output_shapes=dataset.output_shapes)
print('\nOutput data:')
for ele in dataset:
    print(ele.numpy())