"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ResourceApplyAdaMax
tf.raw_ops.ResourceApplyAdaMax(var,m,v,beta1_power,lr,beta1,beta2,epsilon,grad,use_locking=False,name=None)
"""

import tensorflow as tf
import numpy as np

def get_data():
    """
    Generate input data
    :return:
    """
    x_data = np.random.rand(100).astype(np.float32)
    y_data = x_data * 0.1 + 0.3
    return x_data, y_data

def add_layer(inputs, in_size, out_size, activation_function=None):
    """
    Add a layer
    :param inputs:
    :param in_size:
    :param out_size:
    :param activation_function:
    :return:
    """
    Weights = tf.Variable(tf.random.normal([in_size, out_size]))
    biases = tf.Variable(tf.zeros([1, out_size]) + 0.1)
    Wx_plus_b = tf.matmul(inputs, Weights) + biases
    if activation_function is None:
        outputs = Wx_plus_b
    else:
        outputs = activation