"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ResourceSparseApplyAdagrad
tf.raw_ops.ResourceSparseApplyAdagrad(var,accum,lr,grad,indices,use_locking=False,update_slots=True,name=None)
"""

import tensorflow as tf
from tensorflow.python.framework import ops

@tf.function
def sparse_apply_adagrad(var,
                         accum,
                         lr,
                         grad,
                         indices,
                         use_locking=False,
                         update_slots=True,
                         name=None):
    r"""Update relevant entries in '*var' and '*accum' according to the adagrad scheme.

    That is for rows we have grad for, we update var and accum as follows:
    accum += grad * grad
    var -= lr * grad * (1 / sqrt(accum))

    Args:
      var: A mutable `Tensor`. Must be one of the following types: `float32`, `float64`, `int32`, `uint8`, `int16`, `int8`, `complex64`, `int64`, `qint8`, `quint8`, `qint32`, `bfloat16`, `uint16`, `complex128`, `half`, `uint32`, `uint64`.
        Should be from a Variable().
      accum: A mut