"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.ResourceSparseApplyAdagradDA
tf.raw_ops.ResourceSparseApplyAdagradDA(var,gradient_accumulator,gradient_squared_accumulator,grad,indices,lr,l1,l2,global_step,use_locking=False,name=None)
"""

import tensorflow as tf
import numpy as np

def SparseApplyAdagradDA(var, gradient_accumulator, gradient_squared_accumulator, grad, indices, lr, l1, l2, global_step, use_locking=False, name=None):
    """
    :param var: A mutable Tensor. Must be one of the following types: float32, float64, int32, uint8, int16, int8, complex64, int64, qint8, quint8, qint32, bfloat16, uint16, complex128, half, uint32, uint64.
    :param gradient_accumulator: A mutable Tensor. Must have the same type as var. Should be from a Variable().
    :param gradient_squared_accumulator: A mutable Tensor. Must have the same type as var. Should be from a Variable().
    :param grad: A Tensor. Must have the same type as var. The gradient.
    :param indices: A Tensor. Must be one of the following types: int32, int64. A vector of