"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseAddGrad
tf.raw_ops.SparseAddGrad(backprop_val_grad,a_indices,b_indices,sum_indices,name=None)
"""

import tensorflow as tf
from tensorflow.python.framework import ops
from tensorflow.python.ops import sparse_ops

@ops.RegisterGradient("SparseAddGrad")
def _sparse_add_grad(op, grad):
    """The gradients for `sparse_add`.
    Args:
    op: The `sparse_add` `Operation` that we are differentiating, which we can use
      to find the inputs and outputs of the original op.
    grad: Gradient with respect to the output of the `sparse_add` op.
    Returns:
    Gradients with respect to the input of `sparse_add`.
    """
    return (sparse_ops.sparse_add_grad(grad, op.inputs[0], op.inputs[1], op.inputs[2], op.inputs[3]),
            sparse_ops.sparse_add_grad(grad, op.inputs[0], op.inputs[1], op.inputs[2], op.inputs[3]),
            None,
            None)