"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseMatrixSoftmaxGrad
tf.raw_ops.SparseMatrixSoftmaxGrad(softmax,grad_softmax,type,name=None)
"""

import tensorflow as tf
from tensorflow.python.framework import ops

@ops.RegisterGradient("SparseMatrixSoftmaxGrad")
def sparse_matrix_softmax_grad(op, grad_softmax):
    softmax = op.inputs[0]
    return [tf.raw_ops.SparseMatrixSoftmaxGrad(softmax, grad_softmax, op.get_attr("type")), None]

# Task 2: Generate input data
# Generate a random input data for softmax
x = tf.random.normal([4, 4], mean=0.0, stddev=1.0)
print("x = ")
print(x)

# Generate a random sparse matrix
# Generate a random index
row = tf.random.uniform([4], minval=0, maxval=4, dtype=tf.int32)
col = tf.random.uniform([4], minval=0, maxval=4, dtype=tf.int32)
print("row = ")
print(row)
print("col = "