"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseMatrixSoftmaxGrad
tf.raw_ops.SparseMatrixSoftmaxGrad(softmax,grad_softmax,type,name=None)
"""
import tensorflow as tf
import matplotlib.pyplot as plt

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = tf.random.normal(shape=[1, 5], mean=0, stddev=1)
print(x)

# Task 3: Call the API tf.raw_ops.SparseMatrixSoftmaxGrad
y = tf.nn.softmax(x)
print(y)
z = tf.nn.softmax_cross_entropy_with_logits(labels=y, logits=x)
print(z)

grad_y = tf.gradients(z, y)
print(grad_y)

grad_x = tf.gradients(z, x)
print(grad_x)

grad_x_1 = tf.raw_ops.SparseMatrixSoftmaxGrad(softmax=y, grad_softmax=grad_y[0], type=tf.float32)
print(grad_x_1)