"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseSegmentSumGrad
tf.raw_ops.SparseSegmentSumGrad(grad,indices,segment_ids,output_dim0,name=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
data = np.array([[1, 2, 3], [4, 5, 6], [7, 8, 9]])
print(data)

# Task 3
indices = tf.constant([0, 1, 1, 2])
segment_ids = tf.constant([0, 0, 1, 1])
output_dim0 = tf.constant(3)

with tf.GradientTape() as tape:
    tape.watch(data)
    output = tf.sparse.segment_sum(data, indices, segment_ids, output_dim0)

grad = tape.gradient(output, data)
print(grad)