"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseSoftmaxCrossEntropyWithLogits
tf.raw_ops.SparseSoftmaxCrossEntropyWithLogits(features,labels,name=None)
"""

import tensorflow as tf

def sparse_softmax_cross_entropy_with_logits(features,labels,name=None):
    features=tf.convert_to_tensor(features,name='features')
    labels=tf.convert_to_tensor(labels,name='labels')
    with tf.name_scope(name,default_name='sparse_softmax_cross_entropy_with_logits',values=[features,labels]):
        labels=tf.cast(labels,features.dtype)
        return tf.raw_ops.SparseSoftmaxCrossEntropyWithLogits(features=features,labels=labels,name=name)

if __name__=='__main__':
    features=tf.random.uniform(shape=(1,2),minval=0,maxval=10,dtype=tf.int32)
    labels=tf.random.uniform(shape=(1,2),minval=0,maxval=10,dtype=tf.int32)
    print(features)
   