"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.SparseSoftmaxCrossEntropyWithLogits
tf.raw_ops.SparseSoftmaxCrossEntropyWithLogits(features,labels,name=None)
"""
import tensorflow as tf
import numpy as np

def sparse_softmax_cross_entropy_with_logits(features, labels, name=None):
    """
    This op computes the softmax cross entropy between logits and labels.
    :param features: A `Tensor` of shape `[batch_size, num_classes]`.
    :param labels: A `Tensor` of shape `[batch_size]`.
    :param name: A name for the operation (optional).
    :return: A `Tensor` of shape `[batch_size]`.
    """
    with tf.name_scope(name, "sparse_softmax_cross_entropy_with_logits", [features, labels]) as name:
        features = tf.convert_to_tensor(features, name="features")
        labels = tf.convert_to_tensor(labels, name="labels")
        try:
            labels.get_shape().merge_with(tf.TensorShape([None]))
        except ValueError:
            raise ValueError(
