"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.StatefulStandardNormal
tf.raw_ops.StatefulStandardNormal(resource,shape,dtype=tf.dtypes.float32,name=None)
"""

# Task 1
import tensorflow as tf
print(tf.__version__)

# Task 2
def generate_data():
    """Generate input data.
    Returns:
        A tuple (x, y) where x is a float32 Tensor with shape [num_samples],
        and y is a float32 Tensor with shape [num_samples, 1].
    """
    num_samples = 1000
    x = tf.random.uniform(
        shape=[num_samples], minval=0, maxval=10, dtype=tf.dtypes.float32)
    y = x + tf.random.normal(
        shape=[num_samples], mean=0.0, stddev=2.0, dtype=tf.dtypes.float32)
    return x, y

# Task 3
def create_model():
    """Create a linear regression model.
    Returns:
        A tuple (outputs, loss, train_op) where outputs is a float32 Tensor with
        shape [num_samples] that represents the model outputs (pred