"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.StatelessParameterizedTruncatedNormal
tf.raw_ops.StatelessParameterizedTruncatedNormal(shape,seed,means,stddevs,minvals,maxvals,name=None)
"""
import tensorflow as tf
from tensorflow.python.ops import gen_raw_ops
from tensorflow.python.framework import ops

def stateless_parameterized_truncated_normal(shape, seed, means, stddevs, minvals, maxvals, name=None):
    """
    Generates a stateless random truncated normal tensor.
    The generated values follow a normal distribution with specified mean and
    standard deviation, except that values whose magnitude is more than 2 standard
    deviations from the mean are dropped and re-picked.
    The outputs are a deterministic function of `shape`, `seed`, `means`, `stddevs`,
    and `minvals` and `maxvals`.
    Args:
        shape: A 1-D integer Tensor or Python array. The shape of the output tensor.
        seed: A Python integer. Used to create a random seed for the distribution. See
            `tf.set_random_seed` for behavior.
        means: A 1-D float Tensor or Python array of means of the truncated normal
            distribution.
        stdd