"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.TemporaryVariable
tf.raw_ops.TemporaryVariable(shape,dtype,var_name='',name=None)
"""
import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
input_data = tf.random.normal([2, 3], seed=1)
print(input_data)

# Task 3: Call the API tf.raw_ops.TemporaryVariable
with tf.GradientTape() as tape:
    temporary_variable = tf.raw_ops.TemporaryVariable(shape=input_data.shape, dtype=input_data.dtype)
    temporary_variable.assign(input_data)
    print(temporary_variable)
    temporary_variable_grad = tape.gradient(temporary_variable, input_data)
    print(temporary_variable_grad)