"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.TensorArrayPack
tf.raw_ops.TensorArrayPack(handle,flow_in,dtype,element_shape=None,name=None)
"""

import tensorflow as tf
import numpy as np

tf.compat.v1.disable_eager_execution()

def tensor_array_pack_op(handle, flow_in, dtype, element_shape=None, name=None):
    """
    :param handle: A Tensor of type resource. The handle to a TensorArray.
    :param flow_in: A Tensor of type float32. A float scalar that enforces proper chaining of operations.
    :param dtype: A tf.DType from: tf.float32, tf.int32, tf.int64, tf.string. The type of the elements on the tensor_array.
    :param element_shape: An optional tf.TensorShape or list of tf.TensorShape. Defaults to None.
    :param name: A name for the operation (optional).
    :return: A Tensor of type dtype. The concatenated Tensor.
    """
    result = tf.raw_ops.TensorArrayPack(handle, flow_in, dtype, element_shape, name