"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.raw_ops.TensorArrayScatterV3
tf.raw_ops.TensorArrayScatterV3(handle,indices,value,flow_in,name=None)
"""

import tensorflow as tf
from tensorflow.python.framework import ops
from tensorflow.python.ops import array_ops
from tensorflow.python.ops import gen_data_flow_ops

@ops.RegisterGradient("TensorArrayScatterV3")
def _TensorArrayScatterV3Grad(op, *grad):
    """The gradient of a TensorArrayScatterV3 op."""
    handle = op.inputs[0]
    indices = op.inputs[1]
    flow_in = op.inputs[3]
    dtype = op.get_attr("dtype")
    element_shape = op.get_attr("element_shape")

    # Compute the gradient of the value to be written.
    value_grad = gen_data_flow_ops._tensor_array_scatter_grad_v3(
        handle, indices, flow_in, dtype=dtype, element_shape=element_shape)

    # Return the gradient for the inputs.
    return [None, None, value_grad, None]

