"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.signal.mdct
tf.signal.mdct(signals,frame_length,window_fn=tf.signal.vorbis_window,pad_end=False,norm=None,name=None)
"""
import tensorflow as tf
import numpy as np
from scipy.io import wavfile
import matplotlib.pyplot as plt

# Task 1
print('TensorFlow Version: {}'.format(tf.__version__))

# Task 2
# Read wav file
fs, data = wavfile.read('../Asset/audio_file.wav')

# Convert to Tensor
data = tf.convert_to_tensor(data)
data = tf.reshape(data, [1, -1])

# Task 3
# Call the API
frame_length = 1024
window_fn = tf.signal.vorbis_window
pad_end = False
norm = None
name = None

mdct = tf.signal.mdct(data, frame_length, window_fn, pad_end, norm, name)

# Plot the result
plt.plot(np.arange(0, 1024), mdct[0, 0:1024])
plt.title('MDCT')
plt.xlabel('Frequency')
plt.yl