"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.signal.mdct
tf.signal.mdct(signals,frame_length,window_fn=tf.signal.vorbis_window,pad_end=False,norm=None,name=None)
"""
import tensorflow as tf
import numpy as np

# Task 1
# tf.__version__

# Task 2
# Generate input data
# frame_length: Integer, the frame length.
# signals: A Tensor with shape [..., frames, frame_length].
# window_fn: A callable that takes a window length and returns a 1-D Tensor to be used as the window.
# pad_end: Boolean, whether to pad the end of the signal with zeros to the next multiple of frame_length.
# norm: A string indicating the norm of the MDCT.
# name: A name for the operation (optional).

# Generate input data
frame_length = 1024
signals = np.random.rand(1, 8, frame_length)
signals = tf.constant(signals, dtype=tf.float32)

# Task 3
# Call the API tf.signal.mdct
result = tf.signal.mdct(signals, frame_length,
                        window_fn=tf.signal.vorbis_window,
                        pad_end