"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.sparse.split
tf.sparse.split(sp_input=None,num_split=None,axis=None,name=None)
"""
import tensorflow as tf

# Task 2: Generate input data
# sp_input is a SparseTensor with shape [2, 3] and non-empty values:
# [0, 1]: a
# [1, 0]: b
# [1, 1]: c
sp_input = tf.SparseTensor(indices=[[0, 1], [1, 0], [1, 1]],
                           values=['a', 'b', 'c'], dense_shape=[2, 3])

# Task 3: Call the API tf.sparse.split
# Split `sp_input` into `num_split` tensors along one dimension.
# If the `shape[split_dim]` is not an integer multiple of `num_split`.
# Slices `[0 : shape[split_dim] % num_split]` gets one extra dimension.
# For example, if `split_dim = 1` and `num_split = 2` and the input is
#
# input.shape = [2, 5]
#
# then the output is
#
# outputs[0