"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.stop_gradient
tf.stop_gradient(input,name=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
# Generate input data
x = tf.constant([[1, 2], [3, 4]], dtype=tf.float32)

# Task 3
x_stop = tf.stop_gradient(x)

# Task 4
# Compute gradients
with tf.GradientTape() as tape:
    y = tf.reduce_sum(x)

# Get gradients of y w.r.t. x
dy_dx = tape.gradient(y, x)

# Get gradients of y w.r.t. x_stop
dy_dx_stop = tape.gradient(y, x_stop)

print(dy_dx)
print(dy_dx_stop)