"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.stop_gradient
tf.stop_gradient(input,name=None)
"""

import tensorflow as tf

# Task 1
print(tf.__version__)

# Task 2
x = tf.constant(1.0)
w = tf.Variable(2.0)
y = x * w

# Task 3
with tf.GradientTape() as tape:
    y = x * w
    loss = tf.reduce_sum(y)

# Compute the gradient of y with respect to w.
# Because y depends on w, the gradient of y with respect to w is not None.
grad = tape.gradient(loss, w)
print(grad)

# Stop gradient
with tf.GradientTape() as tape:
    y = x * w
    loss = tf.reduce_sum(y)

# Compute the gradient of y with respect to w.
# Because y depends on w, the gradient of y with respect to w is not None.
grad = tape.gradient(loss, w)
print(grad)