"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.Checkpoint
tf.train.Checkpoint(root=None,**kwargs)
"""

import tensorflow as tf
import numpy as np
import os

tf.compat.v1.disable_eager_execution()

# Task 1
print(tf.__version__)

# Task 2
data_size = 25
data_1d = np.random.normal(size=data_size)

# Task 3
checkpoint_directory = './checkpoints'
if not os.path.exists(checkpoint_directory):
    os.makedirs(checkpoint_directory)

# Create a checkpoint instance
checkpoint = tf.train.Checkpoint(data=data_1d)

# Save the checkpoint in the path defined by checkpoint_directory using save() method
checkpoint.save(file_prefix=os.path.join(checkpoint_directory, 'ckpt'))