"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.Checkpoint
tf.train.Checkpoint(root=None,**kwargs)
"""

import tensorflow as tf
import os

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: {}".format(tf.__version__))
assert version.parse(tf.__version__).release[0] >= 2, \
    "This notebook requires TensorFlow 2.0 or above."

# Task 2: Generate input data
input_data = tf.random.normal([1000, 100])

# Task 3: Call the API tf.train.Checkpoint
checkpoint = tf.train.Checkpoint(root='./',
                                 model=input_data)

# Save the checkpoint
checkpoint.save('./tf_save_model/ckpt')

# Check the saved files
print(os.listdir('./tf_save_model/ckpt'))

# Restore the checkpoint
restored_checkpoint = tf.train.Checkpoint(root='./',
                                          model=input_data)

restored_checkpoint.restore('./tf_save_model/ckpt/ckpt-1')