"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.Checkpoint
tf.train.Checkpoint(root=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = np.random.rand(100, 1)
y = 3 * x + 4 + np.random.randn(100, 1)

# Task 3
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(1, input_shape=(1,))
])

model.compile(optimizer='sgd', loss='mse')

checkpoint_dir = './checkpoints'
checkpoint_prefix = os.path.join(checkpoint_dir, "ckpt")

checkpoint_callback = tf.keras.callbacks.ModelCheckpoint(
    filepath=checkpoint_prefix,
    save_weights_only=True
)

model.fit(x, y, epochs=5, callbacks=[checkpoint_callback])