"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.Checkpoint
tf.train.Checkpoint(root=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("Task 1: import TensorFlow 2.10.0")
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
print("Task 2: Generate input data")
data = np.random.randint(100, size=100)
data = tf.convert_to_tensor(data, dtype=tf.int32)
print("data:", data)

# Task 3: Call the API tf.train.Checkpoint
print("Task 3: Call the API tf.train.Checkpoint")
checkpoint = tf.train.Checkpoint(data=data)

# Save checkpoint
checkpoint.save("./checkpoint_test")

# Restore checkpoint
checkpoint.restore(tf.train.latest_checkpoint("./checkpoint_test"))
print("data:", data)