"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.Checkpoint
tf.train.Checkpoint(root=None,**kwargs)
"""

import tensorflow as tf
import numpy as np

# Task 1
print("TensorFlow version: ", tf.__version__)

# Task 2
x_data = np.random.rand(100).astype(np.float32)
y_data = x_data * 0.1 + 0.3

# Task 3
weights = tf.Variable(tf.random.uniform([1], -1.0, 1.0))
biases = tf.Variable(tf.zeros([1]))

W = tf.Variable(10.0, name='weight')
B = tf.Variable(1.0, name='bias')

@tf.function
def linear_model(inputs):
    return inputs * weights + biases

optimizer = tf.optimizers.SGD(0.5)

checkpoint = tf.train.Checkpoint(W=W, B=B)

manager = tf.train.CheckpointManager(checkpoint, './tf_ckpts', max_to_keep=3)

checkpoint.restore(manager.latest