"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import os

# Task 2: Generate input data
input_data = tf.Variable(tf.random.normal([3,3]), name="input_data")
input_data_2 = tf.Variable(tf.random.normal([2,2]), name="input_data_2")

# Task 3: Call the API tf.train.CheckpointManager
checkpoint = tf.train.Checkpoint(input_data=input_data, input_data_2=input_data_2)

# Create a directory to save checkpoint
checkpoint_dir = "./checkpoint"
if not os.path.exists(checkpoint_dir):
    os.mkdir(checkpoint_dir)

# Create a checkpoint manager
checkpoint_manager = tf.train.CheckpointManager(checkpoint, checkpoint_dir, max_to_keep=5)

# Save checkpoint
checkpoint.save("./checkpoint/checkpoint.ckpt")

# Restore checkpoint
checkpoint.restore(checkpoint_manager.latest_checkpoint)

# Save checkpoint manually
