"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import os

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
data = tf.ones(10)

# Task 3: Call the API tf.train.CheckpointManager
checkpoint_path = './data/checkpoint_test'
if not os.path.exists(checkpoint_path):
    os.makedirs(checkpoint_path)

checkpoint = tf.train.Checkpoint(data=data)
checkpoint_manager = tf.train.CheckpointManager(checkpoint=checkpoint, directory=checkpoint_path, max_to_keep=3)

# save checkpoint
checkpoint_manager.save()

# restore checkpoint
checkpoint.restore(checkpoint_manager.latest_checkpoint)
print(data)