"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import os

#Task 1: import TensorFlow 2.10.0
print(tf.__version__)

#Task 2: Generate input data
x = tf.Variable(0.0,name='x')

#Task 3: Call the API tf.train.CheckpointManager
checkpoint_dir = './checkpoints'
if not os.path.exists(checkpoint_dir):
    os.mkdir(checkpoint_dir)
checkpoint_prefix = os.path.join(checkpoint_dir,'ckpt')
checkpoint = tf.train.Checkpoint(x=x)
manager = tf.train.CheckpointManager(checkpoint,checkpoint_dir,max_to_keep=3)

#Check if there is a checkpoint
if manager.latest_checkpoint:
    checkpoint.restore(manager.latest_checkpoint)
    print('Latest checkpoint restored!!')
else:
    print('Initializing from scratch')

#Save checkpoint
manager.save()