"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""
import os
import tensorflow as tf

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
x = tf.Variable(0.0, name='x')

# Task 3: Call the API tf.train.CheckpointManager
checkpoint_dir = './checkpoints'
checkpoint_prefix = os.path.join(checkpoint_dir, "ckpt")
root = tf.train.Checkpoint(x=x)
manager = tf.train.CheckpointManager(root, checkpoint_dir, max_to_keep=3)

# save checkpoint
manager.save()

# restore checkpoint
manager.restore(tf.train.latest_checkpoint(checkpoint_dir))

# list all checkpoints
print(manager.checkpoints)

# delete all checkpoints
manager.delete_all_checkpoints()

# delete old checkpoints
manager.delete_old_checkpoints(tf.train.latest_checkpoint(checkpoint_dir))