"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import os
import numpy as np

print(tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(4,3)
print(input_data)

# Task 3: Call the API tf.train.CheckpointManager
checkpoint_dir = '../checkpoints'
checkpoint_prefix = os.path.join(checkpoint_dir, "ckpt")

checkpoint = tf.train.Checkpoint(optimizer = tf.keras.optimizers.Adam(0.01),
                                 model = tf.keras.models.Sequential([tf.keras.layers.Dense(2, activation='relu', input_shape=(3,)),
                                                                      tf.keras.layers.Dense(3)]))

# Save the model
checkpoint.save(file_prefix = checkpoint_prefix)

# Restore the model
checkpoint.restore(tf.train.latest_checkpoint(checkpoint_dir))

# Evaluate the model
print(checkpoint.model