"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""
import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = np.random.rand(100, 1)
y = 5*x + np.random.rand(100, 1)

# Task 3: Call the API tf.train.CheckpointManager
model = tf.keras.Sequential([
    tf.keras.layers.Dense(1, input_shape=(1,))
])
model.compile(optimizer='sgd', loss='mse')
model.fit(x, y, epochs=50)

# Save checkpoints
checkpoint_path = "./checkpoints/cp-{epoch:04d}.ckpt"
cp_callback = tf.keras.callbacks.ModelCheckpoint(filepath=checkpoint_path,
                                                 save_weights_only=True,
                                                 verbose=1,
                                                 period=5)
model.save_weights(checkpoint_path.format(ep