"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import os

# Task 1
print(tf.__version__)

# Task 2
input_data = tf.Variable(tf.random_normal([2,3]),name='input_data')

# Task 3
checkpoint_dir = './checkpoint'
if not os.path.exists(checkpoint_dir):
    os.mkdir(checkpoint_dir)

# Create checkpoint manager
checkpoint = tf.train.Checkpoint(input_data=input_data)
checkpoint_manager = tf.train.CheckpointManager(checkpoint,checkpoint_dir,max_to_keep=3)

# Save checkpoint
checkpoint.save('./checkpoint/test_ckpt')

# Restore checkpoint
checkpoint.restore(checkpoint_manager.latest_checkpoint)
print(input_data.numpy())