"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.CheckpointManager
tf.train.CheckpointManager(checkpoint,directory,max_to_keep,keep_checkpoint_every_n_hours=None,checkpoint_name='ckpt',step_counter=None,checkpoint_interval=None,init_fn=None)
"""

import tensorflow as tf
import numpy as np

# Task 1: import TensorFlow 2.10.0
print("TensorFlow version: ", tf.__version__)

# Task 2: Generate input data
input_data = np.random.rand(100, 2)
output_data = np.random.rand(100, 1)

# Task 3: Call the API tf.train.CheckpointManager
checkpoint = tf.train.Checkpoint(optimizer=tf.keras.optimizers.Adam(learning_rate=0.01), model=tf.keras.Sequential([tf.keras.layers.Dense(units=1, input_shape=[2])]))
checkpoint_manager = tf.train.CheckpointManager(checkpoint, directory="./save/", max_to_keep=3)

if checkpoint_manager.latest_checkpoint:
    checkpoint.restore(checkpoint_manager.latest_checkpoint)
    print("Restored from {}".format(checkpoint_manager.latest_checkpoint))
else:
    print("Initializing