"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""
import tensorflow as tf

# Task 1
tf.compat.v1.disable_eager_execution()
# Task 2
x = tf.random.uniform([1024, 1024], dtype=tf.float32)
y = tf.random.uniform([1024, 1024], dtype=tf.float32)
z = tf.matmul(x, y)
# Task 3
loss = tf.reduce_mean(z)
optimizer = tf.compat.v1.train.GradientDescentOptimizer(0.1)
dynamic_loss_scale = tf.train.experimental.DynamicLossScale(
    initial_loss_scale=(2 ** 15),
    increment_period=2000,
    multiplier=2.0)

# `dynamic_loss_scale` is a `LossScaleManager` object.
# `LossScaleManager` has a `loss_scale` attribute.
# `loss_scale` is a `LossScale` object.
# `LossScale` has a `update_state` method.
# `update_state