"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = tf.random.normal([2, 2])
y = tf.random.normal([2, 2])

# Task 3
loss = tf.reduce_mean(x - y)
loss_scale = tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15), increment_period=2000, multiplier=2.0)
opt = tf.keras.optimizers.SGD(learning_rate=0.001)

for i in range(5000):
    with tf.GradientTape() as tape:
        y_pred = x * 2
        loss_value = tf.reduce_mean(y_pred - y)
    grads = tape.gradient(loss_value, x)
    grads = tf.cast(grads, tf.float32)
    grads, overflow = loss_scale.update_and_get_scaled_gradients(grads)
    if overflow:
        loss_scale