"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""
import tensorflow as tf
import numpy as np
import matplotlib.pyplot as plt

# Task 1
print('TensorFlow version:', tf.__version__)

# Task 2
# Generate input data
x_data = np.linspace(0,10,1000)
y_data = x_data*2 + np.random.randn(*x_data.shape)*0.4 + 10
plt.scatter(x_data,y_data)
plt.show()

# Task 3
# Call the API tf.train.experimental.DynamicLossScale
loss_scale = tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)

# Define a model
class Model(object):
    def __init__(self):
        self.W = tf.Variable(5.0)
        self.B = tf.Variable(0.0)

    def __call__(self, x):
        return self.W * x + self.B