"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
x = tf.random.uniform([4, 10], -1, 1)
w = tf.Variable(tf.random.normal([10, 3]))
b = tf.Variable(tf.random.normal([3]))
y = tf.matmul(x, w) + b

loss = tf.reduce_mean(tf.square(y))

# Task 3
loss_scale = tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)

optimizer = tf.keras.optimizers.SGD(0.01)

for _ in range(1000):
    with tf.GradientTape() as tape:
        y = tf.matmul(x, w) + b
        loss = tf.reduce_mean(tf.square(y))
        scaled_loss = loss_scale.update_or_get_loss_