"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""

import tensorflow as tf

# Task 1
# tf.enable_eager_execution()
# Task 2
x = tf.ones([2, 2])
y = tf.ones([2, 2])
# Task 3
loss_scale_manager = tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),
                                                            increment_period=2000,
                                                            multiplier=2.0)

# Task 4
loss = lambda: tf.reduce_sum(x + y)

# Task 5
optimizer = tf.train.GradientDescentOptimizer(0.1)

# Task 6
for _ in range(10):
    with tf.GradientTape() as tape:
        loss_value = loss()
    grads = tape.gradient(loss_value, [x, y])
    optimizer.apply_gradients(zip(grads, [x, y]))
    print('Loss: {}'.format(loss_value.numpy()))