"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""

import tensorflow as tf

# Task 1
tf.__version__

# Task 2
x = tf.random.uniform(shape=[4, 10], maxval=100, dtype=tf.int32)
y = tf.range(4)
dataset = tf.data.Dataset.from_tensor_slices((x, y))
dataset = dataset.shuffle(buffer_size=1024).batch(64)

# Task 3
loss_scale = tf.train.experimental.DynamicLossScale(
    initial_loss_scale=(2**15), increment_period=2000, multiplier=2.0)

# Task 4
with tf.GradientTape() as tape:
    logits = tf.keras.layers.Dense(
        10, kernel_initializer='zeros')(x)  # Logits for this mini-batch
    loss = tf.reduce_mean(tf.nn.sparse_softmax_cross_entropy_with_logits(
        labels=y, logits=logits))
   