"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.experimental.DynamicLossScale
tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)
"""
import tensorflow as tf
import numpy as np

# Task 1
print(tf.__version__)

# Task 2
print(tf.random.set_seed(1))
x_train = np.random.random((1000, 32))
y_train = np.random.random((1000, 10))

# Task 3
loss_scale = tf.train.experimental.DynamicLossScale(initial_loss_scale=(2**15),increment_period=2000,multiplier=2.0)

print(loss_scale)

# Task 4
with tf.GradientTape() as tape:
    tape.watch(x_train)
    tape.watch(y_train)
    loss = tf.keras.losses.mean_squared_error(y_train, x_train)
    loss = loss_scale.update_state(loss)

grads = tape.gradient(loss, [x_train, y_train])

# Task 5
print(grads)

# Task 6
print(loss_scale.get_loss_scale())