"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.get_checkpoint_state
tf.train.get_checkpoint_state(checkpoint_dir,latest_filename=None)
"""

import tensorflow as tf
import os

# Task 1:
print(tf.__version__)

# Task 2:
# Generate input data
input_data = tf.random.normal([2, 3])

# Task 3:
# Call the API tf.train.get_checkpoint_state
checkpoint_dir = '../../data/checkpoint/'

# Check if the directory exists
if not os.path.exists(checkpoint_dir):
    os.mkdir(checkpoint_dir)

# Create a Checkpoint object
checkpoint_prefix = os.path.join(checkpoint_dir, "ckpt")
checkpoint = tf.train.Checkpoint(myAwesomeModel=input_data)

# Save the checkpoint
checkpoint.save(file_prefix=checkpoint_prefix)

# Get the checkpoint state
ckpt = tf.train.get_checkpoint_state(checkpoint_dir)

# Print the checkpoint state
print(ckpt)

# Print the checkpoint path
print(ckpt.model_checkpoint_path)