"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.latest_checkpoint
tf.train.latest_checkpoint(checkpoint_dir,latest_filename=None)
"""

import tensorflow as tf
import os

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = tf.random.normal([2, 2])

# Task 3: Call the API tf.train.latest_checkpoint
checkpoint_dir = './save'
checkpoint_prefix = os.path.join(checkpoint_dir, "ckpt")

# Create checkpoint directory if it does not exist.
if not os.path.exists(checkpoint_dir):
    os.makedirs(checkpoint_dir)

# Create checkpoint object
checkpoint = tf.train.Checkpoint(x=x)

# Save checkpoint
status = checkpoint.save(file_prefix=checkpoint_prefix)
print("Save checkpoint: {}".format(status))

# Call the API tf.train.latest_checkpoint
latest_checkpoint = tf.train.latest_checkpoint(checkpoint_dir)
print("Latest checkpoint: {}".format(latest_checkpoint))