"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.latest_checkpoint
tf.train.latest_checkpoint(checkpoint_dir,latest_filename=None)
"""
import tensorflow as tf
import numpy as np

checkpoint_dir = './tf_ckpt'

# Task 2: Generate input data
x = tf.random.normal([2,2])
y = tf.ones([2,2])

# Task 3: Call the API tf.train.latest_checkpoint
latest_checkpoint = tf.train.latest_checkpoint(checkpoint_dir)
print(latest_checkpoint)

# Create a new model
model = tf.keras.models.Sequential([
    tf.keras.layers.Dense(2,activation='relu'),
    tf.keras.layers.Dense(2,activation='softmax')
])

# Load the weights from the checkpoint
model.load_weights(latest_checkpoint)

# Predict
print(model.predict(x))