"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.latest_checkpoint
tf.train.latest_checkpoint(checkpoint_dir,latest_filename=None)
"""

import tensorflow as tf
import os

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = tf.random.uniform([4, 10])

# Task 3: Call the API tf.train.latest_checkpoint
checkpoint_dir = './checkpoints'
if not os.path.exists(checkpoint_dir):
    os.makedirs(checkpoint_dir)

# Save to checkpoint
tf.saved_model.save(x, checkpoint_dir)

# Call the API
latest_checkpoint = tf.train.latest_checkpoint(checkpoint_dir)
print(latest_checkpoint)

# Load the latest checkpoint
x2 = tf.saved_model.load(latest_checkpoint)
print(x2)

# Load the latest checkpoint
x3 = tf.saved_model.load(checkpoint_dir)
print(x3)