"""
Task 1: import TensorFlow 2.10.0
Task 2: Generate input data
Task 3: Call the API tf.train.latest_checkpoint
tf.train.latest_checkpoint(checkpoint_dir,latest_filename=None)
"""

import tensorflow as tf
import numpy as np
import os

# Task 1: import TensorFlow 2.10.0
print(tf.__version__)

# Task 2: Generate input data
x = np.random.rand(100).astype(np.float32)
y = x * 0.1 + 0.3

# Task 3: Call the API tf.train.latest_checkpoint
checkpoint_dir = './save'
latest = tf.train.latest_checkpoint(checkpoint_dir)
print(latest)

# Task 4: Use the checkpoint to restore the model
model = tf.keras.models.Sequential()
model.add(tf.keras.layers.Dense(units=1, input_shape=[1]))
model.compile(optimizer=tf.keras.optimizers.SGD(0.5), loss='mse')
model.load_weights(latest)

# Task 5: Predict the output
print(model.predict([10.0]))